<?php
    /*
     * $Id: admindomains.php,v 1.2 2004/01/31 18:59:11 rjl Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

    require_once ("config.php");
    require_once ("db.php");
    require_once ("authcheck.php");
    require_once ("display.php");
    $display_language = get_display_language($euid);
    $html_charset = get_html_charset($euid);
    require_once ("./locale/$display_language/db.php");
    require_once ("./locale/$display_language/display.php");
    require_once ("./locale/$display_language/admindomains.php");

    // Only administrators should be here.
    if (!is_an_administrator($uid)) {
       header("Location: index.php" . $sid);
       exit();
    }

    // Cancel any impersonations currently in effect
    // by resetting EUID = UID and forcing a reload
    // of this page.
    if ($uid != $euid) {
       $euid = $uid;
       $_SESSION["euid"] = $uid;
       header("Location: admindomains.php" . $sid);
       exit();
    }

    // Is this administrator the superadmin, or just a
    // domain admin?
    $super = is_superadmin($uid);
    if ($super) {
        $cols = 2;
    } else {
        $cols = 1;
    }

    display_html_head($lang_banner_subtitle, $display_language, $html_charset);
    display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
?>
<form method="post" action="xadmindomains.php<?php print($sid); ?>" name="admindomains">

<div align="center">
<table border="0" cellspacing="2" cellpadding="2" width="600">

<tr>
<td class="menubanner" align="center" colspan="<?php print($cols); ?>"><?php print($lang_header_domains_menu); ?>&nbsp;
<font size="3"><a href="adminhelp.php#domain_administration<?php print($sid); ?>" target="new">[?]</a></font></td>
</tr>

<?php
    if ($super) {
        $select = "SELECT domain, id " .
                  "FROM maia_domains " .
                  "ORDER BY domain ASC";
        $sth = $dbh->query($select);
    } else {
        $select = "SELECT domain, id " .
                  "FROM maia_domains, maia_domain_admins " .
                  "WHERE maia_domains.id = maia_domain_admins.domain_id " .
                  "AND maia_domain_admins.admin_id = ? " .
                  "ORDER BY domain ASC";
        $sth = $dbh->query($select, array($uid));
    }

    if ($sth->numrows() > 0) {
    	print("<tr>\n");
    	if ($super) {
    	    print("<td class=\"menuheader2\" align=\"center\">" . $lang_header_delete . "</td>\n");
    	}
    	print("<td class=\"menuheader2\" align=\"center\">" . $lang_header_domain . "</td>\n");
    	print("</tr>\n");
    	$atleastone = false;
        while ($row = $sth->fetchrow()) {
            $domain_name = strtolower($row["domain"]);
            $domain_id = $row["id"];
            print("<tr>\n");
            if ($super) {
                print("<td class=\"menubody\" align=\"center\">");
                if ($domain_name == "@.") {
                    print($lang_text_required);
                } else {
                    $atleastone = true;
                    print("<input type=\"checkbox\" name=\"" . $domain_name . "\" value=\"" . $domain_id . "\">");
                }
                print("</td>\n");
            }
            print("<td class=\"menubody\" align=\"center\">");
            print("<a href=\"domainsettings.php" . $msid . "domain=" . $domain_id . "\">");
            if ($domain_name == "@.") {
                print($lang_text_default . " (@.)");
            } else {
                print($domain_name);
            }
            print("</a>\n");
            print("</td>\n");
            print("</tr>\n");
        }
        if ($super && $atleastone) {
            print("<tr>\n");
            print("<td class=\"menubody\" align=\"center\" colspan=\"2\">\n");
            print("<input type=\"submit\" name=\"delete\" value=\" " . $lang_button_delete . " \">\n");
            print("</td>\n");
            print("</tr>\n");
        }
    } else {
    	if ($super) {
    	    print("<tr><td class=\"menubody\" align=\"center\" colspan=\"2\">" . $lang_text_no_domains_registered . "</td></tr>\n");
    	} else {
    	    print("<tr><td class=\"menubody\" align=\"center\">" . $lang_text_no_domains . "</td></tr>\n");
    	}
    }
    $sth->free();
?>

</table></div>

<?php if ($super) { ?>
<p>&nbsp;</p>

<div align="center">
<table border="0" cellspacing="2" cellpadding="2" width="600">

<tr>
<td class="menubanner" align="center"><?php print($lang_header_add_domain); ?>&nbsp;
<font size="3"><a href="adminhelp.php#add_domain<?php print($sid); ?>" target="new">[?]</a></font></td>
</tr>

<tr>
<td class="menubody" align="center"><?php print($lang_text_new_domain_name); ?>:&nbsp;
<input type="text" name="newdomain" size="50" value="@"></td>
</tr>

<tr>
<td class="menubody" align="center">
<input type="submit" name="adddomain" value=" <?php print($lang_button_add_domain); ?> ">
</td>
</tr>

</table></div>
<?php } ?>


</form>

<div align="center">
<a href="admindex.php<?php print($sid); ?>">[<?php print($lang_link_admin_menu); ?>]</a>
</div>

<?php display_html_foot(); ?>