<?php
    /*
     * $Id: adminhelp.php,v 1.3 2004/05/01 06:08:39 rjl Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

    require_once ("config.php");
    require_once ("db.php");
    require_once ("authcheck.php");
    require_once ("display.php");
    $display_language = get_display_language($euid);
    $html_charset = get_html_charset($euid);
    require_once ("./locale/$display_language/db.php");
    require_once ("./locale/$display_language/display.php");
    require_once ("./locale/$display_language/admindex.php");
    require_once ("./locale/$display_language/adminviruses.php");
    require_once ("./locale/$display_language/adminusers.php");
    require_once ("./locale/$display_language/admindomains.php");
    require_once ("./locale/$display_language/domainsettings.php");
    require_once ("./locale/$display_language/adminlanguages.php");
    require_once ("./locale/$display_language/adminstats.php");
    require_once ("./locale/$display_language/adminsystem.php");
    require_once ("./locale/$display_language/adminhelp.php");

    // Only administrators should be here.
    if (!is_an_administrator($uid)) {
       header("Location: index.php" . $sid);
       exit();
    }

    // Is this administrator the superadmin, or just a
    // domain admin?
    $super = is_superadmin($uid);

    display_html_head($lang_banner_subtitle, $display_language, $html_charset);
    display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
?>

<h2><?php print($lang_menu_users); ?></h2>

<a name="find_users">
<p><?php printf($lang_adminhelp_find_users, $lang_header_users_menu); ?></p>
</a>

<a name="add_email_address">
<p><?php printf($lang_adminhelp_add_email_address, $lang_header_add_email); ?></p>
</a>

<a name="link_email_address">
<p><?php printf($lang_adminhelp_link_email_address, $lang_header_link_email); ?></p>
</a>

<a name="delete_email_address">
<p><?php printf($lang_adminhelp_delete_email_address, $lang_header_delete_email,
                $lang_header_delete_user); ?></p>
</a>

<a name="delete_user">
<p><?php printf($lang_adminhelp_delete_user, $lang_header_delete_user,
                $lang_text_enable_user_autocreation); ?></p>
</a>

<a name="impersonate">
<p><?php printf($lang_adminhelp_impersonate, $lang_text_user_found,
                "<a href=\"admindex.php" . $sid . "\">[" . $lang_menu_admin . "]</a>"); ?></p>
</a>

<h2><?php print($lang_menu_domains); ?></h2>

<a name="domain_administration">
<p><?php printf($lang_adminhelp_domain_administration, $lang_header_domains_menu); ?></p>
</a>

<a name="add_domain">
<p><?php printf($lang_adminhelp_add_domain, $lang_header_add_domain); ?></p>
</a>

<a name="domain_settings">
<p><?php printf($lang_adminhelp_domain_settings, $lang_header_domain,
                "<a href=\"help.php" . $sid . "\">[" . $lang_menu_help . "]</a>"); ?></p>
</a>

<?php if ($super) { ?>

<a name="administrators">
<p><?php printf($lang_adminhelp_administrators, $lang_header_admins); ?></p>
</a>

<a name="add_administrator">
<p><?php printf($lang_adminhelp_add_administrator, $lang_header_add_administrator); ?></p>
</a>

<?php } ?>

<?php if ($super) { ?>

<h2><?php print($lang_menu_viruses); ?></h2>

<a name="virus_aliases">
<p><?php printf($lang_adminhelp_virus_aliases, $lang_header_virus_menu); ?></p>
</a>

<a name="add_virus_alias">
<p><?php printf($lang_adminhelp_add_virus_alias, $lang_header_add_alias); ?></p>
</a>

<h2><?php print($lang_menu_languages); ?></h2>

<a name="languages">
<p><?php printf($lang_adminhelp_languages, $lang_header_languages_menu); ?></p>
</a>

<a name="install_languages">
<p><?php printf($lang_adminhelp_install_languages, $lang_header_install_language); ?></p>
</a>

<h2><?php print($lang_menu_system); ?></h2>

<a name="enable_user_autocreation">
<p><?php printf($lang_adminhelp_enable_user_autocreation, $lang_text_enable_user_autocreation); ?></p>
</a>

<a name="internal_auth">
<p><?php printf($lang_adminhelp_internal_auth, $lang_text_internal_auth,
                $lang_text_enable_user_autocreation); ?></p>
</a>

<a name="enable_false_negative_management">
<p><?php printf($lang_adminhelp_enable_false_negative_management,
                $lang_text_enable_false_negative_management,
                $lang_text_ham_cache_expiry_period); ?></p>
</a>

<a name="enable_stats_tracking">
<p><?php printf($lang_adminhelp_enable_stats_tracking, $lang_text_enable_stats_tracking); ?></p>
</a>

<a name="enable_virus_scanning">
<p><?php printf($lang_adminhelp_enable_virus_scanning, $lang_text_enable_virus_scanning); ?></p>
</a>

<a name="user_virus_scanning">
<p><?php printf($lang_adminhelp_user_virus_scanning, $lang_text_user_virus_scanning); ?></p>
</a>

<a name="enable_spam_filtering">
<p><?php printf($lang_adminhelp_enable_spam_filtering, $lang_text_enable_spam_filtering); ?></p>
</a>

<a name="user_spam_filtering">
<p><?php printf($lang_adminhelp_user_spam_filtering, $lang_text_user_spam_filtering); ?></p>
</a>

<a name="enable_banned_files_checking">
<p><?php printf($lang_adminhelp_enable_banned_files_checking, $lang_text_enable_banned_files_checking); ?></p>
</a>

<a name="user_banned_files_checking">
<p><?php printf($lang_adminhelp_user_banned_files_checking, $lang_text_user_banned_files_checking); ?></p>
</a>

<a name="enable_bad_header_checking">
<p><?php printf($lang_adminhelp_enable_bad_header_checking, $lang_text_enable_bad_header_checking); ?></p>
</a>

<a name="user_bad_header_checking">
<p><?php printf($lang_adminhelp_user_bad_header_checking, $lang_text_user_bad_header_checking); ?></p>
</a>

<a name="enable_spamtraps">
<p><?php printf($lang_adminhelp_enable_spamtraps, $lang_text_enable_spamtraps); ?></p>
</a>

<a name="enable_address_linking">
<p><?php printf($lang_adminhelp_enable_address_linking, $lang_text_enable_address_linking); ?></p>
</a>

<a name="enable_username_changes">
<p><?php printf($lang_adminhelp_enable_username_changes, $lang_text_enable_username_changes); ?></p>
</a>

<a name="enable_privacy_invasion">
<p><?php printf($lang_adminhelp_enable_privacy_invasion, $lang_text_enable_privacy_invasion); ?></p>
</a>

<a name="system_default_user_is_local">
<p><?php printf($lang_adminhelp_system_default_user_is_local, $lang_text_system_default_user_is_local); ?></p>
</a>

<a name="size_limit">
<p><?php printf($lang_adminhelp_size_limit, $lang_text_size_limit); ?></p>
</a>

<a name="oversize_policy">
<p><?php printf($lang_adminhelp_oversize_policy, $lang_text_oversize_policy,
                $lang_text_accept, $lang_text_reject); ?></p>
</a>

<a name="installation_directory">
<p><?php printf($lang_adminhelp_installation_directory, $lang_text_installation_directory); ?></p>
</a>

<a name="admin_email">
<p><?php printf($lang_adminhelp_admin_email, $lang_text_admin_email); ?></p>
</a>

<a name="smtp_server">
<p><?php printf($lang_adminhelp_smtp_server, $lang_text_smtp_server); ?></p>
</a>

<a name="smtp_port">
<p><?php printf($lang_adminhelp_smtp_port, $lang_text_smtp_port); ?></p>
</a>

<a name="key_file">
<p><?php printf($lang_adminhelp_key_file, $lang_text_key_file); ?></p>
</a>

<a name="newuser_template_file">
<p><?php printf($lang_adminhelp_newuser_template_file, $lang_text_newuser_template_file); ?></p>
</a>

<a name="expiry_period">
<p><?php printf($lang_adminhelp_expiry_period, $lang_text_expiry_period); ?></p>
</a>

<a name="ham_cache_expiry_period">
<p><?php printf($lang_adminhelp_ham_cache_expiry_period, $lang_text_ham_cache_expiry_period); ?></p>
</a>

<a name="reminder_threshold_count">
<p><?php printf($lang_adminhelp_reminder_threshold_count, $lang_text_reminder_threshold_count); ?></p>
</a>

<a name="reminder_threshold_size">
<p><?php printf($lang_adminhelp_reminder_threshold_size, $lang_text_reminder_threshold_size); ?></p>
</a>

<a name="reminder_template_file">
<p><?php printf($lang_adminhelp_reminder_template_file, $lang_text_reminder_template_file); ?></p>
</a>

<a name="reminder_login_url">
<p><?php printf($lang_adminhelp_reminder_login_url, $lang_text_reminder_login_url); ?></p>
</a>

<a name="banner_title">
<p><?php printf($lang_adminhelp_banner_title, $lang_text_banner_title); ?></p>
</a>

<a name="use_icons">
<p><?php printf($lang_adminhelp_use_icons, $lang_text_use_icons); ?></p>
</a>

<a name="use_logo">
<p><?php printf($lang_adminhelp_use_logo, $lang_text_use_logo); ?></p>
</a>

<a name="logo_file">
<p><?php printf($lang_adminhelp_logo_file, $lang_text_logo_file); ?></p>
</a>

<a name="logo_alt_text">
<p><?php printf($lang_adminhelp_logo_alt_text, $lang_text_logo_alt_text); ?></p>
</a>

<a name="logo_url">
<p><?php printf($lang_adminhelp_logo_url, $lang_text_logo_url); ?></p>
</a>

<a name="virus_info_url">
<p><?php printf($lang_adminhelp_virus_info_url, $lang_text_virus_info_url); ?></p>
</a>

<a name="virus_lookup">
<p><?php printf($lang_adminhelp_virus_lookup, $lang_text_virus_lookup,
                $lang_text_virus_info_url); ?></p>
</a>

<a name="currency_label">
<p><?php printf($lang_adminhelp_currency_label, $lang_text_currency_label); ?></p>
</a>

<a name="bandwidth_cost">
<p><?php printf($lang_adminhelp_bandwidth_cost, $lang_text_bandwidth_cost); ?></p>
</a>

<a name="enable_stats_reporting">
<p><?php printf($lang_adminhelp_enable_stats_reporting, $lang_text_enable_stats_reporting); ?></p>
</a>

<a name="primary_report_server">
<p><?php printf($lang_adminhelp_primary_report_server, $lang_text_primary_report_server); ?></p>
</a>

<a name="primary_report_port">
<p><?php printf($lang_adminhelp_primary_report_port, $lang_text_primary_report_port); ?></p>
</a>

<a name="secondary_report_server">
<p><?php printf($lang_adminhelp_secondary_report_server, $lang_text_secondary_report_server); ?></p>
</a>

<a name="secondary_report_port">
<p><?php printf($lang_adminhelp_secondary_report_port, $lang_text_secondary_report_port); ?></p>
</a>

<a name="reporter_sitename">
<p><?php printf($lang_adminhelp_reporter_sitename, $lang_text_reporter_sitename); ?></p>
</a>

<a name="reporter_username">
<p><?php printf($lang_adminhelp_reporter_username, $lang_text_reporter_username,
                "<a href=\"http://www.renaissoft.com/maia/reporter_registration.php\">" .
                $lang_adminhelp_reporter_registration . "</a>"); ?></p>
</a>

<a name="reporter_password">
<p><?php printf($lang_adminhelp_reporter_password, $lang_text_reporter_password); ?></p>
</a>

<a name="enable_charts">
<p><?php printf($lang_adminhelp_enable_charts, $lang_text_enable_charts,
                $lang_text_enable_stats_tracking, $lang_text_chart_autogeneration_interval); ?></p>
</a>

<a name="chart_ham_colour">
<p><?php printf($lang_adminhelp_chart_ham_colour, $lang_text_chart_ham_colour); ?></p>
</a>

<a name="chart_spam_colour">
<p><?php printf($lang_adminhelp_chart_spam_colour, $lang_text_chart_spam_colour); ?></p>
</a>

<a name="chart_virus_colour">
<p><?php printf($lang_adminhelp_chart_virus_colour, $lang_text_chart_virus_colour); ?></p>
</a>

<a name="chart_fp_colour">
<p><?php printf($lang_adminhelp_chart_fp_colour, $lang_text_chart_fp_colour); ?></p>
</a>

<a name="chart_fn_colour">
<p><?php printf($lang_adminhelp_chart_fn_colour, $lang_text_chart_fn_colour); ?></p>
</a>

<a name="chart_suspected_ham_colour">
<p><?php printf($lang_adminhelp_chart_suspected_ham_colour, $lang_text_chart_suspected_ham_colour); ?></p>
</a>

<a name="chart_suspected_spam_colour">
<p><?php printf($lang_adminhelp_chart_suspected_spam_colour, $lang_text_chart_suspected_spam_colour); ?></p>
</a>

<a name="chart_wl_colour">
<p><?php printf($lang_adminhelp_chart_wl_colour, $lang_text_chart_wl_colour); ?></p>
</a>

<a name="chart_bl_colour">
<p><?php printf($lang_adminhelp_chart_bl_colour, $lang_text_chart_bl_colour); ?></p>
</a>

<a name="chart_background_colour">
<p><?php printf($lang_adminhelp_chart_background_colour, $lang_text_chart_background_colour); ?></p>
</a>

<a name="chart_font_colour">
<p><?php printf($lang_adminhelp_chart_font_colour, $lang_text_chart_font_colour); ?></p>
</a>

<a name="chart_autogeneration_interval">
<p><?php printf($lang_adminhelp_chart_autogeneration_interval, $lang_text_chart_autogeneration_interval); ?></p>
</a>

<h2><?php print($lang_menu_statistics); ?></h2>

<a name="reset_statistics">
<p><?php printf($lang_adminhelp_reset_stats, $lang_header_reset_stats); ?></p>
</a>

<?php }
    display_html_foot();
?>
