<?php
    /*
     * $Id: adminlanguages.php,v 1.3 2004/06/30 06:29:41 rjl Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

    require_once ("config.php");
    require_once ("db.php");
    require_once ("authcheck.php");
    require_once ("display.php");
    $display_language = get_display_language($euid);
    $html_charset = get_html_charset($euid);
    require_once ("./locale/$display_language/db.php");
    require_once ("./locale/$display_language/display.php");
    require_once ("./locale/$display_language/adminlanguages.php");

    // Only the superadministrator should be here.
    if (!is_superadmin($uid)) {
       header("Location: index.php" . $sid);
       exit();
    }

    // Cancel any impersonations currently in effect
    // by resetting EUID = UID and forcing a reload
    // of this page.
    if ($uid != $euid) {
       $euid = $uid;
       $_SESSION["euid"] = $uid;
       header("Location: adminlanguages.php" . $sid);
       exit();
    }

    display_html_head($lang_banner_subtitle, $display_language, $html_charset);
    display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
?>

<form method="post" action="xadminlanguages.php<?php print($sid); ?>" name="adminlanguages">
<div align="center">
<table border="0" cellspacing="2" cellpadding="2" width="600">

<tr>
<td class="menubanner" align="center" colspan="3"><?php print($lang_header_languages_menu); ?>&nbsp;
<font size="3"><a href="adminhelp.php#languages<?php print($sid); ?>" target="new">[?]</a></font>
</td>
</tr>
<?php
    $select = "SELECT language_name, abbreviation, id " .
              "FROM maia_languages " .
              "WHERE installed = 'Y' " .
              "ORDER BY language_name ASC";
    $sth = $dbh->query($select);
    if (($rowcount = $sth->numrows()) > 0) {
    	print("<tr>\n");
    	print("<td class=\"menuheader2\" align=\"center\">" . $lang_header_uninstall . "</td>\n");
    	print("<td class=\"menuheader2\" align=\"center\">" . $lang_header_language . "</td>\n");
    	print("<td class=\"menuheader2\" align=\"center\">" . $lang_header_abbrev . "</td>\n");
    	print("</tr>\n");
        while ($row = $sth->fetchrow()) {
            $language_name = $row["language_name"];
            $language_abbrev = strtolower($row["abbreviation"]);
            $language_id = $row["id"];
            print("<tr>\n");
            print("<td class=\"menubody\" align=\"center\">");
            if ($language_abbrev != "en") {
                print("<input type=\"checkbox\" name=\"" . $language_abbrev . "\" value=\"" . $language_id . "\">");
            } else {
            	print("(" . $lang_text_required . ")");
            }
            print("</td>\n");
            print("<td class=\"menubody\" align=\"center\">");
            print($language_name);
            print("</td>\n");
            print("<td class=\"menubody\" align=\"center\">");
            print($language_abbrev);
            print("</td>\n");
            print("</tr>\n");
        }
        if ($rowcount > 1) {
            print("<tr>\n");
            print("<td class=\"menubody\" align=\"center\" colspan=\"3\">\n");
            print("<input type=\"submit\" name=\"uninstall\" value=\" " . $lang_button_uninstall . " \">\n");
            print("</td>\n");
            print("</tr>\n");
        }
    } else {
    	print("<tr><td class=\"menubody\" align=\"center\" colspan=\"3\">" . $lang_text_no_languages . "</td></tr>\n");
    }
    $sth->free();
?>

</table></div>

<p>&nbsp;</p>

<div align="center">
<table border="0" cellspacing="2" cellpadding="2" width="600">

<tr>
<td class="menubanner" align="center"><?php print($lang_header_install_language); ?>&nbsp;
<font size="3"><a href="adminhelp.php#install_language<?php print($sid); ?>" target="new">[?]</a></font>
</td>
</tr>

<?php

    // Make a list of all the existing language directories
    $lang_dir = getcwd();
    if (preg_match("/.*\/$/si", $lang_dir)) {
        $lang_dir .= "locale";
    } else {
    	$lang_dir .= "/locale";
    }
    $d = dir($lang_dir);
    $dirlist = "";
    $atleastone = false;
    while (($f = $d->read()) !== false) {
    	$atleastone = true;
    	if (is_dir($lang_dir . "/" . $f) && $f != "." && $f != "..") {
    	    if (!empty($dirlist)) {
    	        $dirlist .= "," . $f;
    	        $phlist .= ",?";
    	    } else {
    	    	$dirlist = $f;
    	    	$phlist = "?";
    	    }
        }
    }
    $d->close();

   if (!$atleastone) {
        print("<tr><td class=\"menubody\" align=\"center\">" . $lang_text_no_uninstalled_languages . "</td></tr>\n");
    } else {

        // Don't offer languages that aren't physically installed yet
        $select = "SELECT language_name, abbreviation, id " .
                  "FROM maia_languages " .
                  "WHERE installed = 'N' AND abbreviation IN (" . $phlist . ") " .
                  "ORDER BY language_name ASC";
        $sth = $dbh->query($select, explode(",", $dirlist));

        if ($sth->numrows() == 0) {
       	    print("<tr><td class=\"menubody\" align=\"center\">" . $lang_text_no_uninstalled_languages . "</td></tr>\n");
        } else {
    	    print("<tr>\n");
    	    print("<td class=\"menubody\" align=\"center\">");
    	    print("<select name=\"language\">\n");
    	    while ($row = $sth->fetchrow()) {

                print("<option value=\"" . strtolower($row["abbreviation"]) . "\">" . $row["language_name"] .
   	                  " (" . strtolower($row["abbreviation"]) . ")</option>\n");
   	    }
 	    print("</select>\n");
    	    print("</td>\n");
    	    print("</tr>\n");
            print("<tr>\n");
            print("<td class=\"menubody\" align=\"center\">\n");
            print("<input type=\"submit\" name=\"install\" value=\" " . $lang_button_install . " \">\n");
            print("</td>\n");
            print("</tr>\n");
        }
        $sth->free();
    }
?>

</table></div>
</form>

<div align="center">
<a href="admindex.php<?php print($sid); ?>">[<?php print($lang_link_admin_menu); ?>]</a>
</div>

<?php display_html_foot(); ?>