<?php
    /*
     * $Id: adminsystem.php,v 1.7 2004/06/30 06:36:25 rjl Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

    require_once ("config.php");
    require_once ("db.php");
    require_once ("authcheck.php");
    require_once ("display.php");
    $display_language = get_display_language($euid);
    $html_charset = get_html_charset($euid);
    require_once ("./locale/$display_language/db.php");
    require_once ("./locale/$display_language/display.php");
    require_once ("./locale/$display_language/adminsystem.php");

    // Only the superadministrator should be here.
    if (!is_superadmin($uid)) {
       header("Location: index.php" . $sid);
       exit();
    }

    // Cancel any impersonations currently in effect
    // by resetting EUID = UID and forcing a reload
    // of this page.
    if ($uid != $euid) {
       $euid = $uid;
       $_SESSION["euid"] = $uid;
       header("Location: adminsystem.php" . $sid);
       exit();
    }

    display_html_head($lang_banner_subtitle, $display_language, $html_charset);
    display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
?>
<form method="post" action="xadminsystem.php<?php print($sid); ?>" name="adminsystem">

<div align="center">
<table border="0" cellspacing="2" cellpadding="2" width="100%">

<tr>
<td class="menubanner" align="center" colspan="2"><?php print($lang_header_system_menu); ?></td>
</tr>

<?php

    $select = "SELECT enable_user_autocreation, " .
                     "enable_false_negative_management, " .
                     "enable_stats_tracking, " .
                     "enable_virus_scanning, " .
                     "enable_spam_filtering, " .
                     "enable_banned_files_checking, " .
                     "enable_bad_header_checking, " .
                     "enable_charts, " .
                     "enable_spamtraps, " .
                     "enable_stats_reporting, " .
                     "enable_address_linking, " .
                     "enable_privacy_invasion, " .
                     "enable_username_changes, " .
                     "internal_auth, " .
                     "system_default_user_is_local, " .
                     "user_virus_scanning, " .
                     "user_spam_filtering, " .
                     "user_banned_files_checking, " .
                     "user_bad_header_checking, " .
                     "size_limit, " .
                     "oversize_policy, " .
                     "key_file, " .
                     "admin_email, " .
                     "expiry_period, " .
                     "ham_cache_expiry_period, " .
                     "reminder_threshold_count, " .
                     "reminder_threshold_size, " .
                     "reminder_template_file, " .
                     "reminder_login_url, " .
                     "smtp_server, " .
                     "smtp_port, " .
                     "newuser_template_file, " .
                     "currency_label, " .
                     "bandwidth_cost, " .
                     "chart_ham_colour, " .
                     "chart_spam_colour, " .
                     "chart_virus_colour, " .
                     "chart_fp_colour, " .
                     "chart_fn_colour, " .
                     "chart_suspected_ham_colour, " .
                     "chart_suspected_spam_colour, " .
                     "chart_wl_colour, " .
                     "chart_bl_colour, " .
                     "chart_background_colour, " .
                     "chart_font_colour, " .
                     "chart_autogeneration_interval, " .
                     "banner_title, " .
                     "use_icons, " .
                     "use_logo, " .
                     "logo_url, " .
                     "logo_file, " .
                     "logo_alt_text, " .
                     "virus_info_url, " .
                     "virus_lookup, " .
                     "primary_report_server, " .
                     "primary_report_port, " .
                     "secondary_report_server, " .
                     "secondary_report_port, " .
                     "reporter_sitename, " .
                     "reporter_username, " .
                     "reporter_password " .
              "FROM maia_config WHERE id = 0";
    $sth = $dbh->query($select);
    if ($row = $sth->fetchrow()) {
        $enable_user_autocreation = ($row["enable_user_autocreation"] == 'Y');
        $enable_false_negative_management = ($row["enable_false_negative_management"] == 'Y');
        $enable_stats_tracking = ($row["enable_stats_tracking"] == 'Y');
        $enable_virus_scanning = ($row["enable_virus_scanning"] == 'Y');
        $enable_spam_filtering = ($row["enable_spam_filtering"] == 'Y');
        $enable_banned_files_checking = ($row["enable_banned_files_checking"] == 'Y');
        $enable_bad_header_checking = ($row["enable_bad_header_checking"] == 'Y');
        $enable_charts = ($row["enable_charts"] == 'Y');
        $enable_spamtraps = ($row["enable_spamtraps"] == 'Y');
        $enable_stats_reporting = ($row["enable_stats_reporting"] == 'Y');
        $enable_address_linking = ($row["enable_address_linking"] == 'Y');
        $enable_privacy_invasion = ($row["enable_privacy_invasion"] == 'Y');
        $enable_username_changes = ($row["enable_username_changes"] == 'Y');
        $internal_auth = ($row["internal_auth"] == 'Y');
        $system_default_user_is_local = ($row["system_default_user_is_local"] == 'Y');
        $user_virus_scanning = ($row["user_virus_scanning"] == 'Y');
        $user_spam_filtering = ($row["user_spam_filtering"] == 'Y');
        $user_banned_files_checking = ($row["user_banned_files_checking"] == 'Y');
        $user_bad_header_checking = ($row["user_bad_header_checking"] == 'Y');
        $size_limit = $row["size_limit"];
        $oversize_policy = $row["oversize_policy"];
        $key_file = $row["key_file"];
        $admin_email = $row["admin_email"];
        $expiry_period = $row["expiry_period"];
        $ham_cache_expiry_period = $row["ham_cache_expiry_period"];
        $reminder_threshold_count = $row["reminder_threshold_count"];
        $reminder_threshold_size = $row["reminder_threshold_size"];
        $reminder_template_file = $row["reminder_template_file"];
        $reminder_login_url = $row["reminder_login_url"];
        $smtp_server = strtolower($row["smtp_server"]);
        $smtp_port = $row["smtp_port"];
        $newuser_template_file = $row["newuser_template_file"];
        $currency_label = $row["currency_label"];
        $bandwidth_cost = $row["bandwidth_cost"];
        $chart_ham_colour = $row["chart_ham_colour"];
        $chart_spam_colour = $row["chart_spam_colour"];
        $chart_virus_colour = $row["chart_virus_colour"];
        $chart_fp_colour = $row["chart_fp_colour"];
        $chart_fn_colour = $row["chart_fn_colour"];
        $chart_suspected_ham_colour = $row["chart_suspected_ham_colour"];
        $chart_suspected_spam_colour = $row["chart_suspected_spam_colour"];
        $chart_wl_colour = $row["chart_wl_colour"];
        $chart_bl_colour = $row["chart_bl_colour"];
        $chart_background_colour = $row["chart_background_colour"];
        $chart_font_colour = $row["chart_font_colour"];
        $chart_autogeneration_interval = $row["chart_autogeneration_interval"];
        $banner_title = $row["banner_title"];
        $use_icons = ($row["use_icons"] == 'Y');
        $use_logo = ($row["use_logo"] == 'Y');
        $logo_url = $row["logo_url"];
        $logo_file = $row["logo_file"];
        $logo_alt_text = $row["logo_alt_text"];
        $virus_info_url = $row["virus_info_url"];
        $virus_lookup = $row["virus_lookup"];
        $primary_report_server = strtolower($row["primary_report_server"]);
        $primary_report_port = $row["primary_report_port"];
        $secondary_report_server = strtolower($row["secondary_report_server"]);
        $secondary_report_port = $row["secondary_report_port"];
        $reporter_sitename = $row["reporter_sitename"];
        $reporter_username = strtolower($row["reporter_username"]);
        $reporter_password = $row["reporter_password"];
    }
    $sth->free();

?>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_enable_user_autocreation); ?>&nbsp;
<font size="2"><a href="adminhelp.php#enable_user_autocreation<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="center">
<?php if ($enable_user_autocreation) { ?>
<input type="radio" name="enable_user_autocreation" value="Y" checked>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_user_autocreation" value="N">&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } else { ?>
<input type="radio" name="enable_user_autocreation" value="Y">&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_user_autocreation" value="N" checked>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } ?>
</td>
</tr>

<?php if ($auth_method == "internal") { ?>
<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_internal_auth); ?>&nbsp;
<font size="2"><a href="adminhelp.php#internal_auth<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="center">
<?php if ($internal_auth) { ?>
<input type="radio" name="internal_auth" value="Y" checked>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="internal_auth" value="N">&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } else { ?>
<input type="radio" name="internal_auth" value="Y">&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="internal_auth" value="N" checked>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } ?>
</td>
</tr>
<?php } ?>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_enable_false_negative_management); ?>&nbsp;
<font size="2"><a href="adminhelp.php#enable_false_negative_management<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="center">
<?php if ($enable_false_negative_management) { ?>
<input type="radio" name="enable_false_negative_management" value="Y" checked>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_false_negative_management" value="N">&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } else { ?>
<input type="radio" name="enable_false_negative_management" value="Y">&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_false_negative_management" value="N" checked>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } ?>
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_enable_stats_tracking); ?>&nbsp;
<font size="2"><a href="adminhelp.php#enable_stats_tracking<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="center">
<?php if ($enable_stats_tracking) { ?>
<input type="radio" name="enable_stats_tracking" value="Y" checked>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_stats_tracking" value="N">&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } else { ?>
<input type="radio" name="enable_stats_tracking" value="Y">&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_stats_tracking" value="N" checked>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } ?>
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_enable_virus_scanning); ?>&nbsp;
<font size="2"><a href="adminhelp.php#enable_virus_scanning<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="center">
<?php if ($enable_virus_scanning) { ?>
<input type="radio" name="enable_virus_scanning" value="Y" checked>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_virus_scanning" value="N">&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } else { ?>
<input type="radio" name="enable_virus_scanning" value="Y">&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_virus_scanning" value="N" checked>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } ?>
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_user_virus_scanning); ?>&nbsp;
<font size="2"><a href="adminhelp.php#user_virus_scanning<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="center">
<?php if ($user_virus_scanning) { ?>
<input type="radio" name="user_virus_scanning" value="Y" checked>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="user_virus_scanning" value="N">&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } else { ?>
<input type="radio" name="user_virus_scanning" value="Y">&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="user_virus_scanning" value="N" checked>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } ?>
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_enable_spam_filtering); ?>&nbsp;
<font size="2"><a href="adminhelp.php#enable_spam_filtering<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="center">
<?php if ($enable_spam_filtering) { ?>
<input type="radio" name="enable_spam_filtering" value="Y" checked>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_spam_filtering" value="N">&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } else { ?>
<input type="radio" name="enable_spam_filtering" value="Y">&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_spam_filtering" value="N" checked>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } ?>
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_user_spam_filtering); ?>&nbsp;
<font size="2"><a href="adminhelp.php#user_spam_filtering<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="center">
<?php if ($user_spam_filtering) { ?>
<input type="radio" name="user_spam_filtering" value="Y" checked>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="user_spam_filtering" value="N">&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } else { ?>
<input type="radio" name="user_spam_filtering" value="Y">&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="user_spam_filtering" value="N" checked>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } ?>
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_enable_banned_files_checking); ?>&nbsp;
<font size="2"><a href="adminhelp.php#enable_banned_files_checking<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="center">
<?php if ($enable_banned_files_checking) { ?>
<input type="radio" name="enable_banned_files_checking" value="Y" checked>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_banned_files_checking" value="N">&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } else { ?>
<input type="radio" name="enable_banned_files_checking" value="Y">&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_banned_files_checking" value="N" checked>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } ?>
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_user_banned_files_checking); ?>&nbsp;
<font size="2"><a href="adminhelp.php#user_banned_files_checking<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="center">
<?php if ($user_banned_files_checking) { ?>
<input type="radio" name="user_banned_files_checking" value="Y" checked>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="user_banned_files_checking" value="N">&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } else { ?>
<input type="radio" name="user_banned_files_checking" value="Y">&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="user_banned_files_checking" value="N" checked>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } ?>
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_enable_bad_header_checking); ?>&nbsp;
<font size="2"><a href="adminhelp.php#enable_bad_header_checking<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="center">
<?php if ($enable_bad_header_checking) { ?>
<input type="radio" name="enable_bad_header_checking" value="Y" checked>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_bad_header_checking" value="N">&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } else { ?>
<input type="radio" name="enable_bad_header_checking" value="Y">&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_bad_header_checking" value="N" checked>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } ?>
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_user_bad_header_checking); ?>&nbsp;
<font size="2"><a href="adminhelp.php#user_bad_header_checking<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="center">
<?php if ($user_bad_header_checking) { ?>
<input type="radio" name="user_bad_header_checking" value="Y" checked>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="user_bad_header_checking" value="N">&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } else { ?>
<input type="radio" name="user_bad_header_checking" value="Y">&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="user_bad_header_checking" value="N" checked>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } ?>
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_enable_spamtraps); ?>&nbsp;
<font size="2"><a href="adminhelp.php#enable_spamtraps<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="center">
<?php if ($enable_spamtraps) { ?>
<input type="radio" name="enable_spamtraps" value="Y" checked>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_spamtraps" value="N">&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } else { ?>
<input type="radio" name="enable_spamtraps" value="Y">&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_spamtraps" value="N" checked>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } ?>
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_enable_address_linking); ?>&nbsp;
<font size="2"><a href="adminhelp.php#enable_address_linking<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="center">
<?php if ($enable_address_linking) { ?>
<input type="radio" name="enable_address_linking" value="Y" checked>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_address_linking" value="N">&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } else { ?>
<input type="radio" name="enable_address_linking" value="Y">&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_address_linking" value="N" checked>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } ?>
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_enable_username_changes); ?>&nbsp;
<font size="2"><a href="adminhelp.php#enable_username_changes<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="center">
<?php if ($enable_username_changes) { ?>
<input type="radio" name="enable_username_changes" value="Y" checked>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_username_changes" value="N">&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } else { ?>
<input type="radio" name="enable_username_changes" value="Y">&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_username_changes" value="N" checked>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } ?>
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_enable_privacy_invasion); ?>&nbsp;
<font size="2"><a href="adminhelp.php#enable_privacy_invasion<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="center">
<?php if ($enable_privacy_invasion) { ?>
<input type="radio" name="enable_privacy_invasion" value="Y" checked>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_privacy_invasion" value="N">&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } else { ?>
<input type="radio" name="enable_privacy_invasion" value="Y">&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_privacy_invasion" value="N" checked>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } ?>
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_system_default_user_is_local); ?>&nbsp;
<font size="2"><a href="adminhelp.php#system_default_user_is_local<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="center">
<?php if ($system_default_user_is_local) { ?>
<input type="radio" name="system_default_user_is_local" value="Y" checked>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="system_default_user_is_local" value="N">&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } else { ?>
<input type="radio" name="system_default_user_is_local" value="Y">&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="system_default_user_is_local" value="N" checked>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } ?>
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_size_limit); ?>&nbsp;
<font size="2"><a href="adminhelp.php#size_limit<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="size_limit" size="12" value="<?php print($size_limit); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_oversize_policy); ?>&nbsp;
<font size="2"><a href="adminhelp.php#oversize_policy<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="center">
<?php if ($oversize_policy == "P") { ?>
<input type="radio" name="oversize_policy" value="P" checked>&nbsp;<?php print($lang_text_accept); ?>&nbsp;&nbsp;
<input type="radio" name="oversize_policy" value="B">&nbsp;<?php print($lang_text_reject); ?>&nbsp;&nbsp;
<?php } else { ?>
<input type="radio" name="oversize_policy" value="P">&nbsp;<?php print($lang_text_accept); ?>&nbsp;&nbsp;
<input type="radio" name="oversize_policy" value="B" checked>&nbsp;<?php print($lang_text_reject); ?>&nbsp;&nbsp;
<?php } ?>
</td>
</tr>

<tr><td class="menulight" colspan="2">&nbsp;</td></tr>

<tr><td class="menuheader" align="center" colspan="2"><?php print($lang_header_paths); ?></td></tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_admin_email); ?>&nbsp;
<font size="2"><a href="adminhelp.php#admin_email<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="admin_email" size="50" value="<?php print($admin_email); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_smtp_server); ?>&nbsp;
<font size="2"><a href="adminhelp.php#smtp_server<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="smtp_server" size="50" value="<?php print($smtp_server); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_smtp_port); ?>&nbsp;
<font size="2"><a href="adminhelp.php#smtp_port<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="smtp_port" size="5" value="<?php print($smtp_port); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_key_file); ?>&nbsp;
<font size="2"><a href="adminhelp.php#key_file<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="key_file" size="50" value="<?php print($key_file); ?>">
</td>
</tr>

<?php if ($auth_method == "internal") { ?>
<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_newuser_template_file); ?>&nbsp;
<font size="2"><a href="adminhelp.php#newuser_template_file<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="newuser_template_file" size="50" value="<?php print($newuser_template_file); ?>">
</td>
</tr>
<?php } ?>

<tr><td class="menulight" colspan="2">&nbsp;</td></tr>

<tr><td class="menuheader" align="center" colspan="2"><?php print($lang_header_reminders); ?></td></tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_expiry_period); ?>&nbsp;
<font size="2"><a href="adminhelp.php#expiry_period<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="expiry_period" size="4" value="<?php print($expiry_period); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_ham_cache_expiry_period); ?>&nbsp;
<font size="2"><a href="adminhelp.php#ham_cache_expiry_period<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="ham_cache_expiry_period" size="4" value="<?php print($ham_cache_expiry_period); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_reminder_threshold_count); ?>&nbsp;
<font size="2"><a href="adminhelp.php#reminder_threshold_count<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="reminder_threshold_count" size="6" value="<?php print($reminder_threshold_count); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_reminder_threshold_size); ?>&nbsp;
<font size="2"><a href="adminhelp.php#reminder_threshold_size<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="reminder_threshold_size" size="6" value="<?php print($reminder_threshold_size); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_reminder_template_file); ?>&nbsp;
<font size="2"><a href="adminhelp.php#reminder_template_file<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="reminder_template_file" size="50" value="<?php print($reminder_template_file); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_reminder_login_url); ?>&nbsp;
<font size="2"><a href="adminhelp.php#reminder_login_url<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="reminder_login_url" size="50" value="<?php print($reminder_login_url); ?>">
</td>
</tr>

<tr><td class="menulight" colspan="2">&nbsp;</td></tr>

<tr><td class="menuheader" align="center" colspan="2"><?php print($lang_header_display); ?></td></tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_banner_title); ?>&nbsp;
<font size="2"><a href="adminhelp.php#banner_title<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="banner_title" size="50" value="<?php print($banner_title); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_use_icons); ?>&nbsp;
<font size="2"><a href="adminhelp.php#use_icons<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="center">
<?php if ($use_icons) { ?>
<input type="radio" name="use_icons" value="Y" checked>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="use_icons" value="N">&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } else { ?>
<input type="radio" name="use_icons" value="Y">&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="use_icons" value="N" checked>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } ?>
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_use_logo); ?>&nbsp;
<font size="2"><a href="adminhelp.php#use_logo<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="center">
<?php if ($use_logo) { ?>
<input type="radio" name="use_logo" value="Y" checked>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="use_logo" value="N">&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } else { ?>
<input type="radio" name="use_logo" value="Y">&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="use_logo" value="N" checked>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } ?>
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_logo_file); ?>&nbsp;
<font size="2"><a href="adminhelp.php#logo_file<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="logo_file" size="50" value="<?php print($logo_file); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_logo_alt_text); ?>&nbsp;
<font size="2"><a href="adminhelp.php#logo_alt_text<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="logo_alt_text" size="50" value="<?php print($logo_alt_text); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_logo_url); ?>&nbsp;
<font size="2"><a href="adminhelp.php#logo_url<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="logo_url" size="50" value="<?php print($logo_url); ?>">
</td>
</tr>

<tr><td class="menulight" colspan="2">&nbsp;</td></tr>

<tr><td class="menuheader" align="center" colspan="2"><?php print($lang_header_virus_info); ?></td></tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_virus_info_url); ?>&nbsp;
<font size="2"><a href="adminhelp.php#virus_info_url<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="virus_info_url" size="50" value="<?php print($virus_info_url); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_virus_lookup); ?>&nbsp;
<font size="2"><a href="adminhelp.php#virus_lookup<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<select name="virus_lookup">
<?php if ($virus_lookup == "") { ?>
<option value="" selected><?php print($lang_text_none); ?></option>
<?php } else { ?>
<option value=""><?php print($lang_text_none); ?></option>
<?php } ?>
<?php if ($virus_lookup == "fprot") { ?>
<option value="fprot" selected><?php print($lang_text_fprot); ?></option>
<?php } else { ?>
<option value="fprot"><?php print($lang_text_fprot); ?></option>
<?php } ?>
<?php if ($virus_lookup == "fsecure") { ?>
<option value="fsecure" selected><?php print($lang_text_fsecure); ?></option>
<?php } else { ?>
<option value="fsecure"><?php print($lang_text_fsecure); ?></option>
<?php } ?>
<?php if ($virus_lookup == "fsecurejp") { ?>
<option value="fsecurejp" selected><?php print($lang_text_fsecurejp); ?></option>
<?php } else { ?>
<option value="fsecurejp"><?php print($lang_text_fsecurejp); ?></option>
<?php } ?>
<?php if ($virus_lookup == "google") { ?>
<option value="google" selected><?php print($lang_text_google); ?></option>
<?php } else { ?>
<option value="google"><?php print($lang_text_google); ?></option>
<?php } ?>
<?php if ($virus_lookup == "mcafee") { ?>
<option value="mcafee" selected><?php print($lang_text_mcafee); ?></option>
<?php } else { ?>
<option value="mcafee"><?php print($lang_text_mcafee); ?></option>
<?php } ?>
<?php if ($virus_lookup == "nod32") { ?>
<option value="nod32" selected><?php print($lang_text_nod32); ?></option>
<?php } else { ?>
<option value="nod32"><?php print($lang_text_nod32); ?></option>
<?php } ?>
<?php if ($virus_lookup == "norman") { ?>
<option value="norman" selected><?php print($lang_text_norman); ?></option>
<?php } else { ?>
<option value="norman"><?php print($lang_text_norman); ?></option>
<?php } ?>
<?php if ($virus_lookup == "sophos") { ?>
<option value="sophos" selected><?php print($lang_text_sophos); ?></option>
<?php } else { ?>
<option value="sophos"><?php print($lang_text_sophos); ?></option>
<?php } ?>
<?php if ($virus_lookup == "symantec") { ?>
<option value="symantec" selected><?php print($lang_text_symantec); ?></option>
<?php } else { ?>
<option value="symantec"><?php print($lang_text_symantec); ?></option>
<?php } ?>
<?php if ($virus_lookup == "trend") { ?>
<option value="trend" selected><?php print($lang_text_trend); ?></option>
<?php } else { ?>
<option value="trend"><?php print($lang_text_trend); ?></option>
<?php } ?>
</select>
</td>
</tr>

<tr><td class="menulight" colspan="2">&nbsp;</td></tr>

<tr><td class="menuheader" align="center" colspan="2"><?php print($lang_header_bandwidth); ?></td></tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_currency_label); ?>&nbsp;
<font size="2"><a href="adminhelp.php#currency_label<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="currency_label" size="5" value="<?php print($currency_label); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_bandwidth_cost); ?>&nbsp;
<font size="2"><a href="adminhelp.php#bandwidth_cost<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="bandwidth_cost" size="5" value="<?php print($bandwidth_cost); ?>">
</td>
</tr>

<tr><td class="menulight" colspan="2">&nbsp;</td></tr>

<tr><td class="menuheader" align="center" colspan="2"><?php print($lang_header_stats_reporting); ?></td></tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_enable_stats_reporting); ?>&nbsp;
<font size="2"><a href="adminhelp.php#enable_stats_reporting<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="center">
<?php if ($enable_stats_reporting) { ?>
<input type="radio" name="enable_stats_reporting" value="Y" checked>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_stats_reporting" value="N">&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } else { ?>
<input type="radio" name="enable_stats_reporting" value="Y">&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_stats_reporting" value="N" checked>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } ?>
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_primary_report_server); ?>&nbsp;
<font size="2"><a href="adminhelp.php#primary_report_server<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="primary_report_server" size="50" value="<?php print($primary_report_server); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_primary_report_port); ?>&nbsp;
<font size="2"><a href="adminhelp.php#primary_report_port<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="primary_report_port" size="5" value="<?php print($primary_report_port); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_secondary_report_server); ?>&nbsp;
<font size="2"><a href="adminhelp.php#secondary_report_server<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="secondary_report_server" size="50" value="<?php print($secondary_report_server); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_secondary_report_port); ?>&nbsp;
<font size="2"><a href="adminhelp.php#secondary_report_port<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="secondary_report_port" size="5" value="<?php print($secondary_report_port); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_reporter_sitename); ?>&nbsp;
<font size="2"><a href="adminhelp.php#reporter_sitename<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="reporter_sitename" size="50" value="<?php print($reporter_sitename); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_reporter_username); ?>&nbsp;
<font size="2"><a href="adminhelp.php#reporter_username<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="reporter_username" size="50" value="<?php print($reporter_username); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_reporter_password); ?>&nbsp;
<font size="2"><a href="adminhelp.php#reporter_password<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="password" name="reporter_password" size="50" value="<?php print($reporter_password); ?>">
</td>
</tr>

<tr><td class="menulight" colspan="2">&nbsp;</td></tr>

<tr><td class="menuheader" align="center" colspan="2"><?php print($lang_header_charts); ?></td></tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_enable_charts); ?>&nbsp;
<font size="2"><a href="adminhelp.php#enable_charts<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="center">
<?php if ($enable_charts) { ?>
<input type="radio" name="enable_charts" value="Y" checked>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_charts" value="N">&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } else { ?>
<input type="radio" name="enable_charts" value="Y">&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_charts" value="N" checked>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
<?php } ?>
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_chart_ham_colour); ?>&nbsp;
<font size="2"><a href="adminhelp.php#chart_ham_colour<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="chart_ham_colour" size="10" value="<?php print($chart_ham_colour); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_chart_spam_colour); ?>&nbsp;
<font size="2"><a href="adminhelp.php#chart_spam_colour<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="chart_spam_colour" size="10" value="<?php print($chart_spam_colour); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_chart_virus_colour); ?>&nbsp;
<font size="2"><a href="adminhelp.php#chart_virus_colour<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="chart_virus_colour" size="10" value="<?php print($chart_virus_colour); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_chart_fp_colour); ?>&nbsp;
<font size="2"><a href="adminhelp.php#chart_fp_colour<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="chart_fp_colour" size="10" value="<?php print($chart_fp_colour); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_chart_fn_colour); ?>&nbsp;
<font size="2"><a href="adminhelp.php#chart_fn_colour<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="chart_fn_colour" size="10" value="<?php print($chart_fn_colour); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_chart_suspected_ham_colour); ?>&nbsp;
<font size="2"><a href="adminhelp.php#chart_suspected_ham_colour<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="chart_suspected_ham_colour" size="10" value="<?php print($chart_suspected_ham_colour); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_chart_suspected_spam_colour); ?>&nbsp;
<font size="2"><a href="adminhelp.php#chart_suspected_spam_colour<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="chart_suspected_spam_colour" size="10" value="<?php print($chart_suspected_spam_colour); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_chart_wl_colour); ?>&nbsp;
<font size="2"><a href="adminhelp.php#chart_wl_colour<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="chart_wl_colour" size="10" value="<?php print($chart_wl_colour); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_chart_bl_colour); ?>&nbsp;
<font size="2"><a href="adminhelp.php#chart_bl_colour<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="chart_bl_colour" size="10" value="<?php print($chart_bl_colour); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_chart_background_colour); ?>&nbsp;
<font size="2"><a href="adminhelp.php#chart_background_colour<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="chart_background_colour" size="10" value="<?php print($chart_background_colour); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_chart_font_colour); ?>&nbsp;
<font size="2"><a href="adminhelp.php#chart_font_colour<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="chart_font_colour" size="10" value="<?php print($chart_font_colour); ?>">
</td>
</tr>

<tr>
<td class="menuheader2" align="left">
<?php print($lang_text_chart_autogeneration_interval); ?>&nbsp;
<font size="2"><a href="adminhelp.php#chart_autogeneration_interval<?php print($sid); ?>" target="new">[?]</a></font>
</td>
<td class="menubody2" align="left">
<input type="text" name="chart_autogeneration_interval" size="4" value="<?php print($chart_autogeneration_interval); ?>">
</td>
</tr>

<tr><td class="menulight" colspan="2">&nbsp;</td></tr>

<tr>
<td class="menubody2" align="center" colspan="2">
<input type="submit" name="submit" value=" <?php print($lang_button_submit); ?> ">&nbsp;&nbsp;
<input type="reset" name="reset" value=" <?php print($lang_button_restore); ?> ">
</td>
</tr>

</table></div>
</form>

<div align="center">
<a href="admindex.php<?php print($sid); ?>">[<?php print($lang_link_admin_menu); ?>]</a>
</div>

<?php display_html_foot(); ?>