<?php
    /*
     * $Id: adminusers.php,v 1.4 2004/01/31 22:56:05 rjl Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

    require_once ("config.php");
    require_once ("db.php");
    require_once ("authcheck.php");
    require_once ("display.php");
    $display_language = get_display_language($euid);
    $html_charset = get_html_charset($euid);
    require_once ("./locale/$display_language/db.php");
    require_once ("./locale/$display_language/display.php");
    require_once ("./locale/$display_language/adminusers.php");

    // Only administrators should be here.
    if (!is_an_administrator($uid)) {
       header("Location: index.php" . $sid);
       exit();
    }

    // Cancel any impersonations currently in effect
    // by resetting EUID = UID and forcing a reload
    // of this page.
    if ($uid != $euid) {
       $euid = $uid;
       $_SESSION["euid"] = $uid;
       header("Location: adminusers.php" . $sid);
       exit();
    }

    // Is this administrator the superadmin, or just a
    // domain admin?
    $super = is_superadmin($uid);

    display_html_head($lang_banner_subtitle, $display_language, $html_charset);
    display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
?>
<form method="post" action="xadminusers.php<?php print($sid); ?>" name="adminusers">

<div align="center">
<table border="0" cellspacing="2" cellpadding="2" width="600">

<tr>
<td class="menuheader" align="center" colspan="2"><?php print($lang_header_users_menu); ?>&nbsp;
<font size="3"><a href="adminhelp.php#find_users<?php print($sid); ?>" target="new">[?]</a></font></td>
</tr>

<tr>
<td class="menuheader2" align="center">
<?php print($lang_text_lookup_user); ?> (* = <?php print($lang_text_wildcard); ?>):</td>
<td class="menubody2" align="left">
<input type="text" name="lookup" value="*" size="50">
</td>
</tr>

<tr>
<td class="menuheader2" align="center" colspan="2">
<input type="submit" name="button_find" value=" <?php print($lang_button_lookup); ?> ">
</td>
</tr>

</table></div>

<p>&nbsp;</p>

<div align="center">
<table border="0" cellspacing="2" cellpadding="2" width="600">

<tr>
<td class="menuheader" align="center" colspan="2"><?php print($lang_header_add_email); ?>&nbsp;
<font size="3"><a href="adminhelp.php#add_email_address<?php print($sid); ?>" target="new">[?]</a></font></td>
</tr>

<tr>
<td class="menuheader2" align="center">
<?php print($lang_text_new_email); ?>:</td>
<td class="menubody2" align="left">
<input type="text" name="new_email" value="" size="50">
</td>
</tr>

<tr>
<td class="menuheader2" align="center" colspan="2">
<input type="submit" name="button_add" value=" <?php print($lang_button_add_email); ?> ">
</td>
</tr>

</table></div>

<p>&nbsp;</p>

<div align="center">
<table border="0" cellspacing="2" cellpadding="2" width="600">

<tr>
<td class="menuheader" align="center" colspan="2"><?php print($lang_header_link_email); ?>&nbsp;
<font size="3"><a href="adminhelp.php#link_email_address<?php print($sid); ?>" target="new">[?]</a></font></td>
</tr>


<?php

    if (!$super) {

    	// Make a list of the domains this administrator can access.
        $select = "SELECT domain " .
                  "FROM maia_domains, maia_domain_admins " .
                  "WHERE maia_domains.id = maia_domain_admins.domain_id " .
                  "AND maia_domain_admins.admin_id = ? " .
                  "ORDER BY domain ASC";
        $sth = $dbh->query($select, array($uid));
        while ($row = $sth->fetchrow()) {
            $domain_name[] = strtolower($row["domain"]);
        }
        $sth->free();

        foreach ($domain_name as $dname) {

            // List only the e-mail addresses within the
            // domains administered by this admin.
            $select = "SELECT users.email, users.id " .
                      "FROM users, maia_users " .
                      "WHERE users.email LIKE '%_" . $dname . "' " .
                      "AND users.maia_user_id = maia_users.id " .
                      "AND (maia_users.user_level = 'U' " .
                      "OR maia_users.id = ?) " .
                      "ORDER BY users.email ASC";
            $sth = $dbh->query($select, array($uid));
            while ($row = $sth->fetchrow()) {
                $address[] = $row["email"];
                $address_id[] = $row["id"];
            }
            $sth->free();
        }
        if (isset($address)) {
            $addresses = count($address);
        } else {
            $addresses = 0;
        }

        foreach ($domain_name as $dname) {

            // List only the users with e-mail addresses within the
            // domains administered by this admin.
            $select = "SELECT DISTINCT maia_users.user_name, maia_users.id " .
                      "FROM maia_users, users " .
                      "WHERE maia_users.id = users.maia_user_id " .
                      "AND users.email LIKE '%" . $dname . "' " .
                      "AND (maia_users.user_level = 'U' " .
                      "OR maia_users.id = ?) " .
                      "ORDER BY user_name ASC";
            $sth = $dbh->query($select, array($uid));
            while ($row = $sth->fetchrow()) {
                $user_name[] = $row["user_name"];
                $user_id[] = $row["id"];
            }
            $sth->free();
        }


    } else {

    	// The superadmin can list all e-mail addresses in all domains.
        $select = "SELECT email, id " .
                  "FROM users " .
                  "WHERE email NOT LIKE '@%' " .
                  "ORDER BY email ASC";
        $sth = $dbh->query($select);
        while ($row = $sth->fetchrow()) {
            $address[] = $row["email"];
            $address_id[] = $row["id"];
        }
        $sth->free();

    	// The superadmin can list all users in all domains.
        $select = "SELECT user_name, id " .
                  "FROM maia_users " .
                  "ORDER BY user_name ASC";
        $sth = $dbh->query($select);
        while ($row = $sth->fetchrow()) {
            $user_name[] = $row["user_name"];
            $user_id[] = $row["id"];
        }
        $sth->free();

    }
    if (isset($address)) {
        $addresses = count($address);
    } else {
        $addresses = 0;
    }
    if (isset($user_name)) {
        $users = count($user_name);
    } else {
    	$users = 0;
    }
    if ($addresses > 0 && $users > 0) {
        print("<tr><td class=\"menuheader2\" align=\"center\">" . $lang_text_email . ":</td>\n");
        print("<td class=\"menubody2\" align=\"left\">\n");
        print("<select name=\"email[]\" size=\"5\" multiple>\n");
        for ($i = 0; $i < $addresses; $i++) {
    	    print("<option value=\"" . $address_id[$i] . "\">" . $address[$i] . "</option>\n");
        }
        print("</select></td></tr>\n");
        print("<tr><td class=\"menuheader2\" align=\"center\">" . $lang_text_user . ":</td>\n");
        print("<td class=\"menubody2\" align=\"left\">\n");
        print("<select name=\"user\" size=\"5\">\n");
        for ($i = 0; $i < $users; $i++) {
    	    print("<option value=\"" . $user_id[$i] . "\">" . $user_name[$i] . "</option>\n");
        }
        print("</select></td></tr>\n");
        print("<tr><td class=\"menuheader2\" align=\"center\" colspan=\"2\">\n");
        print("<input type=\"submit\" name=\"button_link\" value=\" " . $lang_button_link_email . " \">\n");
        print("</td></tr>\n");
    } elseif ($addresses > 0) {
    	print("<tr><td class=\"menubody2\" align=\"center\" colspan=\"2\">" . $lang_text_no_users . "</td></tr>\n");
    } else {
    	print("<tr><td class=\"menubody2\" align=\"center\" colspan=\"2\">" . $lang_text_no_addresses . "</td></tr>\n");
    }
?>

</table></div>

<p>&nbsp;</p>

<div align="center">
<table border="0" cellspacing="2" cellpadding="2" width="600">

<tr>
<td class="menuheader" align="center" colspan="2"><?php print($lang_header_delete_email); ?>&nbsp;
<font size="3"><a href="adminhelp.php#delete_email_address<?php print($sid); ?>" target="new">[?]</a></font></td>
</tr>

<?php

    if (!$super) {

        foreach ($domain_name as $dname) {

            // List only the e-mail addresses within the
            // domains administered by this admin.
            $select = "SELECT users.email, users.id " .
                      "FROM users, maia_users " .
                      "WHERE users.email LIKE '%_" . $dname . "' " .
                      "AND users.maia_user_id = maia_users.id " .
                      "AND maia_users.user_level = 'U' " .
                      "ORDER BY users.email ASC";
            $sth = $dbh->query($select);
            while ($row = $sth->fetchrow()) {
                $delete_address[] = $row["email"];
                $delete_address_id[] = $row["id"];
            }
            $sth->free();
        }

    } else {

    	// The superadmin can list all e-mail addresses in all domains.
        $select = "SELECT email, id " .
                  "FROM users " .
                  "WHERE email NOT LIKE '@%' " .
                  "ORDER BY email ASC";
        $sth = $dbh->query($select);
        while ($row = $sth->fetchrow()) {
            $delete_address[] = $row["email"];
            $delete_address_id[] = $row["id"];
        }
        $sth->free();
    }

    if (isset($delete_address)) {
        $delete_addresses = count($delete_address);
    } else {
    	$delete_addresses = 0;
    }
    if ($delete_addresses > 0) {
    	print("<tr>\n");
        print("<td class=\"menuheader2\" align=\"center\">" . $lang_text_delete_email . ":</td>\n");
        print("<td class=\"menubody2\" align=\"left\">\n");
        print("<select name=\"delete_email[]\" size=\"5\" multiple>\n");
        for ($i = 0; $i < $delete_addresses; $i++) {
    	    print("<option value=\"" . $delete_address_id[$i] . "\">" . $delete_address[$i] . "</option>\n");
        }
        print("</select></td></tr>\n");
        print("<tr><td class=\"menuheader2\" align=\"center\" colspan=\"2\">\n");
        print("<input type=\"submit\" name=\"button_delete_email\" value=\" " . $lang_button_delete_email . " \">\n");
        print("</td></tr>\n");
    } else {
    	print("<tr><td class=\"menubody2\" align=\"center\" colspan=\"2\">" . $lang_text_no_addresses . "</td></tr>\n");
    }
?>
</table></div>

<p>&nbsp;</p>

<div align="center">
<table border="0" cellspacing="2" cellpadding="2" width="600">

<tr>
<td class="menuheader" align="center" colspan="2"><?php print($lang_header_delete_user); ?>&nbsp;
<font size="3"><a href="adminhelp.php#delete_user<?php print($sid); ?>" target="new">[?]</a></font></td>
</tr>

<?php

    if (!$super) {

        foreach ($domain_name as $dname) {

            // List only the users with e-mail addresses within the
            // domains administered by this admin.
            $select = "SELECT DISTINCT maia_users.user_name, maia_users.id " .
                      "FROM maia_users, users " .
                      "WHERE maia_users.id = users.maia_user_id " .
                      "AND users.email LIKE '%_" . $dname . "' " .
                      "AND maia_users.user_level = 'U' " .
                      "ORDER BY user_name ASC";
            $sth = $dbh->query($select);
            while ($row = $sth->fetchrow()) {
                $del_user_name[] = $row["user_name"];
                $del_user_id[] = $row["id"];
            }
            $sth->free();
        }


    } else {

    	// The superadmin can list all users in all domains.
        $select = "SELECT user_name, id " .
                  "FROM maia_users " .
                  "WHERE user_level <> 'S' " .
                  "AND user_name NOT LIKE '@%' " .
                  "ORDER BY user_name ASC";
        $sth = $dbh->query($select);
        while ($row = $sth->fetchrow()) {
           $del_user_name[] = $row["user_name"];
            $del_user_id[] = $row["id"];
        }
        $sth->free();

    }

    if (isset($del_user_name)) {
        $users = count($del_user_name);
    } else {
    	$users = 0;
    }
    if ($users > 0) {
        print("<tr><td class=\"menuheader2\" align=\"center\">" . $lang_text_user . ":</td>\n");
        print("<td class=\"menubody2\" align=\"left\">\n");
        print("<select name=\"del_user[]\" size=\"5\" multiple>\n");
        for ($i = 0; $i < $users; $i++) {
    	    print("<option value=\"" . $del_user_id[$i] . "\">" . $del_user_name[$i] . "</option>\n");
        }
        print("</select></td></tr>\n");
        print("<tr><td class=\"menuheader2\" align=\"center\" colspan=\"2\">\n");
        print("<input type=\"submit\" name=\"button_delete_user\" value=\" " . $lang_button_delete_user . " \">\n");
        print("</td></tr>\n");
    } else {
    	print("<tr><td class=\"menubody2\" align=\"center\" colspan=\"2\">" . $lang_text_no_users . "</td></tr>\n");
    }
?>

</table></div>

<p>&nbsp;</p>

<div align="center">
<a href="admindex.php<?php print($sid); ?>">[<?php print($lang_link_admin_menu); ?>]</a>
</div>

</form>

<?php display_html_foot(); ?>