<?php
    /*
     * $Id: adminviruses.php,v 1.1.1.1 2004/01/21 15:54:42 rjl Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

    require_once ("config.php");
    require_once ("db.php");
    require_once ("authcheck.php");
    require_once ("display.php");
    $display_language = get_display_language($euid);
    $html_charset = get_html_charset($euid);
    require_once ("./locale/$display_language/db.php");
    require_once ("./locale/$display_language/display.php");
    require_once ("./locale/$display_language/adminviruses.php");

    // Only the superadministrator should be here.
    if (!is_superadmin($uid)) {
       header("Location: index.php" . $sid);
       exit();
    }

    // Cancel any impersonations currently in effect
    // by resetting EUID = UID and forcing a reload
    // of this page.
    if ($uid != $euid) {
       $euid = $uid;
       $_SESSION["euid"] = $uid;
       header("Location: adminviruses.php" . $sid);
       exit();
    }

    display_html_head($lang_banner_subtitle, $display_language, $html_charset);
    display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
?>
<form method="post" action="xadminviruses.php<?php print($sid); ?>" name="adminviruses">
<div align="center">
<table border="0" cellspacing="2" cellpadding="2" width="600">

<tr>
<td class="virusbanner" align="center" colspan="3"><?php print($lang_header_virus_menu); ?>&nbsp;
<font size="3"><a href="adminhelp.php#virus_aliases<?php print($sid); ?>" target="new">[?]</a></font>
</td>
</tr>
<?php
    $select = "SELECT virus_name, virus_alias, virus_id " .
              "FROM maia_viruses, maia_virus_aliases " .
              "WHERE maia_viruses.id = maia_virus_aliases.virus_id " .
              "ORDER BY virus_alias ASC";
    $sth = $dbh->query($select);
    if ($sth->numrows() > 0) {
    	print("<tr>\n");
    	print("<td class=\"virusheader2\" align=\"center\">" . $lang_header_delete . "</td>\n");
    	print("<td class=\"virusheader2\" align=\"center\">" . $lang_header_alias . "</td>\n");
    	print("<td class=\"virusheader2\" align=\"center\">" . $lang_header_virus . "</td>\n");
    	print("</tr>\n");
        while ($row = $sth->fetchrow()) {
            $virus_name = $row["virus_name"];
            $virus_alias = $row["virus_alias"];
            $virus_id = $row["virus_id"];
            print("<tr>\n");
            print("<td class=\"virusbody\" align=\"center\">");
            print("<input type=\"checkbox\" name=\"" . $virus_alias . "\" value=\"" . $virus_id . "\">");
            print("</td>\n");
            print("<td class=\"virusbody\" align=\"center\">");
            print($virus_alias);
            print("</td>\n");
            print("<td class=\"virusbody\" align=\"center\">");
            print($virus_name);
            print("</td>\n");
            print("</tr>\n");
        }
        print("<tr>\n");
        print("<td class=\"virusbody\" align=\"center\" colspan=\"3\">\n");
        print("<input type=\"submit\" name=\"delete\" value=\" " . $lang_button_delete . " \">\n");
        print("</td>\n");
        print("</tr>\n");
    } else {
    	print("<tr><td class=\"virusbody\" align=\"center\" colspan=\"3\">" . $lang_text_no_aliases . "</td></tr>\n");
    }
    $sth->free();
?>

</table></div>

<p>&nbsp;</p>

<div align="center">
<table border="0" cellspacing="2" cellpadding="2" width="600">

<tr>
<td class="virusbanner" align="center"><?php print($lang_header_add_alias); ?>&nbsp;
<font size="3"><a href="adminhelp.php#add_virus_alias<?php print($sid); ?>" target="new">[?]</a></font>
</td>
</tr>

<?php
    $select = "SELECT virus_name, id FROM maia_viruses ORDER BY virus_name ASC";
    $rows = $dbh->getall($select);

    if (!$rows) {
    	print("<tr><td class=\"virusbody\" align=\"center\">" . $lang_text_no_viruses . "</td></tr>\n");
    } else {
    	print("<tr>\n");
    	print("<td class=\"virusbody\" align=\"center\">");
    	print($lang_text_make . "&nbsp;");
    	print("<select name=\"alias\">\n");
    	foreach ($rows as $row) {
    	    print("<option value=\"" . $row["id"] . "\">" . $row["virus_name"] . "</option>\n");
    	}
    	print("</select>\n");
    	print("&nbsp;" . $lang_text_an_alias_for . "&nbsp;");
    	print("<select name=\"virus\">\n");
    	foreach ($rows as $row) {
    	    print("<option value=\"" . $row["id"] . "\">" . $row["virus_name"] . "</option>\n");
    	}
    	print("</select>\n");
    	print("</td>\n");
    	print("</tr>\n");
        print("<tr>\n");
        print("<td class=\"virusbody\" align=\"center\">\n");
        print("<input type=\"submit\" name=\"add\" value=\" " . $lang_button_add . " \">\n");
        print("</td>\n");
        print("</tr>\n");
    }
?>

</table></div>
</form>

<div align="center">
<a href="admindex.php<?php print($sid); ?>">[<?php print($lang_link_admin_menu); ?>]</a>
</div>

<?php display_html_foot(); ?>