<?php
    /*
     * $Id: deliver.php,v 1.2 2004/01/23 07:14:12 rjl Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

    require_once ("config.php");
    require_once ("authcheck.php");
    require_once ("display.php");
    require_once ("smtp.php");
    require_once ("db.php");
    $display_language = get_display_language($euid);
    $html_charset = get_html_charset($euid);
    require_once ("./locale/$display_language/display.php");
    require_once ("./locale/$display_language/smtp.php");
    require_once ("./locale/$display_language/db.php");
    require_once ("./locale/$display_language/deliver.php");

    // Register the GET variables.
    if (isset($HTTP_GET_VARS["id"])) {
       $mail_id = trim($HTTP_GET_VARS["id"]);
    } else {
       header("Location: quarantine.php" . $sid);
    }

    $select = "SELECT sender_email, contents, " .
                     "envelope_to, maia_mail_recipients.type " .
              "FROM maia_mail, maia_mail_recipients " .
              "WHERE maia_mail.id = maia_mail_recipients.mail_id " .
              "AND maia_mail_recipients.recipient_id = ? " .
              "AND maia_mail_recipients.mail_id = ?";
    $sth = $dbh->query($select, array($euid, $mail_id));
    if ($row = $sth->fetchrow()) {
    	$sender_email = $row["sender_email"];
    	$body = $row["contents"];
    	$type = $row["type"];

    	if (is_a_domain_default_user($euid)) {

    	    // System default user (@.) or domain-class user (e.g. @domain)
    	    $my_email_address = $row["envelope_to"];

    	} else {

            // Regular user (e.g. user@domain)
            $rlist = explode(" ", trim($row["envelope_to"]));
            $select = "SELECT email FROM users " .
                      "WHERE maia_user_id = ? " .
                      "AND email = ?";
            $my_email_address = "";
            foreach ($rlist as $rmail) {
                $sth2 = $dbh->query($select, array($euid, $rmail));
                if ($row2 = $sth2->fetchrow()) {
                    $my_email_address = $row2["email"];
                    $sth2->free();
                    break;
                }
                $sth2->free();
            }
        }
        if (!empty($my_email_address)) {
            $smtp_result = smtp_send($sender_email, $my_email_address, $body);
            if ($succeeded = (strncmp($smtp_result, "5", 1) != 0)) {
            	if ($type == "S") {
            	    record_mail_stats($euid, $mail_id, "fp");
            	}
            	delete_mail_reference($euid, $mail_id);
            	if ($type == "S") {
            	    update_mail_stats($euid, "suspected_spam");
            	}
            	$subtitle = $lang_banner_subtitle_delivered;
            } else {
                $subtitle = $lang_banner_subtitle_failed;
            }
        }
    }
    $sth->free();

    display_html_head($subtitle, $display_language, $html_charset);
    display_banner($subtitle, $uid, $euid, $sid, true);
?>

<div align="center">
<table border="0" cellspacing="2" cellpadding="2">
<tr>
<td class="messagebox" align="center">
<?php if ($succeeded) { ?>
<?php print($lang_text_submitted); ?>
<?php } else { ?>
<?php print($lang_text_error); ?>:<br>
<br>
<font color="red"><?php print($smtp_result); ?></font>
<?php } ?>
</td>
</tr>
</table>
</div><br>

<?php if ($succeeded) { ?>
<p>&nbsp;</p>

<div align="center">
<table border="0" cellspacing="2" cellpadding="2">

<?php

   // Since this was clearly a "false positive", offer the user the
   // opportunity to add the sender's address or domain to his
   // whitelist.
   $sender_only = strtolower($sender_email);
   $sender_domain = strchr($sender_only, "@");
   $sender_only_address = "<b><font color=\"red\">" . strtoupper($sender_only) . "</font></b>";
   $sender_domain_address = "<b><font color=\"red\">" . strtoupper($sender_domain) . "</font></b>";
?>

<tr>
<td class="menubody">
<a href="xwblist.php<?php print($msid); ?>newaddr=<?php print($sender_only); ?>">
<?php printf($lang_text_sender_only, $sender_only_address); ?></a>
</td>
</tr>

<tr>
<td class="menubody">
<a href="xwblist.php<?php print($msid); ?>newaddr=<?php print($sender_domain); ?>">
<?php printf($lang_text_sender_domain, $sender_domain_address); ?></a>
</td>
</tr>

</table>
</div><br>
<?php } ?>

<?php display_html_foot(); ?>