<?php
    /*
     * $Id: domainsettings.php,v 1.4 2004/06/24 09:38:24 rjl Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

    require_once ("config.php");
    require_once ("authcheck.php");
    require_once ("display.php");
    require_once ("db.php");
    $display_language = get_display_language($euid);
    $html_charset = get_html_charset($euid);
    require_once ("./locale/$display_language/display.php");
    require_once ("./locale/$display_language/db.php");
    require_once ("./locale/$display_language/domainsettings.php");

    // A domain ID value *must* be supplied.
    if (isset($HTTP_GET_VARS["domain"])) {
       $domain_id = trim($HTTP_GET_VARS["domain"]);
    } else {
       header("Location: admindomains.php" . $sid);
    }

    // Only administrators with rights to this domain should be here.
    if (!is_admin_for_domain($uid, $domain_id)) {
       header("Location: index.php" . $sid);
       exit();
    }

    // Is this administrator the superadmin, or just a
    // domain admin?
    $super = is_superadmin($uid);

    display_html_head($lang_banner_subtitle, $display_language, $html_charset);
    display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
?>
<form method="post" action="xdomainsettings.php<?php print($sid); ?>" name="domainsettings">
<input type="hidden" name="domain_id" value="<?php print($domain_id); ?>">

<?php
        $select = "SELECT virus_lover, " .
                         "spam_lover, " .
                         "banned_files_lover, " .
                         "bad_header_lover, " .
                         "bypass_virus_checks, " .
                         "bypass_spam_checks, " .
                         "bypass_banned_checks, " .
                         "bypass_header_checks, " .
                         "discard_viruses, " .
                         "discard_spam, " .
                         "discard_banned_files, " .
                         "discard_bad_headers, " .
                         "spam_modifies_subj, " .
                         "spam_tag_level, " .
                         "spam_tag2_level, " .
                         "spam_kill_level, " .
                         "email, " .
                         "policy_id " .
                  "FROM users, policy " .
                  "WHERE users.policy_id = policy.id " .
                  "AND users.maia_domain_id = ?";

        $system_default = false;
        $sth = $dbh->query($select, array($domain_id));
        if ($row = $sth->fetchRow()) {
            $address = $row["email"];
            if ($address == "@.") {
                $address = $lang_text_system_default . " (@.)";
                $system_default = true;
            }
            $policy_id = $row["policy_id"];
            $level1 = $row["spam_tag_level"];
            $level2 = $row["spam_tag2_level"];
            $level3 = $row["spam_kill_level"];
            if ($row["virus_lover"] == 'Y') {
            	$v_l_checked = "checked";
            	$v_q_checked = "";
            	$v_d_checked = "";
            } else {
            	$v_l_checked = "";
            	if ($row["discard_viruses"] == 'Y') {
            	    $v_q_checked = "";
            	    $v_d_checked = "checked";
                } else {
                    $v_q_checked = "checked";
                    $v_d_checked = "";
                }
            }
            if ($row["spam_lover"] == 'Y') {
            	$s_l_checked = "checked";
            	$s_q_checked = "";
            	$s_d_checked = "";
            } else {
            	$s_l_checked = "";
            	if ($row["discard_spam"] == 'Y') {
            	    $s_q_checked = "";
            	    $s_d_checked = "checked";
                } else {
                    $s_q_checked = "checked";
                    $s_d_checked = "";
                }
            }
            if ($row["banned_files_lover"] == 'Y') {
            	$b_l_checked = "checked";
            	$b_q_checked = "";
            	$b_d_checked = "";
            } else {
            	$b_l_checked = "";
            	if ($row["discard_banned_files"] == 'Y') {
            	    $b_q_checked = "";
            	    $b_d_checked = "checked";
                } else {
                    $b_q_checked = "checked";
                    $b_d_checked = "";
                }
            }
            if ($row["bad_header_lover"] == 'Y') {
            	$h_l_checked = "checked";
            	$h_q_checked = "";
            	$h_d_checked = "";
            } else {
            	$h_l_checked = "";
            	if ($row["discard_bad_headers"] == 'Y') {
            	    $h_q_checked = "";
            	    $h_d_checked = "checked";
                } else {
                    $h_q_checked = "checked";
                    $h_d_checked = "";
                }
            }
            if ($row["bypass_virus_checks"] == 'Y') {
                $bv_y_checked = "";
                $bv_n_checked = "checked";
            } else {
                $bv_y_checked = "checked";
                $bv_n_checked = "";
            }
            if ($row["bypass_spam_checks"] == 'Y') {
                $bs_y_checked = "";
                $bs_n_checked = "checked";
            } else {
                $bs_y_checked = "checked";
                $bs_n_checked = "";
            }
            if ($row["bypass_banned_checks"] == 'Y') {
                $bb_y_checked = "";
                $bb_n_checked = "checked";
            } else {
                $bb_y_checked = "checked";
                $bb_n_checked = "";
            }
            if ($row["bypass_header_checks"] == 'Y') {
                $bh_y_checked = "";
                $bh_n_checked = "checked";
            } else {
                $bh_y_checked = "checked";
                $bh_n_checked = "";
            }
            if ($row["spam_modifies_subj"] == 'Y') {
                $sms_y_checked = "checked";
                $sms_n_checked = "";
            } else {
                $sms_y_checked = "";
                $sms_n_checked = "checked";
            }

        }
        $sth->free();
        $select = "SELECT maia_users.discard_ham, maia_domains.enable_user_autocreation " .
                  "FROM maia_users, maia_domains " .
                  "WHERE maia_domains.domain = maia_users.user_name " .
                  "AND maia_domains.id = ?";
        $sth = $dbh->query($select, array($domain_id));
        if ($row = $sth->fetchrow()) {
            if ($row["discard_ham"] == 'Y') {
                $dh_y_checked = "";
                $dh_n_checked = "checked";
            } else {
                $dh_y_checked = "checked";
                $dh_n_checked = "";
            }
            if ($row["enable_user_autocreation"] == 'Y') {
                $ua_y_checked = "checked";
                $ua_n_checked = "";
            } else {
                $ua_y_checked = "";
                $ua_n_checked = "checked";
            }
        }
        $sth->free();
?>
<input type="hidden" name="policy" value="<?php print($policy_id); ?>">

<div align="center">
<table border="0" cellspacing="2" cellpadding="2">

<tr>
<td class="menuheader" align="center" colspan="2"><?php print($lang_header_domain); ?>: <?php print($address); ?>&nbsp;
<font size="3"><a href="adminhelp.php#domain_settings<?php print($sid); ?>" target="new">[?]</a></font>
</tr>

<?php
      $atleastone = true;
?>
<tr>
<td class="virusbody3" align="left"><?php print($lang_text_virus_scanning); ?></td>
<td class="virusbody3" align="left">
<input type="radio" name="viruses" value="yes" <?php print($bv_y_checked); ?>>&nbsp;<?php print($lang_text_enabled); ?>&nbsp;&nbsp;
<input type="radio" name="viruses" value="no" <?php print($bv_n_checked); ?>>&nbsp;<?php print($lang_text_disabled); ?>&nbsp;&nbsp;
</td>
</tr>

<tr>
<td class="virusbody3" align="left"><?php print($lang_text_detected_viruses); ?></td>
<td class="virusbody3" align="left">
<input type="radio" name="virus_destiny" value="label" <?php print($v_l_checked); ?>>&nbsp;<?php print($lang_text_labeled); ?>&nbsp;&nbsp;
<input type="radio" name="virus_destiny" value="quarantine" <?php print($v_q_checked); ?>>&nbsp;<?php print($lang_text_quarantined); ?>&nbsp;&nbsp;
<input type="radio" name="virus_destiny" value="discard" <?php print($v_d_checked); ?>>&nbsp;<?php print($lang_text_discarded); ?>&nbsp;&nbsp;
</td>
</tr>

<?php    if ($atleastone) { ?>
<tr><td colspan="2" class="menulight">&nbsp;</td></tr>
<?php    } else {
	   $atleastone = true;
         }
?>

<tr>
<td class="spambody3" align="left"><?php print($lang_text_spam_filtering); ?></td>
<td class="spambody3" align="left">
<input type="radio" name="spam" value="yes" <?php print($bs_y_checked); ?>>&nbsp;<?php print($lang_text_enabled); ?>&nbsp;&nbsp;
<input type="radio" name="spam" value="no" <?php print($bs_n_checked); ?>>&nbsp;<?php print($lang_text_disabled); ?>&nbsp;&nbsp;
</td>
</tr>

<tr>
<td class="spambody3" align="left"><?php print($lang_text_detected_spam); ?></td>
<td class="spambody3" align="left">
<input type="radio" name="spam_destiny" value="label" <?php print($s_l_checked); ?>>&nbsp;<?php print($lang_text_labeled); ?>&nbsp;&nbsp;
<input type="radio" name="spam_destiny" value="quarantine" <?php print($s_q_checked); ?>>&nbsp;<?php print($lang_text_quarantined); ?>&nbsp;&nbsp;
<input type="radio" name="spam_destiny" value="discard" <?php print($s_d_checked); ?>>&nbsp;<?php print($lang_text_discarded); ?>&nbsp;&nbsp;
</td>
</tr>

<tr>
<td class="spambody3" align="left"><?php print($lang_text_prefix_subject); ?>?</td>
<td class="spambody3" align="left">
<input type="radio" name="modify_subject" value="yes" <?php print($sms_y_checked); ?>>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="modify_subject" value="no" <?php print($sms_n_checked); ?>>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
</td>
</tr>

<tr>
<td class="spambody3" align="left"><?php print($lang_text_add_spam_header); ?> >= </td>
<td class="spambody3" align="left">
<input type=text size=7 name=level1 value="<?php printf("%1.3f", $level1); ?>">
</td>
</tr>

<tr>
<td class="spambody3" align="left"><?php print($lang_text_consider_mail_spam); ?> >= </td>
<td class="spambody3" align="left">
<input type=text size=7 name=level2 value="<?php printf("%1.3f", $level2); ?>">
</td>
</tr>

<tr>
<td class="spambody3" align="left"><?php print($lang_text_quarantine_spam); ?> >= </td>
<td class="spambody3" align="left">
<input type=text size=7 name=level3 value="<?php printf("%1.3f", $level3); ?>">
</td>
</tr>

<?php    if ($atleastone) { ?>
<tr><td colspan="2" class="menulight">&nbsp;</td></tr>
<?php    } else {
	   $atleastone = true;
         }
?>

<tr>
<td class="banned_filebody3" align="left"><?php print($lang_text_attachment_filtering); ?></td>
<td class="banned_filebody3" align="left">
<input type="radio" name="banned" value="yes" <?php print($bb_y_checked); ?>>&nbsp;<?php print($lang_text_enabled); ?>&nbsp;&nbsp;
<input type="radio" name="banned" value="no" <?php print($bb_n_checked); ?>>&nbsp;<?php print($lang_text_disabled); ?>&nbsp;&nbsp;
</td>
</tr>

<tr>
<td class="banned_filebody3" align="left"><?php print($lang_text_mail_with_attachments); ?></td>
<td class="banned_filebody3" align="left">
<input type="radio" name="banned_destiny" value="label" <?php print($b_l_checked); ?>>&nbsp;<?php print($lang_text_labeled); ?>&nbsp;&nbsp;
<input type="radio" name="banned_destiny" value="quarantine" <?php print($b_q_checked); ?>>&nbsp;<?php print($lang_text_quarantined); ?>&nbsp;&nbsp;
<input type="radio" name="banned_destiny" value="discard" <?php print($b_d_checked); ?>>&nbsp;<?php print($lang_text_discarded); ?>&nbsp;&nbsp;
</td>
</tr>

<?php    if ($atleastone) { ?>
<tr><td colspan="2" class="menulight">&nbsp;</td></tr>
<?php    } else {
	   $atleastone = true;
         }
?>

<tr>
<td class="bad_headerbody3" align="left"><?php print($lang_text_bad_header_filtering); ?></td>
<td class="bad_headerbody3" align="left">
<input type="radio" name="headers" value="yes" <?php print($bh_y_checked); ?>>&nbsp;<?php print($lang_text_enabled); ?>&nbsp;&nbsp;
<input type="radio" name="headers" value="no" <?php print($bh_n_checked); ?>>&nbsp;<?php print($lang_text_disabled); ?>&nbsp;&nbsp;
</td>
</tr>

<tr>
<td class="bad_headerbody3" align="left"><?php print($lang_text_mail_with_bad_headers); ?></td>
<td class="bad_headerbody3" align="left">
<input type="radio" name="headers_destiny" value="label" <?php print($h_l_checked); ?>>&nbsp;<?php print($lang_text_labeled); ?>&nbsp;&nbsp;
<input type="radio" name="headers_destiny" value="quarantine" <?php print($h_q_checked); ?>>&nbsp;<?php print($lang_text_quarantined); ?>&nbsp;&nbsp;
<input type="radio" name="headers_destiny" value="discard" <?php print($h_d_checked); ?>>&nbsp;<?php print($lang_text_discarded); ?>&nbsp;&nbsp;
</td>
</tr>

<?php if ($atleastone) { ?>
<tr><td colspan="2" class="menulight">&nbsp;</td></tr>
<?php } ?>

<tr>
<td class="hambody3" align="left"><?php print($lang_text_cache_ham); ?></td>
<td class="hambody3" align="left">
<input type="radio" name="discard_ham" value="cache" <?php print($dh_y_checked); ?>>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="discard_ham" value="discard" <?php print($dh_n_checked); ?>>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
</td>
</tr>

<tr>
<td class="hambody3" align="left"><?php print($lang_text_enable_user_autocreation); ?></td>
<td class="hambody3" align="left">
<input type="radio" name="enable_user_autocreation" value="yes" <?php print($ua_y_checked); ?>>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="enable_user_autocreation" value="no" <?php print($ua_n_checked); ?>>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
</td>
</tr>

<?php if ($atleastone) { ?>
<tr><td colspan="2" class="menulight">&nbsp;</td></tr>
<?php } ?>

<tr>
<td colspan="2" align="center" class="menubody">
<input type="submit" name="submit" value=" <?php print($lang_button_update_domain); ?> ">&nbsp;&nbsp;
<input type="reset" name="reset" value=" <?php print($lang_button_reset); ?> ">
</td>
</tr>

</table></div>

<?php if ($super && !$system_default) { ?>

<p>&nbsp;</p>

<div align="center">
<table border="0" cellspacing="2" cellpadding="2" width="600">

<tr>
<td class="menuheader" align="center" colspan="2"><?php print($lang_header_admins); ?>&nbsp;
<font size="3"><a href="adminhelp.php#administrators<?php print($sid); ?>" target="new">[?]</a></font>
</tr>

<?php
    $select = "SELECT maia_users.user_name, maia_users.id " .
              "FROM maia_users, maia_domain_admins " .
              "WHERE maia_users.id = maia_domain_admins.admin_id " .
              "AND maia_domain_admins.domain_id = ? " .
              "ORDER BY maia_users.user_name ASC";
    $sth = $dbh->query($select, array($domain_id));
    if (($rowcount = $sth->numrows()) > 0) {
    	print("<tr>\n");
    	print("<td class=\"menuheader2\" align=\"center\">" . $lang_header_revoke . "</td>\n");
    	print("<td class=\"menuheader2\" align=\"center\">" . $lang_header_admin_name . "</td>\n");
    	print("</tr>\n");
        while ($row = $sth->fetchrow()) {
            $admin_name = $row["user_name"];
            $admin_var_name = str_replace("[", "{", $admin_name);
            $admin_var_name = str_replace("]", "}", $admin_var_name);
            $admin_id = $row["id"];
            print("<tr>\n");
            print("<td class=\"menubody\" align=\"center\">");
            print("<input type=\"checkbox\" name=\"" . $admin_var_name . "\" value=\"" . $admin_id . "\">");
            print("</td>\n");
            print("<td class=\"menubody\" align=\"center\">");
            print($admin_name);
            print("</td>\n");
            print("</tr>\n");
        }
        if ($rowcount > 0) {
            print("<tr>\n");
            print("<td class=\"menubody\" align=\"center\" colspan=\"2\">\n");
            print("<input type=\"submit\" name=\"submit\" value=\" " . $lang_button_revoke . " \">\n");
            print("</td>\n");
            print("</tr>\n");
        }
    } else {
    	print("<tr><td class=\"menubody\" align=\"center\" colspan=\"2\">" . $lang_text_no_admins . "</td></tr>\n");
    }
    $sth->free();
?>

</table></div>

<p>&nbsp;</p>

<div align="center">
<table border="0" cellspacing="2" cellpadding="2" width="600">

<tr>
<td class="menuheader" align="center"><?php print($lang_header_add_administrator); ?>&nbsp;
<font size="3"><a href="adminhelp.php#add_administrator<?php print($sid); ?>" target="new">[?]</a></font>
</td>
</tr>

<?php

        $select = "SELECT maia_users.id " .
                  "FROM maia_users, maia_domain_admins " .
                  "WHERE maia_users.id = maia_domain_admins.admin_id " .
                  "AND maia_domain_admins.domain_id = ?";
        $rows = $dbh->getall($select, array($domain_id));
        $id_list = "";
        foreach ($rows as $row) {
            if (!empty($id_list)) {
                $id_list .= "," . $row["id"];
            } else {
            	$id_list = $row["id"];
            }
        }

        $select = "SELECT user_name, id " .
                  "FROM maia_users " .
                  "WHERE user_level <> 'S' " .
                  "AND user_name NOT like '@%' ";
        if (!empty($id_list)) {
            $select .= "AND id NOT IN (" . $id_list . ") ";
        }
        $select .= "ORDER BY user_name ASC";
        $sth = $dbh->query($select);

        if ($sth->numrows() == 0) {
       	    print("<tr><td class=\"menubody\" align=\"center\">" . $lang_text_no_available_admins . "</td></tr>\n");
        } else {
    	    print("<tr>\n");
    	    print("<td class=\"menubody\" align=\"center\">");
    	    print("<select multiple name=\"administrators[]\" size=\"5\">\n");
    	    while ($row = $sth->fetchrow()) {
                print("<option value=\"" . $row["id"] . "\">" . $row["user_name"] . "</option>\n");
   	    }
 	    print("</select>\n");
    	    print("</td>\n");
    	    print("</tr>\n");
            print("<tr>\n");
            print("<td class=\"menubody\" align=\"center\">\n");
            print("<input type=\"submit\" name=\"submit\" value=\" " . $lang_button_grant . " \">\n");
            print("</td>\n");
            print("</tr>\n");
        }
        $sth->free();

?>

</table></div>

<?php } ?>

</form>
<p>&nbsp;</p>

<div align="center">
<a href="admindomains.php<?php print($sid); ?>">[<?php print($lang_link_admin_domains); ?>]</a>
</div>

<?php display_html_foot(); ?>