<?php
    /*
     * $Id: ham-cache.php,v 1.14 2004/07/05 03:29:36 rjl Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

    require_once ("config.php");
    require_once ("authcheck.php");
    require_once ("db.php");
    require_once ("display.php");
    require_once ("DB/Pager.php");  // Pear::DB_Pager
    require_once ("mime.php");
    $display_language = get_display_language($euid);
    $html_charset = get_html_charset($euid);
    require_once ("./locale/$display_language/db.php");
    require_once ("./locale/$display_language/display.php");
    require_once ("./locale/$display_language/smtp.php");
    require_once ("./locale/$display_language/mime.php");
    require_once ("./locale/$display_language/reportspam.php");

    // Admins (including the superadmin) should not be looking at
    // other people's mail!
    if (!ok_to_impersonate($euid, $uid)) {
        header("Location: stats.php" . $sid);
        exit;
    }

    if (isset($HTTP_GET_VARS["sort"])) {
        $sort = strtoupper(trim($HTTP_GET_VARS["sort"]));
        if (strlen($sort) == 2) {
            switch($sort[0]) {
                case "X":
                case "D":
                case "F":
                case "S":
                    if ($sort[1] == "A" || $sort[1] == "D") {
                        $update = "UPDATE maia_users SET ham_cache_sort = ? WHERE id = ?";
                        $dbh->query($update, array($sort, $euid));
                        header("Location: ham-cache.php" . $sid);
                        exit;
                    }
                    break;
                default:
                    break;
            }
        } else {
            $sort = "";
        }
    }

    if (isset($HTTP_GET_VARS["offset"])) {
        $offset = $HTTP_GET_VARS["offset"];
    } else {
        $offset = 0;
    }

    foreach($HTTP_POST_VARS as $varname => $value) {
        $formVars[$varname] = trim($value);
    }

    $sort = strtoupper(get_user_value($euid, "ham_cache_sort"));
    switch($sort[0]) {
        case "X":
            $sort_column = "score";
            $sortby_score = ($sort[1] == "A" ? "xd" : "xa");
            $sortby_date = "da";
            $sortby_from = "fa";
            $sortby_subject = "sa";
            break;
        case "D":
            $sort_column = "received_date";
            $sortby_score = "xd";
            $sortby_date = ($sort[1] == "A" ? "dd" : "da");
            $sortby_from = "fa";
            $sortby_subject = "sa";
            break;
        case "F":
            $sort_column = "sender_email";
            $sortby_score = "xd";
            $sortby_date = "da";
            $sortby_from = ($sort[1] == "A" ? "fd" : "fa");
            $sortby_subject = "sa";
            break;
        case "S":
            $sort_column = "subject";
            $sortby_score = "xd";
            $sortby_date = "da";
            $sortby_from = "fa";
            $sortby_subject = ($sort[1] == "A" ? "sd" : "sa");
            break;
        default:
            $sort_column = "score";
            $sortby_score = "xd";
            $sortby_date = "da";
            $sortby_from = "fa";
            $sortby_subject = "sa";
    }
    if ($sort[1] == "D") {
        $sort_order = "DESC";
    } else {
        $sort_order = "ASC";
    }

    // Get a list of all the suspected (H)am items with this user's
    // ID in the recipient list, and sort it in ascending
    // order by spam score.
    $select = "SELECT maia_mail.id, maia_mail.received_date, maia_mail.score, " .
                     "maia_mail.sender_email, maia_mail.subject, maia_mail.envelope_to " .
              "FROM maia_mail, maia_mail_recipients " .
              "WHERE maia_mail.id = maia_mail_recipients.mail_id " .
              "AND maia_mail_recipients.type = 'H' " .
              "AND maia_mail_recipients.recipient_id = ? " .
              "ORDER BY maia_mail." . $sort_column . " " . $sort_order;

    if (isset($HTTP_POST_VARS["confirm"])) {
    	$message = "";
    	$confirmed = 0;
    	$reported = 0;
    	$deleted = 0;
        $sth = $dbh->query($select, array($euid));
        while ($row = $sth->fetchRow())
        {
            $mail_id = $row["id"];

            if (!empty($formVars["item_" . $mail_id ])) {

            	if ($formVars["item_" . $mail_id] == "spam") {

                    // Mark the item as Confirmed Spam
                    $update = "UPDATE maia_mail_recipients SET type = 'C' " .
                              "WHERE recipient_id = ? AND mail_id = ?";
                    $dbh->query($update, array($euid, $mail_id));
                    record_mail_stats($euid, $mail_id, "fn");
                    $reported++;

                } elseif ($formVars["item_" . $mail_id] == "ham") {

                    confirm_ham($euid, $mail_id);
                    $confirmed++;

                } elseif ($formVars["item_" . $mail_id] == "delete") {

                    delete_mail_reference($euid, $mail_id);
  	            $deleted++;

                }
            }
        }
        $sth->free();
        update_mail_stats($euid, "suspected_ham");
        if ($confirmed > 0) {
            $message .= sprintf($lang_text_ham_confirmed, $confirmed) . ".<br>";
        }

        if ($reported > 0) {
            $message .= sprintf($lang_text_spam_reported, $reported) . ".<br>";
        }
        if ($deleted > 0) {
  	    $message .= sprintf($lang_text_ham_deleted, $deleted) . ".<br>";
  	}

    }

    $magic_quotes = get_magic_quotes_gpc();
    $nothing_to_show = true;
    display_html_head($lang_banner_subtitle, $display_language, $html_charset);
    display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
?>

<?php if (!empty($message)) { ?>
<div align="center">
<table border="0" cellspacing="2" cellpadding="2">

<tr>
<td class="messagebox" align="center">
<?php print($message); ?>
</td>
</tr>

</table>
</div><br>
<?php } ?>

<form method="post" action="ham-cache.php<?php print($sid); ?>" name="hamcache">
<SCRIPT Language="JavaScript">

    function AllSpam()
    {
        for(var i=0;i<document.hamcache.elements.length;i++)
        {
            if(document.hamcache.elements[i].type == "radio" && document.hamcache.elements[i].id == "spam")
            {
                document.hamcache.elements[i].checked = true;
            }
        }
        document.hamcache.CheckAllHam.checked = false
        document.hamcache.CheckAllDelete.checked = false

    }

    function AllHam()
    {
        for(var i=0;i<document.hamcache.elements.length;i++)
        {
            if(document.hamcache.elements[i].type == "radio" && document.hamcache.elements[i].id == "ham")
            {
                document.hamcache.elements[i].checked = true;
            }
        }
        document.hamcache.CheckAllSpam.checked = false
        document.hamcache.CheckAllDelete.checked = false

    }

    function AllDelete()
    {
        for(var i=0;i<document.hamcache.elements.length;i++)
        {
            if(document.hamcache.elements[i].type == "radio" && document.hamcache.elements[i].id == "delete")
            {
                document.hamcache.elements[i].checked = true;
            }
        }
        document.hamcache.CheckAllSpam.checked = false
        document.hamcache.CheckAllHam.checked = false

    }

</SCRIPT>
<?php
   $sth = $dbh->query($select, array($euid));
   if ($sth->numRows() > 0)
   {
      $select2 = "SELECT email FROM users WHERE maia_user_id = ?";
      $sth2 = $dbh->query($select2, array($euid));
      while ($row2 = $sth2->fetchrow()) {
          $personal_addresses[] = $row2["email"];
      }
      $sth2->free();
      $personal_addresses = array_flip($personal_addresses);
      $domain_default = is_a_domain_default_user($euid);
      $need_to = (count($personal_addresses) > 1 || $domain_default);
      if ($need_to) {
          $cols = 8;
      } else {
          $cols = 7;
      }
      $per_page = get_user_value($euid, "items_per_page");
      $pager = new DB_Pager($sth, $offset, $per_page);
      $data = $pager->build();
      $maxhamid = 0;
      $nothing_to_show = false;
?>

<div align="center">
<table border="0" cellspacing="2" cellpadding="2" width="100%">

<tr>
<th class="hambanner" colspan="<?php print($cols); ?>" align="center">
<?php
    if ($sth->numrows() == 1) {
        $item_text = $lang_text_item;
    } else {
        $item_text = $lang_text_items;
    }
?>
<?php print($lang_header_suspected_ham . " (" . $data["from"] . "-" . $data["to"] . " " . $lang_text_of . " " . $data["numrows"] . ")"); ?>
</th>
</tr>

<tr>
<td class="hamheader" align="center">
<a href="ham-cache.php<?php print($msid); ?>sort=<?php print($sortby_score); ?>">
<?php print($lang_text_score); ?>
</a></td>
<td class="hamheader" align="center" width="150">
<a href="ham-cache.php<?php print($msid); ?>sort=<?php print($sortby_date); ?>">
<?php print($lang_text_received); ?>
</a></td>
<td class="hamheader" align="center">
<a href="ham-cache.php<?php print($msid); ?>sort=<?php print($sortby_from); ?>">
<?php print($lang_text_from); ?>
</a></td>
<?php if ($need_to) { ?>
<td class="hamheader" align="center"><?php print($lang_text_to); ?></td>
<?php } ?>
<td class="hamheader" align="center">
<a href="ham-cache.php<?php print($msid); ?>sort=<?php print($sortby_subject); ?>">
<?php print($lang_text_subject); ?>
</a></td>

<td class="hamheader" align="center">
<INPUT type=radio name="CheckAllSpam" value="All Spam" onClick="if (this.checked) AllSpam();"><?php print($lang_text_spam); ?></td>
<td class="hamheader" align="center">
<INPUT type=radio name="CheckAllHam" value="All Ham" onClick="if (this.checked) AllHam();" checked><?php print($lang_text_ham); ?></td>
<td class="hamheader" align="center">
<INPUT type=radio name="CheckAllDelete" value="All Delete" onClick="if (this.checked) AllDelete();"><?php print($lang_text_delete); ?></td>
</tr>

<?php
      while ($row = $pager->fetchrow())
      {
          if ($row["id"] > $maxhamid) {
              $maxhamid = $row["id"];
          }
?>
<tr>
<td class="hambody" align="center"><b><?php printf("%0.1f", $row["score"]); ?></b></td>
<td class="hambody" align="center"><?php print($row["received_date"]); ?></td>
<td class="hambody" align="center">
<?php print(wordwrap(($magic_quotes ? stripslashes($row["sender_email"]) : $row["sender_email"]), 40, "<br>", 1)); ?>
</td>
<?php if ($need_to) { ?>
<td class="hambody" align="center">
<?php
    $to_list = explode(" ", $row["envelope_to"]);
    foreach ($to_list as $recipient) {
        if (isset($personal_addresses[$recipient]) || $domain_default) {
            print(wordwrap($recipient, 40, "<br>", 1) . "<br>");
        }
    }
?>
</td>
<?php } ?>
<td class="hambody" align="left">
<a href="viewmail.php<?php print($msid); ?>id=<?php print($row["id"]); ?>&type=fn">
<?php
   $subject = trim(htmlentities($row["subject"]));
   if ($subject == "") {
      $subject = "(" . $lang_text_no_subject . ")";
   } else {
      $subject = decode_header($subject, $html_charset);
   }
   print(wordwrap(($magic_quotes ? stripslashes($subject) : $subject), 40, "<br>", 1));
?>
</a>
</td>

<td class="hambody" align="center">
<input type="radio" id="spam" name="item_<?php print($row["id"]); ?>" value="spam">
</td>

<td class="hambody" align="center">
<input type="radio" id="ham" name="item_<?php print($row["id"]); ?>" value="ham" checked>
</td>

<td class="hambody" align="center">
<input type="radio" id="delete" name="item_<?php print($row["id"]); ?>" value="delete">
</td>

</tr>
<?php
      }
      $sth->free();
?>
<input type="hidden" name="maxhamid" value="<?php print($maxhamid); ?>">
<tr>
<td class="hamheader" colspan="<?php print($cols); ?>" align="center">
<input type="submit" name="confirm" value=" <?php print($lang_button_confirm); ?> ">
</td>
</tr>

<?php if (count($data["pages"]) > 1) { ?>
<tr>
<td class="hambody" colspan="<?php print($cols); ?>" align="center">
<?php
    if ($offset > 0) {
        printf("<a href=\"ham-cache.php" . $msid . "offset=%d\">&lt;&lt;" . $lang_link_prev . "</a> | ", $data["prev"]);
    }
    foreach($data["pages"] as $page => $start) {
    	if ($start != $offset) {
           printf("<a href=\"ham-cache.php" . $msid . "offset=%d\">%d</a> ", $start, $page);
        } else {
           printf("%d ", $page);
        }
        if ($page < count($data["pages"])) {
            print("| ");
        }
    }
    if ($data["to"] < $data["numrows"]) {
       printf("| <a href=\"ham-cache.php" . $msid . "offset=%d\">" . $lang_link_next . "&gt;&gt;</a>", $data["next"]);
    }
?>
</td>
</tr>
<?php } ?>

</table>
</div><br>

<?php
   }
   if ($nothing_to_show) {
?>
<div align="center">
<table border="0" cellspacing="2" cellpadding="2">
<tr>
<td class="messagebox" align="center">
<?php print($lang_text_empty); ?>
</td>
</tr>
</table>
</div><br>
<?php
   }
?>

<p>&nbsp;</p>

<div align="center">
<a href="reportspam.php<?php print($sid); ?>">[<?php print($lang_link_report_spam); ?>]</a>
</div>

</form>

<?php display_html_foot(); ?>