<?php
    /*
     * $Id: help.php,v 1.1.1.1 2004/01/21 15:54:42 rjl Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

    require_once ("config.php");
    require_once ("authcheck.php");
    require_once ("display.php");
    require_once ("db.php");
    $display_language = get_display_language($euid);
    $html_charset = get_html_charset($euid);
    require_once ("./locale/$display_language/display.php");
    require_once ("./locale/$display_language/db.php");
    require_once ("./locale/$display_language/settings.php");
    require_once ("./locale/$display_language/wblist.php");
    require_once ("./locale/$display_language/viewmail.php");
    require_once ("./locale/$display_language/reportspam.php");
    require_once ("./locale/$display_language/reportspam.php");
    require_once ("./locale/$display_language/quarantine.php");
    require_once ("./locale/$display_language/help.php");

    $select = "SELECT admin_email, " .
                     "enable_virus_scanning, " .
                     "enable_spam_filtering, " .
                     "enable_banned_files_checking, " .
                     "enable_bad_header_checking, " .
                     "enable_spamtraps, " .
                     "enable_charts, " .
                     "enable_false_negative_management, " .
                     "enable_stats_tracking, " .
                     "use_icons, " .
                     "reminder_threshold_count, " .
                     "reminder_threshold_size, " .
                     "expiry_period, " .
                     "size_limit, " .
                     "oversize_policy, " .
                     "ham_cache_expiry_period " .
              "FROM maia_config WHERE id = 0";
    $sth = $dbh->query($select);
    if ($row = $sth->fetchrow()) {
    	$admin_email = $row["admin_email"];
        $enable_virus_scanning = ($row["enable_virus_scanning"] == 'Y');
        $enable_spam_filtering = ($row["enable_spam_filtering"] == 'Y');
        $enable_banned_files_checking = ($row["enable_banned_files_checking"] == 'Y');
        $enable_bad_header_checking = ($row["enable_bad_header_checking"] == 'Y');
        $enable_spamtraps = ($row["enable_spamtraps"] == 'Y');
        $enable_charts = ($row["enable_charts"] == 'Y');
        $enable_false_negative_management = ($row["enable_false_negative_management"] == 'Y');
        $enable_stats_tracking = ($row["enable_stats_tracking"] == 'Y');
        $reminder_threshold_count = $row["reminder_threshold_count"];
        $reminder_threshold_size = $row["reminder_threshold_size"];
        $use_icons = ($row["use_icons"] == 'Y');
        $expiry_period = $row["expiry_period"];
        $ham_cache_expiry_period = $row["ham_cache_expiry_period"];
        $size_limit = $row["size_limit"];
        $oversize_policy = $row["oversize_policy"];
    }
    $sth->free();

    $mail_viewer_url = "help.php#mail_viewer" . $sid;

    display_html_head($lang_banner_subtitle, $display_language, $html_charset);
    display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
?>

<h1><?php print($lang_heading_introduction); ?></h1>

<p><?php print($lang_help_introduction_1); ?></p>

<p><?php printf($lang_help_introduction_2, ini_get("session.gc_maxlifetime") / 60,
                $lang_menu_logout); ?></p>

<?php

    if ($enable_stats_tracking) {
        print("<h2>");
        if ($use_icons) {
            print("<img src=\"images/stats.png\">&nbsp;");
        } else {
    	    print("[" . $lang_menu_stats . "] - ");
        }
        print($lang_heading_statistics . "</h2>\n");
?>

<p><?php printf($lang_help_stats_1, "<a href=\"stats.php" . $msid . "id=0\">[" . $lang_link_systemwide . "]</a>"); ?></p>

<?php if ($enable_false_negative_management) { ?>

<p><?php printf($lang_help_stats_2, $lang_array_header["suspected_ham"],
                "<a href=\"reportspam.php" . $sid . "\">[" . $lang_menu_report . "]</a>"); ?></p>

<?php } ?>

<p><?php printf($lang_help_stats_3, $lang_array_header["ham"]); ?></p>

<?php if ($enable_spam_filtering) { ?>

<p><?php printf($lang_help_stats_4, $lang_array_header["fp"],
                "<a href=\"quarantine.php" . $sid . "\">[" . $lang_menu_quarantine . "]</a>"); ?></p>

<p><?php printf($lang_help_stats_5, $lang_array_header["suspected_spam"],
                "<a href=\"quarantine.php" . $sid . "\">[" . $lang_menu_quarantine . "]</a>"); ?></p>

<p><?php printf($lang_help_stats_6, $lang_array_header["spam"]); ?></p>

<?php } ?>

<?php if ($enable_false_negative_management) { ?>

<p><?php printf($lang_help_stats_7, $lang_array_header["fn"],
                "<a href=\"reportspam.php" . $sid . "\">[" . $lang_menu_report . "]</a>"); ?></p>

<?php } ?>

<p><?php printf($lang_help_stats_8, $lang_array_header["wl"]); ?></p>

<p><?php printf($lang_help_stats_9, $lang_array_header["bl"]); ?></p>

<?php if ($enable_virus_scanning) { ?>

<p><?php printf($lang_help_stats_10, $lang_array_header["virus"]); ?></p>

<?php } ?>

<?php if ($enable_banned_files_checking) { ?>

<p><?php printf($lang_help_stats_11, $lang_array_header["banned_file"],
                "<a href=\"quarantine.php" . $sid . "\">[" . $lang_menu_quarantine . "]</a>"); ?></p>

<?php } ?>

<?php if ($enable_bad_header_checking) { ?>

<p><?php printf($lang_help_stats_12, $lang_array_header["bad_header"],
                "<a href=\"quarantine.php" . $sid . "\">[" . $lang_menu_quarantine . "]</a>"); ?></p>

<?php } ?>

<p><?php printf($lang_help_stats_13, $lang_array_header["oversized"],
                $size_limit, (($oversize_policy == 'P') ? "accepted" : "rejected")); ?>


<?php } ?>

<?php
    print("<h2>");
    if ($use_icons) {
        print("<img src=\"images/settings.png\">&nbsp;");
    } else {
    	print("[" . $lang_menu_settings . "] - ");
    }
    print($lang_heading_settings . "</h2>\n");
?>

<p><?php print($lang_help_settings_1); ?></p>

<h3><?php print($lang_header_addresses); ?></h3>

<p><?php printf($lang_help_settings_2, $lang_text_primary, $lang_button_make_primary); ?></p>

<p><?php printf($lang_help_settings_3, $lang_button_add_email_address); ?></p>

<?php if ($auth_method == "internal") { ?>
<h3><?php print($lang_header_login_info); ?></h3>

<p><?php printf($lang_help_settings_21, $lang_text_new_login_name, $lang_text_new_password,
                $lang_text_confirm_new_password, $lang_button_change_login_info); ?></p>

<?php } ?>

<h3><?php print($lang_header_miscellaneous); ?></h3>

<p><?php printf($lang_help_settings_4, $lang_text_reminders, $reminder_threshold_count,
                $reminder_threshold_size, $expiry_period); ?></p>

<p><?php printf($lang_help_settings_5, $lang_text_charts,
                "<a href=\"stats.php" . $sid . "\">[" . $lang_menu_stats . "]</a>"); ?></p>

<p><?php printf($lang_help_settings_6, $lang_text_spamtrap); ?></p>

<p><?php printf($lang_help_settings_22, $lang_text_auto_whitelist); ?></p>

<p><?php printf($lang_help_settings_23, $lang_text_items_per_page); ?></p>

<p><?php printf($lang_help_settings_7, $lang_text_language); ?></p>

<p><?php printf($lang_help_settings_8, $lang_text_charset); ?></p>


<h3><?php print($lang_heading_per_address_settings); ?></h3>

<?php if ($enable_virus_scanning) { ?>

<p><?php printf($lang_help_settings_9, $lang_text_virus_scanning); ?></p>

<p><?php printf($lang_help_settings_10, $lang_text_detected_viruses,
                $lang_text_quarantined, $lang_text_labeled); ?></p>

<?php } ?>

<?php if ($enable_spam_filtering) { ?>

<p><?php printf($lang_help_settings_11, $lang_text_spam_filtering); ?></p>

<p><?php printf($lang_help_settings_12, $lang_text_detected_spam,
                $lang_text_quarantined, $lang_text_labeled); ?></p>

<p><?php printf($lang_help_settings_13, $lang_text_prefix_subject); ?></p>

<p><?php printf($lang_help_settings_14, $lang_text_add_spam_header,
                $lang_text_consider_mail_spam); ?></p>

<p><?php printf($lang_help_settings_15, $lang_text_consider_mail_spam,
                $lang_text_quarantine_spam); ?></p>

<p><?php printf($lang_help_settings_16, $lang_text_quarantine_spam,
                $lang_text_consider_mail_spam); ?></p>

<?php } ?>

<?php if ($enable_banned_files_checking) { ?>

<p><?php printf($lang_help_settings_17, $lang_text_attachment_filtering); ?></p>

<p><?php printf($lang_help_settings_18, $lang_text_mail_with_attachments,
                $lang_text_quarantined, $lang_text_labeled); ?></p>

<?php } ?>

<?php if ($enable_bad_header_checking) { ?>

<p><?php printf($lang_help_settings_19, $lang_text_bad_header_filtering); ?></p>

<p><?php printf($lang_help_settings_20, $lang_text_mail_with_bad_headers,
                $lang_text_quarantined, $lang_text_labeled); ?></p>

<?php } ?>

<?php
    print("<h2>");
    if ($use_icons) {
        print("<img src=\"images/white-black-list.png\">&nbsp;");
    } else {
    	print("[" . $lang_menu_whiteblacklist . "] - ");
    }
    print($lang_heading_wblist . "</h2>\n");
?>

<p><?php print($lang_help_wblist_1); ?></p>

<p><?php print($lang_help_wblist_2); ?></p>

<p><?php printf($lang_help_wblist_3,
                "<a href=\"wblist.php" . $sid . "\">[" . $lang_menu_whiteblacklist . "]</a>",
                $lang_header_whitelist,
                $lang_header_blacklist,
                $lang_button_add_to_list,
                $lang_heading_wblist); ?></p>

<p><?php printf($lang_help_wblist_4, $lang_button_update, $lang_heading_wblist); ?></p>

<p><?php print($lang_help_wblist_5); ?></p>

<p><?php print($lang_help_wblist_6); ?></p>

<?php
    print("<h2>");
    if ($use_icons) {
        print("<img src=\"images/quarantine.png\">&nbsp;");
    } else {
    	print("[" . $lang_menu_quarantine . "] - ");
    }
    print($lang_heading_quarantine . "</h2>\n");
?>

<p><?php print($lang_help_quarantine_1); ?></p>

<?php if ($enable_spam_filtering) { ?>

<p><?php printf($lang_help_quarantine_2, $mail_viewer_url); ?></p>

<p><?php printf($lang_help_quarantine_9,
                $lang_text_ham,
                $lang_text_delete,
                $lang_button_confirm); ?></p>

<?php } ?>

<?php if ($enable_virus_scanning) { ?>

<p><?php printf($lang_help_quarantine_3,
                $mail_viewer_url,
                $lang_text_ham,
                $lang_text_ham,
                $lang_button_confirm); ?></p>


<?php } ?>

<?php if ($enable_banned_files_checking) { ?>

<p><?php printf($lang_help_quarantine_4,
                $mail_viewer_url,
                $lang_text_ham,
                $lang_button_confirm); ?></p>


<?php } ?>

<?php if ($enable_bad_header_checking) { ?>

<p><?php printf($lang_help_quarantine_5,
                $mail_viewer_url,
                $lang_text_ham,
                $lang_button_confirm); ?></p>


<?php } ?>

<?php if ($enable_spam_filtering) { ?>

<p><?php printf($lang_help_quarantine_6, $lang_text_ham); ?></p>

<?php } ?>

<p><?php printf($lang_help_quarantine_7, $expiry_period); ?></p>

<p><?php printf($lang_help_quarantine_8, $lang_button_delete_all_items); ?></p>

<?php
    if ($enable_false_negative_management) {

        print("<h2>");
        if ($use_icons) {
            print("<img src=\"images/report-spam.png\">&nbsp;");
        } else {
    	    print("[" . $lang_menu_report . "] - ");
        }
        print($lang_heading_report . "</h2>\n");
?>

<p><?php print($lang_help_fn_1); ?></p>

<p><?php print($lang_help_fn_2); ?></p>

<p><?php printf($lang_help_fn_3,
                $mail_viewer_url,
                $lang_link_report); ?></p>

<p><?php printf($lang_help_fn_6, $lang_text_spam, $lang_button_confirm); ?></p>

<p><?php printf($lang_help_fn_4, $ham_cache_expiry_period); ?></p>

<p><?php printf($lang_help_fn_5, $lang_button_delete_all_cached_items); ?></p>

<?php } ?>

<?php
      print("<a name=\"mail_viewer\"><h2>");
      if ($use_icons) {
          print("<img src=\"images/view-decoded.png\">&nbsp;");
      }
      print($lang_heading_mail_viewer . "</h2></a>\n"); ?>

<p><?php printf($lang_help_mail_viewer_1,
                $lang_link_view_raw,
                $lang_link_view_decoded); ?></p>

<p><?php print($lang_help_mail_viewer_2); ?></p>

<p><?php print($lang_help_mail_viewer_3); ?></p>

<p><?php print($lang_help_mail_viewer_4); ?></p>

<?php
    if (is_an_administrator($uid)) {
        print("<h2>");
        if ($use_icons) {
            print("<img src=\"images/admin-int.png\">&nbsp;");
        } else {
    	    print("[" . $lang_menu_admin . "] - ");
        }
        print($lang_heading_admin . "</h2>\n");
?>

<p><?php printf($lang_help_admin_1,
                "<a href=\"adminhelp.php" . $sid . "\">" . $lang_help_text_adminhelp . "</a>"); ?></p>

<?php } ?>

<h2><?php print($lang_heading_for_further_assistance); ?></h2>

<p><?php printf($lang_help_assistance_1,
                "<a href=\"mailto:" . $admin_email . "\">" . $admin_email . "</a>"); ?></p>


<h2><?php print($lang_heading_credits); ?></h2>

<p><?php printf($lang_help_credits_1,
                "<a href=\"http://www.renaissoft.com/maia/\">Maia Mailguard</a>",
                "<a href=\"mailto:rjl@renaissoft.com\">Robert LeBlanc</a>",
                "<a href=\"http://www.ijs.si/software/amavisd/\">AMaViS Mail Virus Scanner (amavisd-new)</a>",
                "<a href=\"http://www.spamassassin.org/\">SpamAssassin</a>",
                "<a href=\"http://us.mcafee.com/root/package.asp?pkgid=100\">McAfee VirusScan</a>",
                "<a href=\"http://clamav.elektrapro.com/\">Clam Antivirus</a>",
                "<a href=\"http://www.f-prot.com/\">F-Prot Antivirus</a>"); ?></p>

<?php display_html_foot(); ?>