<?php
    /*
     * $Id: display.php,v 1.1 2004/07/02 09:42:32 rjl Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

    // Menu items
    $lang_menu_stats            = "Stats";
    $lang_menu_settings         = "Settings";
    $lang_menu_whiteblacklist   = "W/B List";
    $lang_menu_quarantine       = "Quarantine";
    $lang_menu_report           = "Report Spam";
    $lang_menu_admin            = "Admin";
    $lang_menu_help             = "Help";
    $lang_menu_logout           = "Logout";

    // Text messages
    $lang_text_version          = "Version";
    $lang_text_all_users        = "all users";
    $lang_text_day              = "day";
    $lang_text_efficiency       = "Efficiency";
    $lang_text_sensitivity      = "Sensitivity";
    $lang_text_specificity      = "Specificity";
    $lang_text_ppv              = "PPV";
    $lang_text_npv              = "NPV";
    $lang_text_false_positive   = "False Positive";
    $lang_text_false_negative   = "False Negative";

    // Links
    $lang_link_systemwide       = "View Systemwide Statistics";
    $lang_link_personal         = "View your Personal Statistics";
    $lang_link_viruses          = "View Virus Statistics";
    $lang_link_rules            = "View SpamAssassin Rule Statistics";

    // Table headers
    $lang_header_score          = "Score";
    $lang_header_count          = "Count";
    $lang_header_size           = "Size";
    $lang_header_min            = "Min";
    $lang_header_max            = "Max";
    $lang_header_average        = "Avg";
    $lang_header_bandwidth      = "Bandwidth";
    $lang_header_percent        = "Pct";
    $lang_header_cost           = "Cost";
    $lang_header_items          = "Items";
    $lang_header_type           = "Mail Type";
    $lang_header_user           = "Statistics for User: %s";
    $lang_header_systemwide     = "Statistics for All Users";
    $lang_header_spam_score     = "Score";
    $lang_header_rule_triggered = "Rule Triggered";
    $lang_header_explanation    = "Explanation";

    $lang_array_header        = array("ham"            => "Confirmed Ham",
                                      "suspected_ham"  => "Suspected Ham",
                                      "suspected_spam" => "Suspected Spam",
                                      "spam"           => "Confirmed Spam",
                                      "virus"          => "Viruses/Malware",
                                      "fp"             => "False Positives",
                                      "fn"             => "False Negatives",
                                      "wl"             => "Whitelisted Items",
                                      "bl"             => "Blacklisted Items",
                                      "bad_header"     => "Invalid Mail Headers",
                                      "banned_file"    => "Banned Attachments",
                                      "oversized"       => "Oversized Items");

    $lang_array_count         = array("ham"            => "Legitimate e-mail received",
                                      "suspected_ham"  => "Suspected ham received",
                                      "suspected_spam" => "Suspected spam in quarantine",
                                      "spam"           => "Confirmed spam received",
                                      "virus"          => "Viruses received",
                                      "fp"             => "Ham items misidentified as spam",
                                      "fn"             => "Spam items misidentified as ham",
                                      "wl"             => "Items received from whitelisted senders",
                                      "bl"             => "Items received from blacklisted senders",
                                      "bad_header"     => "Items with invalid mail headers",
                                      "banned_file"    => "Items with banned file attachments",
                                      "oversized"      => "Items too large to filter");

    $lang_array_arrivals      = array("ham"            => "Ham arrivals",
                                      "suspected_ham"  => "Suspected ham arrivals",
                                      "suspected_spam" => "Suspected spam arrivals",
                                      "spam"           => "Confirmed spam arrivals",
                                      "virus"          => "Virus arrivals",
                                      "fp"             => "False positive errors",
                                      "fn"             => "False negative errors",
                                      "wl"             => "Whitelisted arrivals",
                                      "bl"             => "Blacklisted arrivals",
                                      "bad_header"     => "Bad header arrivals",
                                      "banned_file"    => "Banned file arrivals",
                                      "oversized"      => "Oversized item arrivals");

    $lang_array_highest_score = array("ham"            => "Highest ham score",
                                      "suspected_ham"  => "Highest suspected ham score",
                                      "suspected_spam" => "Highest suspected spam score",
                                      "spam"           => "Highest spam score",
                                      "virus"          => "",
                                      "fp"             => "Highest false positive score",
                                      "fn"             => "Highest false negative score",
                                      "wl"             => "",
                                      "bl"             => "",
                                      "bad_header"     => "",
                                      "banned_file"    => "",
                                      "oversized"      => "");

    $lang_array_lowest_score  = array("ham"            => "Lowest ham score",
                                      "suspected_ham"  => "Lowest suspected ham score",
                                      "suspected_spam" => "Lowest suspected spam score",
                                      "spam"           => "Lowest spam score",
                                      "virus"          => "",
                                      "fp"             => "Lowest false positive score",
                                      "fn"             => "Lowest false negative score",
                                      "wl"             => "",
                                      "bl"             => "",
                                      "bad_header"     => "",
                                      "banned_file"    => "",
                                      "oversized"      => "");

    $lang_array_average_score = array("ham"            => "Average ham score",
                                      "suspected_ham"  => "Average suspected ham score",
                                      "suspected_spam" => "Average suspected spam score",
                                      "spam"           => "Average spam score",
                                      "virus"          => "",
                                      "fp"             => "Average false positive score",
                                      "fn"             => "Average false negative score",
                                      "wl"             => "",
                                      "bl"             => "",
                                      "bad_header"     => "",
                                      "banned_file"    => "",
                                      "oversized"      => "");

    $lang_array_largest_size  = array("ham"            => "Largest ham size",
                                      "suspected_ham"  => "Largest suspected ham size",
                                      "suspected_spam" => "Largest suspected spam size",
                                      "spam"           => "Largest spam size",
                                      "virus"          => "Largest virus size",
                                      "fp"             => "Largest false positive size",
                                      "fn"             => "Largest false negative size",
                                      "wl"             => "Largest whitelisted item size",
                                      "bl"             => "Largest blacklisted item size",
                                      "bad_header"     => "Largest bad header item size",
                                      "banned_file"    => "Largest banned file item size",
                                      "oversized"      => "Largest oversized item size");

    $lang_array_smallest_size = array("ham"            => "Smallest ham size",
                                      "suspected_ham"  => "Smallest suspected ham size",
                                      "suspected_spam" => "Smallest suspected spam size",
                                      "spam"           => "Smallest spam size",
                                      "virus"          => "Smallest virus size",
                                      "fp"             => "Smallest false positive size",
                                      "fn"             => "Smallest false negative size",
                                      "wl"             => "Smallest whitelisted item size",
                                      "bl"             => "Smallest blacklisted item size",
                                      "bad_header"     => "Smallest bad header item size",
                                      "banned_file"    => "Smallest banned file item size",
                                      "oversized"      => "Smallest oversized item size");

    $lang_array_average_size  = array("ham"            => "Average ham size",
                                      "suspected_ham"  => "Average suspected ham size",
                                      "suspected_spam" => "Average suspected spam size",
                                      "spam"           => "Average spam size",
                                      "virus"          => "Average virus size",
                                      "fp"             => "Average false positive size",
                                      "fn"             => "Average false negative size",
                                      "wl"             => "Average whitelisted item size",
                                      "bl"             => "Average blacklisted item size",
                                      "bad_header"     => "Average bad header item size",
                                      "banned_file"    => "Average banned file item size",
                                      "oversized"      => "Average oversized item size");

    $lang_array_bandwidth     = array("ham"            => "Ham bandwidth",
                                      "suspected_ham"  => "Suspected ham bandwidth",
                                      "suspected_spam" => "Suspected spam bandwidth",
                                      "spam"           => "Spam bandwidth",
                                      "virus"          => "Virus bandwidth",
                                      "fp"             => "False positive bandwidth",
                                      "fn"             => "False negative bandwidth",
                                      "wl"             => "Whitelisted item bandwidth",
                                      "bl"             => "Blacklisted item bandwidth",
                                      "bad_header"     => "Bad header item bandwidth",
                                      "banned_file"    => "Banned file item bandwidth",
                                      "oversized"      => "Oversized item bandwidth");

    $lang_array_cost          = array("ham"            => "Ham bandwidth cost",
                                      "suspected_ham"  => "Suspected ham bandwidth cost",
                                      "suspected_spam" => "Suspected spam bandwidth cost",
                                      "spam"           => "Spam bandwidth cost",
                                      "virus"          => "Virus bandwidth cost",
                                      "fp"             => "False positive bandwidth cost",
                                      "fn"             => "False negative bandwidth cost",
                                      "wl"             => "Whitelisted item bandwidth cost",
                                      "bl"             => "Blacklisted item bandwidth cost",
                                      "bad_header"     => "Bad header item bandwidth cost",
                                      "banned_file"    => "Banned file item bandwidth cost",
                                      "oversized"      => "Oversized item bandwidth cost");

    $lang_array_percentage    = array("ham"            => "As a percentage of total mail received",
                                      "suspected_ham"  => "As a percentage of total mail received",
                                      "suspected_spam" => "As a percentage of total mail received",
                                      "spam"           => "As a percentage of total mail received",
                                      "virus"          => "As a percentage of total mail received",
                                      "fp"             => "As a percentage of total mail received",
                                      "fn"             => "As a percentage of total mail received",
                                      "wl"             => "As a percentage of total mail received",
                                      "bl"             => "As a percentage of total mail received",
                                      "bad_header"     => "As a percentage of total mail received",
                                      "banned_file"    => "As a percentage of total mail received",
                                      "oversized"      => "As a percentage of total mail received");
?>