<?php
    /*
     * $Id: adminsystem.php,v 1.1 2004/07/01 00:14:05 rjl Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

    // Page subtitle
    $lang_banner_subtitle                       = "Administration: System Configuration";

    // Table header
    $lang_header_system_menu                    = "System Configuration";
    $lang_header_charts                         = "Charts";
    $lang_header_reminders                      = "Cache Expiry & Quarantine Reminders";
    $lang_header_authentication                 = "Authentication";
    $lang_header_virus_info                     = "Virus Information";
    $lang_header_display                        = "Display";
    $lang_header_paths                          = "Paths & Ports";
    $lang_header_bandwidth                      = "Bandwidth Accounting";
    $lang_header_stats_reporting                = "Site Statistics Reporting";

    // Text labels
    $lang_text_yes                              = "Yes";
    $lang_text_no                               = "No";
    $lang_text_accept                           = "Accepted";
    $lang_text_reject                           = "Rejected";
    $lang_text_enable_user_autocreation         = "Enable auto-creation of user accounts?";
    $lang_text_internal_auth                    = "Auto-issue passwords to new accounts?";
    $lang_text_enable_false_negative_management = "Enable tracking of false negatives?";
    $lang_text_enable_stats_tracking            = "Enable tracking of statistics?";
    $lang_text_enable_virus_scanning            = "Enable virus scanning?";
    $lang_text_enable_spam_filtering            = "Enable spam filtering?";
    $lang_text_enable_banned_files_checking     = "Enable banned file attachment checks?";
    $lang_text_enable_bad_header_checking       = "Enable checks for invalid mail headers?";
    $lang_text_enable_spamtraps                 = "Enable spam-trap accounts?";
    $lang_text_enable_charts                    = "Enable graphical charts?";
    $lang_text_enable_address_linking           = "Allow users to link e-mail addresses to their accounts?";
    $lang_text_enable_username_changes          = "Allow users to change their usernames?";
    $lang_text_enable_privacy_invasion          = "Allow administrators to read users' mail?";
    $lang_text_system_default_user_is_local     = "Should the System Default user (@.) only catch mail for local recipients?";
    $lang_text_user_virus_scanning              = "Allow users to enable/disable virus scanning?";
    $lang_text_user_spam_filtering              = "Allow users to enable/disable spam filtering?";
    $lang_text_user_banned_files_checking       = "Allow users to enable/disable banned file attachment checks?";
    $lang_text_user_bad_header_checking         = "Allow users to enable/disable checks for invalid mail headers?";
    $lang_text_size_limit                       = "Mail size limit (bytes):";
    $lang_text_oversize_policy                  = "Oversized items should be...";
    $lang_text_installation_directory           = "Maia installation directory:";
    $lang_text_admin_email                      = "Administrator's contact e-mail address:";
    $lang_text_smtp_server                      = "Downstream SMTP server (MTA-TX):";
    $lang_text_smtp_port                        = "Downstream SMTP port number:";
    $lang_text_key_file                         = "Encryption key file (optional):";
    $lang_text_newuser_template_file            = "Template file for e-mail sent to new users:";
    $lang_text_chart_ham_colour                 = "Colour to use to display confirmed ham:";
    $lang_text_chart_spam_colour                = "Colour to use to display confirmed spam:";
    $lang_text_chart_virus_colour               = "Colour to use to display viruses:";
    $lang_text_chart_fp_colour                  = "Colour to use to display false positives:";
    $lang_text_chart_fn_colour                  = "Colour to use to display false negatives:";
    $lang_text_chart_suspected_ham_colour       = "Colour to use to display suspected ham:";
    $lang_text_chart_suspected_spam_colour      = "Colour to use to display suspected spam:";
    $lang_text_chart_wl_colour                  = "Colour to use to display whitelisted items:";
    $lang_text_chart_bl_colour                  = "Colour to use to display blacklisted items:";
    $lang_text_chart_background_colour          = "Colour to use for chart backgrounds:";
    $lang_text_chart_font_colour                = "Colour to use for chart fonts:";
    $lang_text_chart_autogeneration_interval    = "Chart auto-generation interval (minutes):";
    $lang_text_expiry_period                    = "Expiry period for quarantined mail (days):";
    $lang_text_ham_cache_expiry_period          = "Expiry period for cached ham (days):";
    $lang_text_reminder_threshold_count         = "E-mail reminder threshold (items):";
    $lang_text_reminder_threshold_size          = "E-mail reminder threshold (size):";
    $lang_text_reminder_template_file           = "E-mail reminder template file:";
    $lang_text_reminder_login_url               = "Maia login URL for e-mail reminders:";
    $lang_text_banner_title                     = "Page-top banner title:";
    $lang_text_use_icons			= "Show icons in the banner toolbar?";
    $lang_text_use_logo                         = "Show a logo in the page-top banner?";
    $lang_text_logo_file                        = "Image file to use as the logo:";
    $lang_text_logo_alt_text                    = "Alternative text for the logo image:";
    $lang_text_logo_url                         = "URL the logo image should link to:";
    $lang_text_virus_info_url                   = "URL template for virus information:";
    $lang_text_virus_lookup                     = "Virus name rewriting rules:";
    $lang_text_none                             = "None (no lookups)";
    $lang_text_google                           = "Google Search";
    $lang_text_fprot                            = "F-Prot";
    $lang_text_fsecure                          = "F-Secure";
    $lang_text_fsecurejp                        = "F-Secure Japan";
    $lang_text_sophos                           = "Sophos";
    $lang_text_nod32                            = "NOD32";
    $lang_text_norman                           = "Norman Virus Control";
    $lang_text_trend                            = "Trend Micro";
    $lang_text_symantec                         = "Symantec";
    $lang_text_mcafee                           = "McAfee VirusScan";
    $lang_text_currency_label                   = "Currency symbol:";
    $lang_text_bandwidth_cost                   = "Monthly bandwidth cost per gigabyte:";
    $lang_text_enable_stats_reporting           = "Enable the reporting of site statistics?";
    $lang_text_primary_report_server            = "Primary stats reporting server:";
    $lang_text_primary_report_port              = "Port number for primary report server:";
    $lang_text_secondary_report_server          = "Secondary stats reporting server:";
    $lang_text_secondary_report_port            = "Port number for secondary report server:";
    $lang_text_reporter_sitename                = "Name of your site:";
    $lang_text_reporter_username                = "Your site's Maia Reporter ID:";
    $lang_text_reporter_password                = "Your site's reporter password:";

    // Buttons
    $lang_button_submit                         = "Update Settings";
    $lang_button_restore                        = "Reset Form";

    // Links
    $lang_link_admin_menu                       = "Return to the Administration Menu";
?>