<?php
    /*
     * $Id: display.php,v 1.2 2004/07/02 09:44:01 rjl Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

    // Menu items
    $lang_menu_stats            = "Statistik";
    $lang_menu_settings         = "Instllningar";
    $lang_menu_whiteblacklist   = "W/B Lista";
    $lang_menu_quarantine       = "Karantn";
    $lang_menu_report           = "Rapportera Spam";
    $lang_menu_admin            = "Admin";
    $lang_menu_help             = "Hjlp";
    $lang_menu_logout           = "Logga ut";

    // Text messages
    $lang_text_version          = "Version";
    $lang_text_all_users        = "alla anvndare";
    $lang_text_day              = "dag";
    $lang_text_efficiency       = "Effektivitet";
    $lang_text_sensitivity      = "Knslighet";
    $lang_text_specificity      = "Noggranhet";
    $lang_text_ppv              = "PPV";
    $lang_text_npv              = "NPV";
    $lang_text_false_positive   = "Falsk Positiv";
    $lang_text_false_negative   = "Falsk Negativ";

    // Links
    $lang_link_systemwide       = "Visa systemvid statistik";
    $lang_link_personal         = "Visa din personliga Statistik";
    $lang_link_viruses          = "Visa virusstatistik";
    $lang_link_rules            = "Visa SpamAssassins regelstatistik";

    // Table headers
    $lang_header_score          = "Pong";
    $lang_header_count          = "Antal";
    $lang_header_size           = "Storlek";
    $lang_header_min            = "Min";
    $lang_header_max            = "Max";
    $lang_header_average        = "Med";
    $lang_header_bandwidth      = "Bandbredd";
    $lang_header_percent        = "%";
    $lang_header_cost           = "Kostnad";
    $lang_header_items          = "Mejl";
    $lang_header_type           = "Mejltyp";
    $lang_header_user           = "Statistik fr anvndare: %s";
    $lang_header_systemwide     = "Statistik fr Alla anvndare";
    $lang_header_spam_score     = "Pong";
    $lang_header_rule_triggered = "Triggad regel";
    $lang_header_explanation    = "Beskrivning";

    $lang_array_header        = array("ham"            => "Bekrftad Ham",
                                      "suspected_ham"  => "Misstnkt Ham",
                                      "suspected_spam" => "Misstnkt Spam",
                                      "spam"           => "Bekrftad Spam",
                                      "virus"          => "Virus/Malware",
                                      "fp"             => "Falska Positiva",
                                      "fn"             => "Falska Negativa",
                                      "wl"             => "'White'-listade mejl",
                                      "bl"             => "Svartlistade mejl",
                                      "bad_header"     => "Felaktigt brevhuvud",
                                      "banned_file"    => "Otilltna bilagor",
                                      "oversized"      => "Fr stora mejl");

    $lang_array_count         = array("ham"            => "Legitimate e-mail received",
                                      "suspected_ham"  => "Suspected ham received",
                                      "suspected_spam" => "Suspected spam in quarantine",
                                      "spam"           => "Confirmed spam received",
                                      "virus"          => "Viruses received",
                                      "fp"             => "Ham items misidentified as spam",
                                      "fn"             => "Spam items misidentified as ham",
                                      "wl"             => "Items received from whitelisted senders",
                                      "bl"             => "Items received from blacklisted senders",
                                      "bad_header"     => "Items with invalid mail headers",
                                      "banned_file"    => "Items with banned file attachments",
                                      "oversized"      => "Items too large to filter");

    $lang_array_arrivals      = array("ham"            => "Ham arrivals",
                                      "suspected_ham"  => "Suspected ham arrivals",
                                      "suspected_spam" => "Suspected spam arrivals",
                                      "spam"           => "Confirmed spam arrivals",
                                      "virus"          => "Virus arrivals",
                                      "fp"             => "False positive errors",
                                      "fn"             => "False negative errors",
                                      "wl"             => "Whitelisted arrivals",
                                      "bl"             => "Blacklisted arrivals",
                                      "bad_header"     => "Bad header arrivals",
                                      "banned_file"    => "Banned file arrivals",
                                      "oversized"      => "Oversized item arrivals");

    $lang_array_highest_score = array("ham"            => "Highest ham score",
                                      "suspected_ham"  => "Highest suspected ham score",
                                      "suspected_spam" => "Highest suspected spam score",
                                      "spam"           => "Highest spam score",
                                      "virus"          => "",
                                      "fp"             => "Highest false positive score",
                                      "fn"             => "Highest false negative score",
                                      "wl"             => "",
                                      "bl"             => "",
                                      "bad_header"     => "",
                                      "banned_file"    => "",
                                      "oversized"      => "");

    $lang_array_lowest_score  = array("ham"            => "Lowest ham score",
                                      "suspected_ham"  => "Lowest suspected ham score",
                                      "suspected_spam" => "Lowest suspected spam score",
                                      "spam"           => "Lowest spam score",
                                      "virus"          => "",
                                      "fp"             => "Lowest false positive score",
                                      "fn"             => "Lowest false negative score",
                                      "wl"             => "",
                                      "bl"             => "",
                                      "bad_header"     => "",
                                      "banned_file"    => "",
                                      "oversized"      => "");

    $lang_array_average_score = array("ham"            => "Average ham score",
                                      "suspected_ham"  => "Average suspected ham score",
                                      "suspected_spam" => "Average suspected spam score",
                                      "spam"           => "Average spam score",
                                      "virus"          => "",
                                      "fp"             => "Average false positive score",
                                      "fn"             => "Average false negative score",
                                      "wl"             => "",
                                      "bl"             => "",
                                      "bad_header"     => "",
                                      "banned_file"    => "",
                                      "oversized"      => "");

    $lang_array_largest_size  = array("ham"            => "Largest ham size",
                                      "suspected_ham"  => "Largest suspected ham size",
                                      "suspected_spam" => "Largest suspected spam size",
                                      "spam"           => "Largest spam size",
                                      "virus"          => "Largest virus size",
                                      "fp"             => "Largest false positive size",
                                      "fn"             => "Largest false negative size",
                                      "wl"             => "Largest whitelisted item size",
                                      "bl"             => "Largest blacklisted item size",
                                      "bad_header"     => "Largest bad header item size",
                                      "banned_file"    => "Largest banned file item size",
                                      "oversized"      => "Largest oversized item size");

    $lang_array_smallest_size = array("ham"            => "Minsta storlek bekrftad Ham",
                                      "suspected_ham"  => "Minsta storlek misstnkt Ham",
                                      "suspected_spam" => "Minsta storlek misstnkt Spam",
                                      "spam"           => "Minsta storlek bekrftad Spam",
                                      "virus"          => "Minsta storlek virus/Malware",
                                      "fp"             => "Minsta storlek falska Positiva",
                                      "fn"             => "Minsta storlek falska Negativa",
                                      "wl"             => "Minsta storlek 'White'-listade mejl",
                                      "bl"             => "Minsta storlek svartlistade mejl",
                                      "bad_header"     => "Minsta storlek felaktigt brevhuvud",
                                      "banned_file"    => "Minsta storlek otilltna bilagor",
                                      "oversized"      => "Minsta storlek fr stora mejl");

    $lang_array_average_size  = array("ham"            => "Medelstorlek bekrftad Ham",
                                      "suspected_ham"  => "Medelstorlek misstnkt Ham",
                                      "suspected_spam" => "Medelstorlek misstnkt Spam",
                                      "spam"           => "Medelstorlek bekrftad Spam",
                                      "virus"          => "Medelstorlek virus/Malware",
                                      "fp"             => "Medelstorlek falska Positiva",
                                      "fn"             => "Medelstorlek falska Negativa",
                                      "wl"             => "Medelstorlek 'White'-listade mejl",
                                      "bl"             => "Medelstorlek svartlistade mejl",
                                      "bad_header"     => "Medelstorlek felaktigt brevhuvud",
                                      "banned_file"    => "Medelstorlek otilltna bilagor",
                                      "oversized"      => "Medelstorlek fr stora mejl");

    $lang_array_bandwidth     = array("ham"            => "Bandbredd bekrftad Ham",
                                      "suspected_ham"  => "Bandbredd misstnkt Ham",
                                      "suspected_spam" => "Bandbredd misstnkt Spam",
                                      "spam"           => "Bandbredd bekrftad Spam",
                                      "virus"          => "Bandbredd virus/Malware",
                                      "fp"             => "Bandbredd falska Positiva",
                                      "fn"             => "Bandbredd falska Negativa",
                                      "wl"             => "Bandbredd 'White'-listade mejl",
                                      "bl"             => "Bandbredd svartlistade mejl",
                                      "bad_header"     => "Bandbredd felaktigt brevhuvud",
                                      "banned_file"    => "Bandbredd otilltna bilagor",
                                      "oversized"      => "Bandbredd fr stora mejl");

    $lang_array_cost          = array("ham"            => "Bandbreddskostnad bekrftad Ham",
                                      "suspected_ham"  => "Bandbreddskostnad misstnkt Ham",
                                      "suspected_spam" => "Bandbreddskostnad misstnkt Spam",
                                      "spam"           => "Bandbreddskostnad bekrftad Spam",
                                      "virus"          => "Bandbreddskostnad virus/Malware",
                                      "fp"             => "Bandbreddskostnad falska Positiva",
                                      "fn"             => "Bandbreddskostnad falska Negativa",
                                      "wl"             => "Bandbreddskostnad 'White'-listade mejl",
                                      "bl"             => "Bandbreddskostnad svartlistade mejl",
                                      "bad_header"     => "Bandbreddskostnad felaktigt brevhuvud",
                                      "banned_file"    => "Bandbreddskostnad otilltna bilagor",
                                      "oversized"      => "Bandbreddskostnad fr stora mejl");

    $lang_array_percentage    = array("ham"            => "Som procent av totala antalet mottagna mejl",
                                      "suspected_ham"  => "Som procent av totala antalet mottagna mejl",
                                      "suspected_spam" => "Som procent av totala antalet mottagna mejl",
                                      "spam"           => "Som procent av totala antalet mottagna mejl",
                                      "virus"          => "Som procent av totala antalet mottagna mejl",
                                      "fp"             => "Som procent av totala antalet mottagna mejl",
                                      "fn"             => "Som procent av totala antalet mottagna mejl",
                                      "wl"             => "Som procent av totala antalet mottagna mejl",
                                      "bl"             => "Som procent av totala antalet mottagna mejl",
                                      "bad_header"     => "Som procent av totala antalet mottagna mejl",
                                      "banned_file"    => "Som procent av totala antalet mottagna mejl",
                                      "oversized"      => "Som procent av totala antalet mottagna mejl");
?>
