<?php
    /*
     * $Id: login.php,v 1.2 2004/03/03 11:21:20 rjl Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

   require_once ("config.php");
   require_once ("display.php");

   // Get any special variables from the GET array
   if (isset($HTTP_GET_VARS["super"])) {
      $super = trim($HTTP_GET_VARS["super"]);
   } else {
      $super = "";
   }

   // Determine the user's language preference
   if (isset($HTTP_GET_VARS["lang"])) {
      $display_language = trim($HTTP_GET_VARS["lang"]);
   } else {
      $display_language = $default_display_language;
   }
   require_once ("./locale/$display_language/db.php");
   require_once ("./locale/$display_language/display.php");
   require_once ("./locale/$display_language/login.php");

   // Determine the user's character set preference
   if (isset($HTTP_GET_VARS["charset"])) {
       $html_charset = trim($HTTP_GET_VARS["charset"]);
   } else {
       $html_charset = $default_charset;
   }

   // Check for an NTDOMAIN cookie
   if ($auth_method == "exchange") {
       if ($auth_exchange_only_one_domain) {
           $nt_domain = $auth_exchange_nt_domain;
       } else {
       	   if (isset($_COOKIE["NTDOMAIN"])) {
       	       $nt_domain = trim($_COOKIE["NTDOMAIN"]);
       	   } else {
       	       $nt_domain = $auth_exchange_nt_domain;
       	   }
       }
   }

   display_html_head($lang_banner_subtitle, $display_language, $html_charset);
   display_banner($lang_banner_subtitle, 0, 0, "", false);
?>

<form method="post" name="login" action="xlogin.php">
<input type="hidden" name="super" value="<?php print($super); ?>">
<input type="hidden" name="language" value="<?php print($display_language); ?>">
<input type="hidden" name="charset" value="<?php print($html_charset); ?>">

<div align="center">
<table border="0" cellspacing="2" cellpadding="2">

<?php
    if (($auth_method == "pop3" && !empty($routing_domain)) ||
        $auth_method == "ldap" || $auth_method == "exchange" ||
        $auth_method == "sql" || $auth_method == "internal") {
?>
<tr>
<td class="menubody"><?php print($lang_label_username); ?></td>
<td class="menubody"><input type="text" name="username" value="" size="40"></td>
</tr>
<?php
    } else {
?><tr>
<td class="menubody"><?php print($lang_label_email); ?></td>
<td class="menubody"><input type="text" name="address" value="" size="40"></td>
</tr>
<?php
    }
?>

<tr>
<td class="menubody"><?php print($lang_label_password); ?></td>
<td class="menubody"><input type="password" name="pwd" value="" size="40"></td>
</tr>

<?php
    if ($auth_method == "exchange") {
        if ($auth_exchange_only_one_domain) {
?>
<input type="hidden" name="domain" value="<?php print($nt_domain); ?>">
<?php
        } else {
?>
<tr>
<td class="menubody"><?php print($lang_label_nt_domain); ?></td>
<td class="menubody"><input type="text" name="domain"
    value="<?php print($nt_domain); ?>" size="40"></td>
</tr>
<?php
        }
    }
?>

<tr>
<td colspan="2" align="center" class="menuheader"><input type="submit" name="submit"
    value=" <?php print($lang_button_login); ?> "></td>
</tr>

</table>
</div><br>

</form>

<p>&nbsp;</p>

<div align="center">
<?php
    $select = "SELECT abbreviation, language_name FROM maia_languages " .
              "WHERE abbreviation <> ? AND installed = 'Y' ORDER BY language_name ASC";
    $sth = $dbh->query($select, array($display_language));
    if ($sth->numrows() > 0) {
       while ($row = $sth->fetchrow()) {
           print("<a href=\"login.php?lang=" . $row["abbreviation"] . "\">[ " .
                 $row["language_name"] . " ]</a><br>\n");
       }
    }
    $sth->free();
?>
</div>

<?php display_html_foot(); ?>