<?php
    /*
     * $Id: settings.php,v 1.5 2004/05/18 22:08:23 rjl Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

    /*
     * NOTE FOR USERS OF MAIA 0.9.x: Configuration settings have been moved
     * to config.php.  This settings.php file is equivalent to what used to
     * be the spam-virus.php file.
     */

    require_once ("config.php");
    require_once ("authcheck.php");
    require_once ("display.php");
    require_once ("db.php");
    $display_language = get_display_language($euid);
    $html_charset = get_html_charset($euid);
    require_once ("./locale/$display_language/display.php");
    require_once ("./locale/$display_language/db.php");
    require_once ("./locale/$display_language/settings.php");

    $domain_user = is_a_domain_default_user($euid);
    if ($domain_user) {
    	$domain_name = get_user_name($euid);
    	$domain_id = get_domain_id($domain_name);
    }

    if (isset($HTTP_GET_VARS["addid"])) {
       $address_id = trim($HTTP_GET_VARS["addid"]);
       if (get_email_address_owner($address_id) != $euid) {
           $address_id = 0;
       }
    } else {
       $address_id = 0;
    }

    display_html_head($lang_banner_subtitle, $display_language, $html_charset);
    display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
?>
<form method="post" action="xsettings.php<?php print($sid); ?>" name="settings">
<input type="hidden" name="user_id" value="<?php print($euid); ?>">
<?php
    if ($address_id === 0) {
?>

<div align="center">
<table border="0" cellspacing="2" cellpadding="2" width="600">

<tr>
<td class="menuheader" align="center" colspan="2"><?php print($lang_header_addresses); ?></td>
</tr>

<?php
        $select = "SELECT enable_charts, reminder_threshold_count, " .
                         "enable_spamtraps, enable_username_changes, " .
                         "enable_address_linking " .
                  "FROM maia_config WHERE id = 0";
        $sth = $dbh->query($select);
        if ($row = $sth->fetchrow()) {
            $enable_charts = ($row["enable_charts"] == 'Y');
            $reminder_threshold_count = $row["reminder_threshold_count"];
            $enable_spamtraps = ($row["enable_spamtraps"] == 'Y');
            $enable_username_changes = ($row["enable_username_changes"] == 'Y');
            $enable_address_linking = ($row["enable_address_linking"] == 'Y');
        }
        $sth->free();

        if (($auth_method == "pop3" && !empty($routing_domain)) ||
            $auth_method == "ldap" || $auth_method == "exchange" ||
            $auth_method == "sql" || $auth_method == "internal") {
            $login = $lang_text_username;
        } else {
            $login = $lang_text_email_address;
        }

        $select = "SELECT users.id, users.email " .
                  "FROM users, maia_users " .
                  "WHERE users.maia_user_id = maia_users.id " .
                  "AND users.id = maia_users.primary_email_id " .
                  "AND users.email NOT LIKE '@%' " .
                  "AND users.maia_user_id = ?";
        $sth = $dbh->query($select, array($euid));
        if ($row = $sth->fetchrow()) {
            $primary_email_id = $row["id"];
            $address = $row["email"];
        }
        $sth->free();

        if (!$domain_user) {
?>
<tr>
<td class="menubody" align="center"><?php print($lang_text_primary); ?></td>
<td class="menubody" align="center">
<a href="settings.php<?php print($msid); ?>addid=<?php print($primary_email_id); ?>">
<?php print($address); ?></a></td>
</tr>
<?php
        $select = "SELECT id, email FROM users WHERE maia_user_id = ? AND email NOT LIKE '@%' AND id <> ?";
        $sth = $dbh->query($select, array($euid, $primary_email_id));
        while ($row = $sth->fetchRow()) {
            $atleastone = true;
            $addid = $row["id"];
            $address = $row["email"];
?>
<tr>
<td class="menubody" align="center"><input type="submit"
                                           name="<?php print("make_primary_" . $addid); ?>"
                                           value=" <?php print($lang_button_make_primary); ?> ">
</td>
<td class="menubody" align="center">
<a href="settings.php<?php print($msid); ?>addid=<?php print($addid); ?>"><?php print($address); ?></a></td>
</tr>
<?php
        }
        $sth->free();
        if ($enable_address_linking) {
?>
<tr><td colspan="2" class="menulight">&nbsp;</td></tr>
<tr>
<td class="menubody" align="left"><?php print($login); ?>:</td>
<td class="menubody" align="left">
<input type="text" name="login" value="" size="40"></td>
</tr>
<tr>
<td class="menubody" align="left"><?php print($lang_text_password); ?>:</td>
<td class="menubody" align="left">
<input type="password" name="authpass" value="" size="40"></td>
</tr>
<tr><td colspan="2" class="menulight">&nbsp;</td></tr>
<tr>
<td colspan="2" align="center" class="menubody">
<input type=submit name=submit value=" <?php print($lang_button_add_email_address); ?> ">&nbsp;&nbsp;
<input type=reset name=reset value=" <?php print($lang_button_reset); ?> ">
</td>
</tr>

<?php }
      } else {
          $select = "SELECT id, email FROM users WHERE maia_user_id = ? AND email NOT LIKE '@%'";
          $sth = $dbh->query($select, array($euid));
          while ($row = $sth->fetchRow()) {
              $atleastone = true;
              $addid = $row["id"];
              $address = $row["email"];
?>
<tr>
<td class="menubody" colspan="2" align="center">
<a href="settings.php<?php print($msid); ?>addid=<?php print($addid); ?>"><?php print($address); ?></a></td>
</tr>
<?php
          }
          $sth->free();
          if (!isset($addid)) {
?>
<tr>
<td class="menubody" colspan="2" align="center"><?php print($lang_text_no_addresses_linked); ?></td>
</tr>
<?php
          }
      }
?>

</table>
</div>

<?php
    if (!$domain_user && ($auth_method == "internal")) {
        $user_name = get_user_name($euid);
?>
<p>&nbsp;</p>

<div align="center">
<table border="0" cellspacing="2" cellpadding="2" width="600">

<tr>
<td class="menuheader" align="center" colspan="2"><?php print($lang_header_login_info); ?></td>
</tr>

<?php if ($enable_username_changes || is_superadmin($uid)) { ?>
<tr>
<td class="menubody" align="left"><?php print($lang_text_new_login_name); ?>:</td>
<td class="menubody" align="left"><input type="text" name="new_login_name" value="<?php print($user_name); ?>" size="40"></td>
</tr>
<?php } else { ?>
<input type="hidden" name="new_login_name" value="<?php print($user_name); ?>">
<?php } ?>

<tr>
<td class="menubody" align="left"><?php print($lang_text_new_password); ?>:</td>
<td class="menubody" align="left"><input type="password" name="new_password" value="" size="40"></td>
</tr>

<tr>
<td class="menubody" align="left"><?php print($lang_text_confirm_new_password); ?>:</td>
<td class="menubody" align="left"><input type="password" name="confirm_new_password" value="" size="40"></td>
</tr>

<tr><td colspan="2" class="menulight">&nbsp;</td></tr>

<tr>
<td colspan="2" align="center" class="menubody">
<input type=submit name=submit value=" <?php print($lang_button_change_login_info); ?> ">
</td>
</tr>

</table>
</div>

<?php } ?>

<p>&nbsp;</p>

<?php
        $select = "SELECT charts, reminders, language, charset, spamtrap, auto_whitelist, items_per_page " .
                  "FROM maia_users WHERE id = ?";
        $sth = $dbh->query($select, array($euid));
        if ($row = $sth->fetchRow()) {
            if ($row["charts"] == 'Y') {
                $ch_y_checked = "checked";
                $ch_n_checked = "";
            } else {
                $ch_y_checked = "";
                $ch_n_checked = "checked";
            }
            if ($row["reminders"] == 'Y') {
                $rm_y_checked = "checked";
                $rm_n_checked = "";
            } else {
                $rm_y_checked = "";
                $rm_n_checked = "checked";
            }
            if ($row["spamtrap"] == 'Y') {
                $st_y_checked = "checked";
                $st_n_checked = "";
            } else {
                $st_y_checked = "";
                $st_n_checked = "checked";
            }
            if ($row["auto_whitelist"] == 'Y') {
                $wl_y_checked = "checked";
                $wl_n_checked = "";
            } else {
                $wl_y_checked = "";
                $wl_n_checked = "checked";
            }
            $language = $row["language"];
            $charset = $row["charset"];
            $items_per_page = $row["items_per_page"];
        }
        $sth->free();
        $atleastone = false;
?>

<div align="center">
<table border="0" cellspacing="2" cellpadding="2" width="600">

<tr>
<td class="menuheader" align="center" colspan="2"><?php print($lang_header_miscellaneous); ?></td>
</tr>

<?php if (!$domain_user && ($reminder_threshold_count > 0)) { ?>
<?php    if ($atleastone) { ?>
<tr><td colspan="2" class="menulight">&nbsp;</td></tr>
<?php    } else {
	   $atleastone = true;
         }
?>

<tr>
<td class="menubody" align="left"><?php print($lang_text_reminders); ?></td>
<td class="menubody" align="left">
<input type="radio" name="reminder" value="yes" <?php print($rm_y_checked); ?>>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="reminder" value="no" <?php print($rm_n_checked); ?>>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
</td>
</tr>
<?php } ?>

<?php if ($enable_charts) { ?>

<tr>
<td class="menubody" align="left"><?php print($lang_text_charts); ?></td>
<td class="menubody" align="left">
<input type="radio" name="charts" value="yes" <?php print($ch_y_checked); ?>>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="charts" value="no" <?php print($ch_n_checked); ?>>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
</td>
</tr>
<?php } ?>

<?php if ($enable_spamtraps) { ?>
<tr>
<td class="menubody" align="left"><?php print($lang_text_spamtrap); ?></td>
<td class="menubody" align="left">
<input type="radio" name="spamtrap" value="yes" <?php print($st_y_checked); ?>>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="spamtrap" value="no" <?php print($st_n_checked); ?>>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
</td>
</tr>
<?php } ?>

<tr>
<td class="menubody" align="left"><?php print($lang_text_auto_whitelist); ?></td>
<td class="menubody" align="left">
<input type="radio" name="auto_whitelist" value="yes" <?php print($wl_y_checked); ?>>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="auto_whitelist" value="no" <?php print($wl_n_checked); ?>>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
</td>
</tr>

<tr>
<td class="menubody" align="left"><?php print($lang_text_items_per_page); ?></td>
<td class="menubody" align="left"><input type="text" name="items_per_page" size="5" value="<?php print($items_per_page); ?>"></td>
</tr>

<tr>
<td class="menubody" align="left"><?php print($lang_text_language); ?></td>
<td class="menubody" align="left"><select name="language">
<?php
    $select = "SELECT language_name, abbreviation FROM maia_languages " .
              "WHERE installed = 'Y' " .
              "ORDER BY language_name ASC";
    $sth = $dbh->query($select);
    while ($row = $sth->fetchrow()) {
    	if ($language == $row["abbreviation"]) {
    	    $label = " SELECTED";
    	} else {
    	    $label = "";
    	}
?>
<option value="<?php print($row["abbreviation"]); ?>"<?php print($label); ?>><?php print($row["language_name"]); ?></option>
<?php
    }
    $sth->free();
?>
</select>
</tr>

<tr>
<td class="menubody" align="left"><?php print($lang_text_charset); ?></td>
<td class="menubody" align="left"><input type="text" name="charset" value="<?php print($charset); ?>" size="20"></td>
</tr>



<?php if ($atleastone) { ?>
<tr><td colspan="2" class="menulight">&nbsp;</td></tr>
<?php } ?>

<tr>
<td colspan="2" align="center" class="menubody">
<input type=submit name=submit value=" <?php print($lang_button_update_misc); ?> ">&nbsp;&nbsp;
<input type=reset name=reset value=" <?php print($lang_button_reset); ?> ">
</td>
</tr>

</table>
</div>

<?php display_html_foot(); ?>

<?php
    } else {

        if (is_an_administrator($uid)) {

            $user_virus_scanning = true;
            $user_spam_filtering = true;
            $user_banned_files_checking = true;
            $user_bad_header_checking = true;

        } else {

    	    $select = "SELECT user_virus_scanning, " .
    	                     "user_spam_filtering, " .
    	                     "user_banned_files_checking, " .
    	                     "user_bad_header_checking " .
    	              "FROM maia_config WHERE id = 0";
    	    $sth = $dbh->query($select);

    	    if ($row = $sth->fetchrow()) {
    	        $user_virus_scanning = ($row["user_virus_scanning"] == 'Y');
    	        $user_spam_filtering = ($row["user_spam_filtering"] == 'Y');
    	        $user_banned_files_checking = ($row["user_banned_files_checking"] == 'Y');
    	        $user_bad_header_checking = ($row["user_bad_header_checking"] == 'Y');
    	    }
    	    $sth->free();

        }

        $select = "SELECT virus_lover, " .
                         "spam_lover, " .
                         "banned_files_lover, " .
                         "bad_header_lover, " .
                         "bypass_virus_checks, " .
                         "bypass_spam_checks, " .
                         "bypass_banned_checks, " .
                         "bypass_header_checks, " .
                         "discard_viruses, " .
                         "discard_spam, " .
                         "discard_banned_files, " .
                         "discard_bad_headers, " .
                         "spam_modifies_subj, " .
                         "spam_tag_level, " .
                         "spam_tag2_level, " .
                         "spam_kill_level, " .
                         "email, " .
                         "policy_id " .
                  "FROM users, policy " .
                  "WHERE users.policy_id = policy.id " .
                  "AND users.id = ?";

        $sth = $dbh->query($select, array($address_id));
        if ($row = $sth->fetchRow()) {
            $address = $row["email"];
            $policy_id = $row["policy_id"];
            $level1 = $row["spam_tag_level"];
            $level2 = $row["spam_tag2_level"];
            $level3 = $row["spam_kill_level"];
            if ($row["virus_lover"] == 'Y') {
            	$v_l_checked = "checked";
            	$v_q_checked = "";
            	$v_d_checked = "";
            } else {
            	$v_l_checked = "";
            	if ($row["discard_viruses"] == 'Y') {
            	    $v_q_checked = "";
            	    $v_d_checked = "checked";
                } else {
                    $v_q_checked = "checked";
                    $v_d_checked = "";
                }
            }
            if ($row["spam_lover"] == 'Y') {
            	$s_l_checked = "checked";
            	$s_q_checked = "";
            	$s_d_checked = "";
            } else {
            	$s_l_checked = "";
            	if ($row["discard_spam"] == 'Y') {
            	    $s_q_checked = "";
            	    $s_d_checked = "checked";
                } else {
                    $s_q_checked = "checked";
                    $s_d_checked = "";
                }
            }
            if ($row["banned_files_lover"] == 'Y') {
            	$b_l_checked = "checked";
            	$b_q_checked = "";
            	$b_d_checked = "";
            } else {
            	$b_l_checked = "";
            	if ($row["discard_banned_files"] == 'Y') {
            	    $b_q_checked = "";
            	    $b_d_checked = "checked";
                } else {
                    $b_q_checked = "checked";
                    $b_d_checked = "";
                }
            }
            if ($row["bad_header_lover"] == 'Y') {
            	$h_l_checked = "checked";
            	$h_q_checked = "";
            	$h_d_checked = "";
            } else {
            	$h_l_checked = "";
            	if ($row["discard_bad_headers"] == 'Y') {
            	    $h_q_checked = "";
            	    $h_d_checked = "checked";
                } else {
                    $h_q_checked = "checked";
                    $h_d_checked = "";
                }
            }
            if ($row["bypass_virus_checks"] == 'Y') {
                $bv_y_checked = "";
                $bv_n_checked = "checked";
            } else {
                $bv_y_checked = "checked";
                $bv_n_checked = "";
            }
            if ($row["bypass_spam_checks"] == 'Y') {
                $bs_y_checked = "";
                $bs_n_checked = "checked";
            } else {
                $bs_y_checked = "checked";
                $bs_n_checked = "";
            }
            if ($row["bypass_banned_checks"] == 'Y') {
                $bb_y_checked = "";
                $bb_n_checked = "checked";
            } else {
                $bb_y_checked = "checked";
                $bb_n_checked = "";
            }
            if ($row["bypass_header_checks"] == 'Y') {
                $bh_y_checked = "";
                $bh_n_checked = "checked";
            } else {
                $bh_y_checked = "checked";
                $bh_n_checked = "";
           }
            if ($row["spam_modifies_subj"] == 'Y') {
                $sms_y_checked = "checked";
                $sms_n_checked = "";
            } else {
                $sms_y_checked = "";
                $sms_n_checked = "checked";
            }
        }
        $sth->free();
?>
<input type="hidden" name="policy" value="<?php print($policy_id); ?>">

<div align="center">
<table border="0" cellspacing="2" cellpadding="2">

<tr>
<td class="menuheader" align="center" colspan="2"><?php print($lang_header_address); ?>: <?php print($address); ?></td>
</tr>

<?php
      $atleastone = true;
?>
<tr>
<td class="virusbody3" align="left"><?php print($lang_text_virus_scanning); ?></td>
<td class="virusbody3" align="left">
<?php if ($user_virus_scanning) { ?>
<input type="radio" name="viruses" value="yes" <?php print($bv_y_checked); ?>>&nbsp;<?php print($lang_text_enabled); ?>&nbsp;&nbsp;
<input type="radio" name="viruses" value="no" <?php print($bv_n_checked); ?>>&nbsp;<?php print($lang_text_disabled); ?>&nbsp;&nbsp;
<?php
      } else {
      	  print("&nbsp;&nbsp;");
          if ($bv_y_checked) {
              print($lang_text_enabled);
          } else {
              print($lang_text_disabled);
          }
      }
?>
</td>
</tr>

<tr>
<td class="virusbody3" align="left"><?php print($lang_text_detected_viruses); ?></td>
<td class="virusbody3" align="left">
<input type="radio" name="virus_destiny" value="label" <?php print($v_l_checked); ?>>&nbsp;<?php print($lang_text_labeled); ?>&nbsp;&nbsp;
<input type="radio" name="virus_destiny" value="quarantine" <?php print($v_q_checked); ?>>&nbsp;<?php print($lang_text_quarantined); ?>&nbsp;&nbsp;
<input type="radio" name="virus_destiny" value="discard" <?php print($v_d_checked); ?>>&nbsp;<?php print($lang_text_discarded); ?>&nbsp;&nbsp;
</td>
</tr>

<?php    if ($atleastone) { ?>
<tr><td colspan="2" class="menulight">&nbsp;</td></tr>
<?php    } else {
	   $atleastone = true;
         }
?>

<tr>
<td class="spambody3" align="left"><?php print($lang_text_spam_filtering); ?></td>
<td class="spambody3" align="left">
<?php if ($user_spam_filtering) { ?>
<input type="radio" name="spam" value="yes" <?php print($bs_y_checked); ?>>&nbsp;<?php print($lang_text_enabled); ?>&nbsp;&nbsp;
<input type="radio" name="spam" value="no" <?php print($bs_n_checked); ?>>&nbsp;<?php print($lang_text_disabled); ?>&nbsp;&nbsp;
<?php
      } else {
      	  print("&nbsp;&nbsp;");
          if ($bs_y_checked) {
              print($lang_text_enabled);
          } else {
              print($lang_text_disabled);
          }
      }
?>
</td>
</tr>

<tr>
<td class="spambody3" align="left"><?php print($lang_text_detected_spam); ?></td>
<td class="spambody3" align="left">
<input type="radio" name="spam_destiny" value="label" <?php print($s_l_checked); ?>>&nbsp;<?php print($lang_text_labeled); ?>&nbsp;&nbsp;
<input type="radio" name="spam_destiny" value="quarantine" <?php print($s_q_checked); ?>>&nbsp;<?php print($lang_text_quarantined); ?>&nbsp;&nbsp;
<input type="radio" name="spam_destiny" value="discard" <?php print($s_d_checked); ?>>&nbsp;<?php print($lang_text_discarded); ?>&nbsp;&nbsp;
</td>
</tr>

<tr>
<td class="spambody3" align="left"><?php print($lang_text_prefix_subject); ?>?</td>
<td class="spambody3" align="left">
<input type="radio" name="modify_subject" value="yes" <?php print($sms_y_checked); ?>>&nbsp;<?php print($lang_text_yes); ?>&nbsp;&nbsp;
<input type="radio" name="modify_subject" value="no" <?php print($sms_n_checked); ?>>&nbsp;<?php print($lang_text_no); ?>&nbsp;&nbsp;
</td>
</tr>

<tr>
<td class="spambody3" align="left"><?php print($lang_text_add_spam_header); ?> >= </td>
<td class="spambody3" align="left">
<input type=text size=7 name=level1 value="<?php printf("%1.3f", $level1); ?>">
</td>
</tr>

<tr>
<td class="spambody3" align="left"><?php print($lang_text_consider_mail_spam); ?> >= </td>
<td class="spambody3" align="left">
<input type=text size=7 name=level2 value="<?php printf("%1.3f", $level2); ?>">
</td>
</tr>

<tr>
<td class="spambody3" align="left"><?php print($lang_text_quarantine_spam); ?> >= </td>
<td class="spambody3" align="left">
<input type=text size=7 name=level3 value="<?php printf("%1.3f", $level3); ?>">
</td>
</tr>

<?php    if ($atleastone) { ?>
<tr><td colspan="2" class="menulight">&nbsp;</td></tr>
<?php    } else {
	   $atleastone = true;
         }
?>

<tr>
<td class="banned_filebody3" align="left"><?php print($lang_text_attachment_filtering); ?></td>
<td class="banned_filebody3" align="left">
<?php if ($user_banned_files_checking) { ?>
<input type="radio" name="banned" value="yes" <?php print($bb_y_checked); ?>>&nbsp;<?php print($lang_text_enabled); ?>&nbsp;&nbsp;
<input type="radio" name="banned" value="no" <?php print($bb_n_checked); ?>>&nbsp;<?php print($lang_text_disabled); ?>&nbsp;&nbsp;
<?php
      } else {
      	  print("&nbsp;&nbsp;");
          if ($bb_y_checked) {
              print($lang_text_enabled);
          } else {
              print($lang_text_disabled);
          }
      }
?>
</td>
</tr>

<tr>
<td class="banned_filebody3" align="left"><?php print($lang_text_mail_with_attachments); ?></td>
<td class="banned_filebody3" align="left">
<input type="radio" name="banned_destiny" value="label" <?php print($b_l_checked); ?>>&nbsp;<?php print($lang_text_labeled); ?>&nbsp;&nbsp;
<input type="radio" name="banned_destiny" value="quarantine" <?php print($b_q_checked); ?>>&nbsp;<?php print($lang_text_quarantined); ?>&nbsp;&nbsp;
<input type="radio" name="banned_destiny" value="discard" <?php print($b_d_checked); ?>>&nbsp;<?php print($lang_text_discarded); ?>&nbsp;&nbsp;
</td>
</tr>

<?php    if ($atleastone) { ?>
<tr><td colspan="2" class="menulight">&nbsp;</td></tr>
<?php    } else {
	   $atleastone = true;
         }
?>

<tr>
<td class="bad_headerbody3" align="left"><?php print($lang_text_bad_header_filtering); ?></td>
<td class="bad_headerbody3" align="left">
<?php if ($user_bad_header_checking) { ?>
<input type="radio" name="headers" value="yes" <?php print($bh_y_checked); ?>>&nbsp;<?php print($lang_text_enabled); ?>&nbsp;&nbsp;
<input type="radio" name="headers" value="no" <?php print($bh_n_checked); ?>>&nbsp;<?php print($lang_text_disabled); ?>&nbsp;&nbsp;
<?php
      } else {
      	  print("&nbsp;&nbsp;");
          if ($bh_y_checked) {
              print($lang_text_enabled);
          } else {
              print($lang_text_disabled);
          }
      }
?>
</td>
</tr>

<tr>
<td class="bad_headerbody3" align="left"><?php print($lang_text_mail_with_bad_headers); ?></td>
<td class="bad_headerbody3" align="left">
<input type="radio" name="headers_destiny" value="label" <?php print($h_l_checked); ?>>&nbsp;<?php print($lang_text_labeled); ?>&nbsp;&nbsp;
<input type="radio" name="headers_destiny" value="quarantine" <?php print($h_q_checked); ?>>&nbsp;<?php print($lang_text_quarantined); ?>&nbsp;&nbsp;
<input type="radio" name="headers_destiny" value="discard" <?php print($h_d_checked); ?>>&nbsp;<?php print($lang_text_discarded); ?>&nbsp;&nbsp;
</td>
</tr>

<?php if ($atleastone) { ?>
<tr><td colspan="2" class="menulight">&nbsp;</td></tr>
<?php } ?>

<tr>
<td colspan="2" align="center" class="menubody">
<input type="submit" name="submit" value=" <?php print($lang_button_update_address); ?> ">&nbsp;&nbsp;
<input type="submit" name="submit" value=" <?php print($lang_button_update_all_addresses); ?> ">&nbsp;&nbsp;
<input type="reset" name="reset" value=" <?php print($lang_button_reset); ?> ">
</td>
</tr>

</table>
</div><br>
</form>

<?php display_html_foot(); ?>
<?php
}
?>