<?php
    /*
     * $Id: viewmail.php,v 1.5 2004/02/19 11:42:42 rjl Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

    require_once ("config.php");
    require_once ("authcheck.php");
    require_once ("display.php");
    require_once ("db.php");
    require_once ("mime.php");
    require_once ("Mail/mimeDecode.php");  // PEAR::Mail::mimeDecode.php
    require_once ("encrypt.php");
    $display_language = get_display_language($euid);
    $html_charset = get_html_charset($euid);
    require_once ("./locale/$display_language/display.php");
    require_once ("./locale/$display_language/db.php");
    require_once ("./locale/$display_language/mime.php");
    require_once ("./locale/$display_language/viewmail.php");

   // Admins (including the superadmin) should not be looking at
   // other people's mail!
   if (!ok_to_impersonate($euid, $uid)) {
       header("Location: stats.php" . $sid);
       exit;
   }
   if (isset($HTTP_GET_VARS["id"])) {
      $id = intval($HTTP_GET_VARS["id"]);
   } else {
      header("Location: quarantine.php" . $sid);
   }
   if (isset($HTTP_GET_VARS["type"])) {
      $type = trim($HTTP_GET_VARS["type"]);
   } else {
      $type = "";
   }
   if (isset($HTTP_GET_VARS["raw"])) {
      $raw = (trim($HTTP_GET_VARS["raw"]) == "y");
   } else {
      $raw = false;
   }

    if ($raw) {
        $bodyclass = "rawmail";
    } else {
    	$bodyclass = "decodedmail";
    }

    $use_icons = (get_config_value("use_icons") == "Y");

    display_html_head($lang_banner_subtitle, $display_language, $html_charset);
    display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
?>
<form name="viewmail" method="POST">

<script language="JavaScript"><!--

function itemAction(action, rvalue) {
         document.viewmail.action = action;
         document.viewmail.item_<?php print $id; ?>.value = rvalue;
         document.viewmail.submit();
     }

//--></script>

<input type="hidden" name="item_<? print $id; ?>">
<input type="hidden" name="confirm" value="confirm">

<div align="center">
<table border="0" cellspacing="0" cellpadding="0" width="100%">



<tr>
<td class="<?php print($bodyclass); ?>" align="left">
<?php

   // Open and read the gzipped mail file, and display the
   // contents for basic MIME types:
   //
   //    text/plain
   //    text/html
   //
   // Decoding is provided for common formats:
   //
   //    base64
   //    quoted-printable
   //    8bit
   //    7bit
   //

   $select = "SELECT maia_mail.contents " .
             "FROM maia_mail, maia_mail_recipients " .
             "WHERE maia_mail.id = maia_mail_recipients.mail_id " .
             "AND maia_mail.id = ? " .
             "AND maia_mail_recipients.recipient_id = ?";
   $sth = $dbh->query($select, array($id, $euid));
   if ($row = $sth->fetchrow()) {
       $contents = $row["contents"];
       if (text_is_encrypted($contents)) {
       	   $key = get_encryption_key();
           $contents = decrypt_text($key, $contents);
       }
?>

<tr>
<td class="topbanner4" align="center" valign="top">
<?php
    if ($type == "fp") {

    	// CONFIRM SPAM button
        print("<a href=\"javascript:itemAction('spam-quarantine.php" . $msid . "id=$id', 'spam')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_report . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/report-spam.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_report . "\">");
        } else {
            print($lang_link_report);
        }
        print("</a>\n&nbsp;&nbsp;&nbsp;");

        // RESCUE HAM button
        print("<a href=\"javascript:itemAction('spam-quarantine.php" . $msid . "id=$id', 'ham')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_rescue . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/rescue-item.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_rescue . "\">");
        } else {
            print($lang_link_rescue);
        }
        print("</a>&nbsp;&nbsp;&nbsp;");

        // DELETE button
        print("<a href=\"javascript:itemAction('spam-quarantine.php" . $msid . "id=$id', 'delete')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_delete . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/delete-item.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_delete . "\">");
        } else {
            print($lang_link_delete);
        }
        print("</a>&nbsp;&nbsp;&nbsp;");

    } elseif ($type == "fn") {

    	// REPORT SPAM button
        print("<a href=\"javascript:itemAction('ham-cache.php" . $msid . "id=$id', 'spam')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_report . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/report-spam.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_report . "\">");
        } else {
            print($lang_link_report);
        }
        print("</a>\n&nbsp;&nbsp;&nbsp;");

        // CONFIRM HAM button
        print("<a href=\"javascript:itemAction('ham-cache.php" . $msid . "id=$id', 'ham')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_confirm_ham . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/ham.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_confirm_ham . "\">");
        } else {
            print($lang_link_confirm_ham);
        }
        print("</a>&nbsp;&nbsp;&nbsp;");

        // DELETE button
        print("<a href=\"javascript:itemAction('ham-cache.php" . $msid . "id=$id', 'delete')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_delete . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/delete-item.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_delete . "\">");
        } else {
            print($lang_link_delete);
        }
        print("</a>&nbsp;&nbsp;&nbsp;");

    } elseif ($type == "virus") {

        // RESCUE HAM button
        print("<a href=\"javascript:itemAction('virus-quarantine.php" . $msid . "id=$id', 'ham')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_rescue . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/rescue-item.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_rescue . "\">");
        } else {
            print($lang_link_rescue);
        }
        print("</a>&nbsp;&nbsp;&nbsp;");

        // DELETE button
        print("<a href=\"javascript:itemAction('virus-quarantine.php" . $msid . "id=$id', 'delete')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_delete . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/delete-item.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_delete . "\">");
        } else {
            print($lang_link_delete);
        }
        print("</a>&nbsp;&nbsp;&nbsp;");

    } elseif ($type == "banned_file") {

        // RESCUE HAM button
        print("<a href=\"javascript:itemAction('attachment-quarantine.php" . $msid . "id=$id', 'ham')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_rescue . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/rescue-item.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_rescue . "\">");
        } else {
            print($lang_link_rescue);
        }
        print("</a>&nbsp;&nbsp;&nbsp;");

        // DELETE button
        print("<a href=\"javascript:itemAction('attachment-quarantine.php" . $msid . "id=$id', 'delete')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_delete . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/delete-item.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_delete . "\">");
        } else {
            print($lang_link_delete);
        }
        print("</a>&nbsp;&nbsp;&nbsp;");

    } elseif ($type == "bad_header") {

        // RESCUE HAM button
        print("<a href=\"javascript:itemAction('header-quarantine.php" . $msid . "id=$id', 'ham')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_rescue . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/rescue-item.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_rescue . "\">");
        } else {
            print($lang_link_rescue);
        }
        print("</a>&nbsp;&nbsp;&nbsp;");

        // DELETE button
        print("<a href=\"javascript:itemAction('header-quarantine.php" . $msid . "id=$id', 'delete')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_delete . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/delete-item.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_delete . "\">");
        } else {
            print($lang_link_delete);
        }
        print("</a>&nbsp;&nbsp;&nbsp;");

    }

    if (!$raw) {
        print("<a href=\"viewmail.php" . $msid . "id=" . $id . "&type=" . $type . "&raw=y\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_view_raw . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/view-raw.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_view_raw . "\">");
        } else {
            print($lang_link_view_raw);
        }
        print("</a>\n");
    } else {
        print("<a href=\"viewmail.php" . $msid . "id=" . $id . "&type=" . $type . "\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_view_decoded . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/view-decoded.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_view_decoded . "\">");
        } else {
            print($lang_link_view_decoded);
        }
        print("</a>\n");
    }
?>
</td>
</tr>

<tr>
<td class="<?php print($bodyclass); ?>" align="left" width="100%">
<?php
       display_spam_report($id);

       if (!$raw) {

          // Try to decode the mail and display all of its parts.
          $mail = new Mail_mimeDecode((get_magic_quotes_gpc() ? stripslashes($contents) : $contents));
          $args['include_bodies'] = true;
          $args['decode_bodies'] = true;
          $args['decode_headers'] = true;
          $structure = $mail->decode($args);
          display_parts($structure);

       } else {

          // Strip out the X-Envelope-To: header for privacy
          $contents = preg_replace("/X-Envelope-To:(.*)\n/i", "", $contents);

          // Dump the raw contents of the e-mail, making sure to
          // escape any HTML tags it might contain, so the raw source
          // gets displayed.
          print("<pre>" . htmlentities(wordwrap($contents, 70)) . "</pre>");

       }
?>
</td>
</tr>

<tr>
<td class="topbanner4" align="center" valign="top">
<?php
    if ($type == "fp") {

    	// CONFIRM SPAM button
        print("<a href=\"javascript:itemAction('spam-quarantine.php" . $msid . "id=$id', 'spam')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_report . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/report-spam.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_report . "\">");
        } else {
            print($lang_link_report);
        }
        print("</a>\n&nbsp;&nbsp;&nbsp;");

        // RESCUE HAM button
        print("<a href=\"javascript:itemAction('spam-quarantine.php" . $msid . "id=$id', 'ham')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_rescue . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/rescue-item.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_rescue . "\">");
        } else {
            print($lang_link_rescue);
        }
        print("</a>&nbsp;&nbsp;&nbsp;");

        // DELETE button
        print("<a href=\"javascript:itemAction('spam-quarantine.php" . $msid . "id=$id', 'delete')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_delete . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/delete-item.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_delete . "\">");
        } else {
            print($lang_link_delete);
        }
        print("</a>&nbsp;&nbsp;&nbsp;");

    } elseif ($type == "fn") {

    	// REPORT SPAM button
        print("<a href=\"javascript:itemAction('ham-cache.php" . $msid . "id=$id', 'spam')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_report . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/report-spam.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_report . "\">");
        } else {
            print($lang_link_report);
        }
        print("</a>\n&nbsp;&nbsp;&nbsp;");

        // CONFIRM HAM button
        print("<a href=\"javascript:itemAction('ham-cache.php" . $msid . "id=$id', 'ham')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_confirm_ham . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/ham.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_confirm_ham . "\">");
        } else {
            print($lang_link_confirm_ham);
        }
        print("</a>&nbsp;&nbsp;&nbsp;");

        // DELETE button
        print("<a href=\"javascript:itemAction('ham-cache.php" . $msid . "id=$id', 'delete')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_delete . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/delete-item.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_delete . "\">");
        } else {
            print($lang_link_delete);
        }
        print("</a>&nbsp;&nbsp;&nbsp;");

    } elseif ($type == "virus") {

        // RESCUE HAM button
        print("<a href=\"javascript:itemAction('virus-quarantine.php" . $msid . "id=$id', 'ham')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_rescue . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/rescue-item.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_rescue . "\">");
        } else {
            print($lang_link_rescue);
        }
        print("</a>&nbsp;&nbsp;&nbsp;");

        // DELETE button
        print("<a href=\"javascript:itemAction('virus-quarantine.php" . $msid . "id=$id', 'delete')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_delete . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/delete-item.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_delete . "\">");
        } else {
            print($lang_link_delete);
        }
        print("</a>&nbsp;&nbsp;&nbsp;");

    } elseif ($type == "banned_file") {

        // RESCUE HAM button
        print("<a href=\"javascript:itemAction('attachment-quarantine.php" . $msid . "id=$id', 'ham')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_rescue . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/rescue-item.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_rescue . "\">");
        } else {
            print($lang_link_rescue);
        }
        print("</a>&nbsp;&nbsp;&nbsp;");

        // DELETE button
        print("<a href=\"javascript:itemAction('attachment-quarantine.php" . $msid . "id=$id', 'delete')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_delete . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/delete-item.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_delete . "\">");
        } else {
            print($lang_link_delete);
        }
        print("</a>&nbsp;&nbsp;&nbsp;");

    } elseif ($type == "bad_header") {

        // RESCUE HAM button
        print("<a href=\"javascript:itemAction('header-quarantine.php" . $msid . "id=$id', 'ham')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_rescue . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/rescue-item.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_rescue . "\">");
        } else {
            print($lang_link_rescue);
        }
        print("</a>&nbsp;&nbsp;&nbsp;");

        // DELETE button
        print("<a href=\"javascript:itemAction('header-quarantine.php" . $msid . "id=$id', 'delete')\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_delete . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/delete-item.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_delete . "\">");
        } else {
            print($lang_link_delete);
        }
        print("</a>&nbsp;&nbsp;&nbsp;");

    }

    if (!$raw) {
        print("<a href=\"viewmail.php" . $msid . "id=" . $id . "&type=" . $type . "&raw=y\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_view_raw . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/view-raw.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_view_raw . "\">");
        } else {
            print($lang_link_view_raw);
        }
        print("</a>\n");
    } else {
        print("<a href=\"viewmail.php" . $msid . "id=" . $id . "&type=" . $type . "\" " .
              "onmouseover=\"show_tooltip(this, event, '" . $lang_link_view_decoded . "')\" " .
              "onmouseout=\"hide_tooltip()\">");
        if ($use_icons) {
            print("<img src=\"images/view-decoded.png\" border=\"0\" " .
                  "alt=\"" . $lang_link_view_decoded . "\">");
        } else {
            print($lang_link_view_decoded);
        }
        print("</a>\n");
    }
?>
</td>
</tr>

<?php
   } else {
       // Error!  Mail doesn't belong to this user!
       print("<div align=\"center\">\n");
       print("<table border=\"0\" cellspacing=\"2\" cellpadding=\"2\">\n");
       print("<tr>\n");
       print("<td class=\"messagebox\" align=\"center\">\n");
       print($lang_error_unauthorized);
       print("</td>\n");
       print("</tr></table></div>\n");
   }
   $sth->free();

?>
</td>
</tr>

</table>
</div><br>
</form>

<?php display_html_foot(); ?>