<?php
    /*
     * $Id: wblist.php,v 1.3 2004/01/31 22:56:05 rjl Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

    require_once ("config.php");
    require_once ("authcheck.php");
    require_once ("display.php");
    require_once ("db.php");
    $display_language = get_display_language($euid);
    $html_charset = get_html_charset($euid);
    require_once ("./locale/$display_language/display.php");
    require_once ("./locale/$display_language/db.php");
    require_once ("./locale/$display_language/wblist.php");

    display_html_head($lang_banner_subtitle, $display_language, $html_charset);
    display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
?>

<form method="post" action="xwblist.php<?php print($sid); ?>" name="wblist">
<div align="center">
<table border="0" cellspacing="2" cellpadding="2">

<tr>
<td class="menubody">
<?php print($lang_text_address_to_add); ?>:
</td>
<td class="menubody">
<input type="text" name="newaddr" value="" size="40">
</td>
</tr>

<tr>
<td class="menubody">
<?php print($lang_text_list_to_add_to); ?>:
</td>
<td class="menubody">
<input type="radio" name="list" value="W" checked>&nbsp;<?php print($lang_radio_button_whitelist); ?>&nbsp;&nbsp;&nbsp;
<input type="radio" name="list" value="B">&nbsp;<?php print($lang_radio_button_blacklist); ?>&nbsp;&nbsp;
</td>
</tr>

<tr>
<td class="menubody" colspan="2" align="center">
<input type="submit" name="addaddress" value=" <?php print($lang_button_add_to_list); ?> ">
</td>
</tr>

</table>
</div><br>

<?php

    $select = "SELECT mailaddr.email, mailaddr.id, wblist.wb " .
              "FROM mailaddr, wblist " .
              "WHERE mailaddr.id = wblist.sid " .
              "AND wblist.rid = ? " .
              "ORDER BY mailaddr.email ASC";

    $sth = $dbh->query($select, array($euid));

    if ($sth->numRows() > 0) {
?>

<div align="center">
<table border="0" cellspacing="2" cellpadding="2">

<tr>
<th class="menuheader"><?php print($lang_header_address); ?></th>
<th class="menuheader"><?php print($lang_header_whitelist); ?></th>
<th class="menuheader"><?php print($lang_header_blacklist); ?></th>
<th class="menuheader"><?php print($lang_header_remove); ?></th>
</tr>

<?php
      while ($row = $sth->fetchRow())
      {
         if ($row["wb"] == "W") {
            $wselected = "checked";
            $bselected = "";
         } else {
            $wselected = "";
            $bselected = "checked";
         }
?>

<tr>
<td class="menubody"><?php print($row["email"]); ?></td>
<td class="whitelist" align="center"><input type="radio" name="<?php print("add" . $row["id"]); ?>" . " value="W" <?php print($wselected); ?>></td>
<td class="blacklist" align="center"><input type="radio" name="<?php print("add" . $row["id"]); ?>" . " value="B" <?php print($bselected); ?>></td>
<td class="remove" align="center"><input type="radio" name="<?php print("add" . $row["id"]); ?>" . " value="R"></td>
</tr>

<?php
      }
?>

<tr>
<td class="menubody" colspan="4" align="center">
<input type="submit" name="addchange" value=" <?php print($lang_button_update); ?> ">&nbsp;&nbsp;&nbsp;
<input type="reset" name="reset" value=" Reset ">
</td>
</tr>

</table>
</div><br>

<?php
   }
   $sth->free();
?>

</form>

<?php display_html_foot(); ?>