<?php
    /*
     * $Id: welcome.php,v 1.4 2004/01/29 01:58:32 dmorton Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

    require_once ("config.php");
    require_once ("db.php");
    require_once ("authcheck.php");
    require_once ("display.php");
    $display_language = get_display_language($euid);
    $html_charset = get_html_charset($euid);
    require_once ("./locale/$display_language/db.php");
    require_once ("./locale/$display_language/display.php");
    require_once ("./locale/$display_language/stats.php");

    if (isset($HTTP_GET_VARS["id"])) {
        $id = trim($HTTP_GET_VARS["id"]);
        if (($id != 0) && (!is_an_administrator($uid))) {
            $id = $euid;
        }
    } else {
        $id = $euid;
    }
    
    
    
    // Count the suspected spam
    $select = "SELECT COUNT(maia_mail.id) AS spamcount, " .
                     "MAX(maia_mail.id) AS maxspamid " .
              "FROM maia_mail, maia_mail_recipients " .
              "WHERE maia_mail.id = maia_mail_recipients.mail_id " .
              "AND maia_mail_recipients.type = 'S' " .
              "AND maia_mail_recipients.recipient_id = ?";
    $sth = $dbh->query($select, array($euid));
    if ($row = $sth->fetchrow()) {
        $spamcount = $row["spamcount"];
        $maxspamid = $row["maxspamid"];
    } else {
        $spamcount = 0;
        $maxspamid = 0;
    }
    $sth->free();

    // Count the viruses/malware
    $select = "SELECT COUNT(maia_mail.id) AS viruscount, " .
                     "MAX(maia_mail.id) AS maxvirusid " .
              "FROM maia_mail, maia_mail_recipients " .
              "WHERE maia_mail.id = maia_mail_recipients.mail_id " .
              "AND maia_mail_recipients.type = 'V' " .
              "AND maia_mail_recipients.recipient_id = ?";
    $sth = $dbh->query($select, array($euid));
    if ($row = $sth->fetchrow()) {
        $viruscount = $row["viruscount"];
        $maxvirusid = $row["maxvirusid"];
    } else {
        $viruscount = 0;
        $maxvirusid = 0;
    }
    $sth->free();

    // Count the banned file attachments
    $select = "SELECT COUNT(maia_mail.id) AS bannedcount, " .
                     "MAX(maia_mail.id) AS maxbannedid " .
              "FROM maia_mail, maia_mail_recipients " .
              "WHERE maia_mail.id = maia_mail_recipients.mail_id " .
              "AND maia_mail_recipients.type = 'F' " .
              "AND maia_mail_recipients.recipient_id = ?";
    $sth = $dbh->query($select, array($euid));
    if ($row = $sth->fetchrow()) {
        $bannedcount = $row["bannedcount"];
        $maxbannedid = $row["maxbannedid"];
    } else {
        $bannedcount = 0;
        $maxbannedid = 0;
    }
    $sth->free();

    // Count the bad header items
    $select = "SELECT COUNT(maia_mail.id) AS headercount, " .
                     "MAX(maia_mail.id) AS maxheaderid " .
              "FROM maia_mail, maia_mail_recipients " .
              "WHERE maia_mail.id = maia_mail_recipients.mail_id " .
              "AND maia_mail_recipients.type = 'B' " .
              "AND maia_mail_recipients.recipient_id = ?";
    $sth = $dbh->query($select, array($euid));
    if ($row = $sth->fetchrow()) {
        $headercount = $row["headercount"];
        $maxheaderid = $row["maxheaderid"];
    } else {
        $headercount = 0;
        $maxheaderid = 0;
    }
    $sth->free();
    
     // Count the suspected ham
    $select = "SELECT COUNT(maia_mail.id) AS hamcount, " .
                     "MAX(maia_mail.id) AS maxhamid " .
              "FROM maia_mail, maia_mail_recipients " .
              "WHERE maia_mail.id = maia_mail_recipients.mail_id " .
              "AND maia_mail_recipients.type = 'H' " .
              "AND maia_mail_recipients.recipient_id = ?";
    $sth = $dbh->query($select, array($euid));
    if ($row = $sth->fetchrow()) {
        $hamcount = $row["hamcount"];
        $maxhamid = $row["maxhamid"];
    } else {
        $hamcount = 0;
        $maxhamid = 0;
    }
    $sth->free();
    
    
    
    
    
    
    
    
    
    
    
    
    
    

    display_html_head($lang_banner_subtitle, $display_language, $html_charset);
    display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
?>

<div id=welcome><h1>Welcome to Maia Mailguard!</h1></div>
<br>
<div><p>If this is the first time a user has logged in, display welcome message here.</p>
   <p>Click here to set up default user settings. (If setting match system default, prompt to turn on, else prompt to reset or turn off.)</p>
   
</div>
<div id="quickview"><h2>Current Cache Contents</h2>
<span class="quickviewitem">You have <?php echo $hamcount; ?> messages in your ham cache</span>
<span class="quickviewitem">Click <? if ($use_icons) {
                 print("<a href=\"quarantine.php" . $sid . "\" " .
                       "onmouseover=\"show_tooltip(this, event, '" . $lang_menu_quarantine . "')\" " .
                       "onmouseout=\"hide_tooltip()\"><img src=\"images/quarantine.png\" border=\"0\" " .
                       "alt=\"" . $lang_menu_quarantine . "\"></a>\n");
             } else {
                 print("<a href=\"quarantine.php" . $sid . "\">[" . $lang_menu_quarantine . "]</a>\n");
             } ?> to confirm these messages as valid or report spam that got through.</span><br><br>
<span class="quickviewitem">You have <?php echo $spamcount + $viruscount + $headercount + $bannedcount; ?> messages in your quarantine area</span>
<span class="quickviewitem">Click <? 
                 if ($use_icons) {
                     print("<a href=\"reportspam.php" . $sid . "\" " .
                           "onmouseover=\"show_tooltip(this, event, '" . $lang_menu_report . "')\" " .
                           "onmouseout=\"hide_tooltip()\"><img src=\"images/report-spam.png\" border=\"0\" " .
                           "alt=\"" . $lang_menu_report . "\"></a>\n");
                 } else {
                     print("<a href=\"reportspam.php" . $sid . "\">[" . $lang_menu_report . "]</a>\n");
                 }
		 ?>to report quarantined spam or rescue email if it was quarantined incorrectly.</span>
</div>

<div>Some stats wanted on this screen:
<ul>SPAM blocked for this user</ul>
<ul>Viruses blocked to this user</ul>
<ul>Spam blocked systemwide</ul>
<ul>Viruses blocked systemwide</ul> 






<?php
    update_mail_stats($id, "suspected_ham");
    update_mail_stats($id, "suspected_spam");
    # display_stats_summary($id, false, $sid, $msid);
    display_html_foot();
?>