<?php
    /*
     * $Id: xadmindomains.php,v 1.2 2004/01/31 18:59:11 rjl Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

    require_once ("config.php");
    require_once ("db.php");
    require_once ("authcheck.php");
    require_once ("mailtools.php");

    // Only the superadmin should be here.
    if (!is_superadmin($uid)) {
       header("Location: index.php" . $sid);
       exit();
    }

    // Find out which button we pushed to get here
    if (isset($HTTP_POST_VARS["adddomain"])) {

    	// Don't trust the admin to have remembered to
    	// start the domain with '@'.
    	$domain_name = strtolower(trim($HTTP_POST_VARS["newdomain"]));
    	if (!preg_match("/^@.*$/", $domain_name)) {
    	    $domain_name = "@" . $domain_name;
    	}

    	// Only add domains that are syntactically valid
    	if (preg_match("/^(@.+\..+)$/", $domain_name)) {

            // Add the domain to the maia_domains table
            $insert = "INSERT INTO maia_domains (domain) VALUES (?)";
            $dbh->query($insert, array($domain_name));
            $select = "SELECT id FROM maia_domains WHERE domain = ?";
            $sth = $dbh->query($select, array($domain_name));
            if ($row = $sth->fetchrow()) {
                $domain_id = $row["id"];
            }
            $sth->free();

            // Add a new policy for the domain, based on the
            // system defaults.
            $select = "SELECT virus_lover, " .
                             "spam_lover, " .
                             "banned_files_lover, " .
                             "bad_header_lover, " .
                             "bypass_virus_checks, " .
                             "bypass_spam_checks, " .
                             "bypass_banned_checks, " .
                             "bypass_header_checks, " .
                             "spam_modifies_subj, " .
                             "spam_tag_level, " .
                             "spam_tag2_level, " .
                             "spam_kill_level " .
                      "FROM policy WHERE policy_name = 'Default'";
            $sth = $dbh->query($select);
            if ($row = $sth->fetchrow()) {
                $virus_lover = $row["virus_lover"];
                $spam_lover = $row["spam_lover"];
                $bad_header_lover = $row["bad_header_lover"];
                $banned_files_lover = $row["banned_files_lover"];
                $bypass_virus_checks = $row["bypass_virus_checks"];
                $bypass_spam_checks = $row["bypass_spam_checks"];
                $bypass_banned_checks = $row["bypass_banned_checks"];
                $bypass_header_checks = $row["bypass_header_checks"];
                $spam_modifies_subj = $row["spam_modifies_subj"];
                $spam_tag_level = $row["spam_tag_level"];
                $spam_tag2_level = $row["spam_tag2_level"];
                $spam_kill_level = $row["spam_kill_level"];
            }
            $sth->free();
            $insert = "INSERT INTO policy (policy_name, " .
                                          "virus_lover, " .
                                          "spam_lover, " .
                                          "banned_files_lover, " .
                                          "bad_header_lover, " .
                                          "bypass_virus_checks, " .
                                          "bypass_spam_checks, " .
                                          "bypass_banned_checks, " .
                                          "bypass_header_checks, " .
                                          "spam_modifies_subj, " .
                                          "spam_tag_level, " .
                                          "spam_tag2_level, " .
                                          "spam_kill_level" .
                      ") VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)";
            $dbh->query($insert, array($domain_name,
                                       $virus_lover,
                                       $spam_lover,
                                       $banned_files_lover,
                                       $bad_header_lover,
                                       $bypass_virus_checks,
                                       $bypass_spam_checks,
                                       $bypass_banned_checks,
                                       $bypass_header_checks,
                                       $spam_modifies_subj,
                                       $spam_tag_level,
                                       $spam_tag2_level,
                                       $spam_kill_level));
            $select = "SELECT id FROM policy WHERE policy_name = ?";
            $sth = $dbh->query($select, array($domain_name));
            if ($row = $sth->fetchRow()) {
                $policy_id = $row["id"];
            }
            $sth->free();

            // Add the domain address to the users table
            $priority = get_email_address_priority($domain_name);
  	    $insert = "INSERT INTO users (policy_id, email, priority, maia_user_id, maia_domain_id) VALUES (?,?,?,0,?)";
  	    $dbh->query($insert, array($policy_id, $domain_name, $priority, $domain_id));
  	    $select = "SELECT id FROM users WHERE email = ?";
  	    $sth = $dbh->query($select, array($domain_name));
  	    if ($row = $sth->fetchrow()) {
  	        $primary_email_id = $row["id"];
  	    }
  	    $sth->free();

  	    // Add a domain default user to the maia_users table
  	    $insert = "INSERT INTO maia_users (user_name, primary_email_id, reminders) VALUES (?, ?, 'N')";
  	    $dbh->query($insert, array($domain_name, $primary_email_id));
  	    $select = "SELECT id FROM maia_users WHERE user_name = ?";
  	    $sth = $dbh->query($select, array($domain_name));
  	    if ($row = $sth->fetchrow()) {
  	        $maia_user_id = $row["id"];
  	    }
  	    $sth->free();

  	    // Update the users table to link the e-mail address back to the domain
  	    $update = "UPDATE users SET maia_user_id = ? WHERE id = ?";
  	    $dbh->query($update, array($maia_user_id, $primary_email_id));

    	}

    } elseif (isset($HTTP_POST_VARS["delete"])) {

        // Register the full set of POST variables.
        foreach($HTTP_POST_VARS as $varname => $value)
        {
            $formVars[$varname] = trim($value);
        }

        // Don't allow the system default (@.) to be removed
        $select = "SELECT domain, id " .
                  "FROM maia_domains " .
                  "WHERE domain <> '@.'";
        $sth = $dbh->query($select);

        while ($row = $sth->fetchrow()) {

            $domain_name = $row["domain"];
            $domain_id = $row["id"];
            $domain_var_name = str_replace(".", "_", $domain_name);

            if (isset($formVars[$domain_var_name]) && trim($formVars[$domain_var_name]) == $domain_id) {
                delete_domain($domain_id);
            }
        }

        $sth->free();

    }

    // Return to the language administration page
    header("Location: admindomains.php" . $sid);
    exit();
?>