<?php
    /*
     * $Id: xadminlanguages.php,v 1.3 2004/07/01 00:25:34 rjl Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

    require_once ("config.php");
    require_once ("db.php");
    require_once ("authcheck.php");

    // Only the superadministrator should be here.
    if (!is_superadmin($uid)) {
       header("Location: index.php" . $sid);
       exit();
    }

    // Find out which button we pushed to get here
    if (isset($HTTP_POST_VARS["install"])) {

    	$lang_abbrev = strtolower(trim($HTTP_POST_VARS["language"]));

    	// Make sure the language files are actually installed
        $lang_dir = getcwd();
        if (preg_match("/.*\/$/si", $lang_dir)) {
            $lang_dir .= "locale";
        } else {
    	    $lang_dir .= "/locale";
        }
        $d = dir($lang_dir);

        // Make the language available to users
        if (is_dir($lang_dir . "/" . $lang_abbrev)) {
            $update = "UPDATE maia_languages SET installed = 'Y' WHERE abbreviation = ?";
            $dbh->query($update, array($lang_abbrev));
        }
        $d->close();

    } elseif (isset($HTTP_POST_VARS["uninstall"])) {

        // Register the full set of POST variables.
        foreach($HTTP_POST_VARS as $varname => $value)
        {
            $formVars[$varname] = trim($value);
        }

        // Don't allow the default language to be removed
        $select = "SELECT language_name, abbreviation, id " .
                  "FROM maia_languages " .
                  "WHERE installed = 'Y' AND abbreviation <> ?";
        $sth = $dbh->query($select, array(strtolower($default_display_language)));

        while ($row = $sth->fetchrow()) {

            $lang_name = $row["language_name"];
            $lang_abbrev = strtolower($row["abbreviation"]);
            $lang_id = $row["id"];

            if (isset($formVars[$lang_abbrev]) && trim($formVars[$lang_abbrev]) == $lang_id) {

                // Make this language unavailable to users
         	$update = "UPDATE maia_languages SET installed = 'N' WHERE id = ?";
        	$dbh->query($update, array($lang_id));

        	// Reset all users who used this language to the default
        	$update = "UPDATE maia_users SET language = ? WHERE language = ?";
        	$dbh->query($update, array($default_display_language, $lang_abbrev));
                $_SESSION["display_language"] = $default_display_language;
                $_SESSION["html_charset"] = $default_charset;
            }
        }

        $sth->free();

    }

    // Return to the language administration page
    header("Location: adminlanguages.php" . $sid);
    exit();
?>