<?php
    /*
     * $Id: xadminusers.php,v 1.4 2004/03/03 11:26:21 rjl Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

    require_once ("config.php");
    require_once ("db.php");
    require_once ("authcheck.php");
    require_once ("mailtools.php");
    require_once ("display.php");
    require_once ("smtp.php");
    $display_language = get_display_language($euid);
    $html_charset = get_html_charset($euid);
    require_once ("./locale/$display_language/db.php");
    require_once ("./locale/$display_language/display.php");
    require_once ("./locale/$display_language/smtp.php");
    require_once ("./locale/$display_language/adminusers.php"); // shared with adminusers.php

    // Only administrators should be here.
    if (!is_an_administrator($uid)) {
       header("Location: index.php" . $sid);
       exit();
    }

    $super = is_superadmin($uid);

    // Find out which button we pushed to get here
    if (isset($HTTP_POST_VARS["button_add"])) {

        display_html_head($lang_banner_subtitle, $display_language, $html_charset);
        display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
        print("<div align=\"center\">\n");
        print("<table border=\"0\" cellspacing=\"2\" cellpadding=\"2\">\n");
        print("<tr><td align=\"center\" class=\"messagebox\">");
        if (isset($HTTP_POST_VARS["new_email"])) {

            $new_email = trim($HTTP_POST_VARS["new_email"]);

            // Rewrite the e-mail address as necessary for POP3/IMAP, to make
            // it match the routing address provided by the MTA-RX.
            if ($auth_method == "pop3" && !empty($routing_domain)) {
            	$username = get_user_from_email($new_email);
                $new_email = $username . "@" . $routing_domain;
            } elseif ($auth_method == "imap") {
            	$new_email = get_rewritten_email_address($new_email, $address_rewriting_type);
            	$username = get_user_from_email($new_email);
            } elseif ($auth_method == "internal") {
            	$new_email = get_rewritten_email_address($new_email, $address_rewriting_type);
                $username = $new_email;
            } else {
            	$username = get_user_from_email($new_email);
            }
            $bad_user = empty($username);

            if (!$super && !$bad_user) {

            	// Make sure the new address is in a domain that
            	// this administrator controls.
                $domain = "@" . get_domain_from_email($new_email);
                $select = "SELECT id " .
                          "FROM maia_domains, maia_domain_admins " .
                          "WHERE maia_domains.id = maia_domain_admins.domain_id " .
                          "AND maia_domain_admins.admin_id = ? " .
                          "AND maia_domains.domain = ?";
                $sth = $dbh->query($select, array($uid, $domain));
                $bad_domain = !$sth->fetchrow();
                $sth->free();
            }

            if (($super || !$bad_domain) && !$bad_user) {

                // Only add the new address if it doesn't already exist.
                $select = "SELECT maia_user_id FROM users WHERE email = ?";
                $sth = $dbh->query($select, array($new_email));
                if (!$sth->fetchrow()) {

                    $new_user_id = add_user($username, $new_email);

                    if ($auth_method == "internal") {

                    	// Generate a random password and assign it to the new user
                    	list($password, $digest) = generate_random_password();
                    	$update = "UPDATE maia_users SET password = ? WHERE id = ?";
                    	$dbh->query($update, array($digest, $new_user_id));

                    	// Expand the newuser.tpl template to e-mail the new user his
                    	// temporary login credentials.
                    	$select = "SELECT admin_email, newuser_template_file, reminder_login_url, internal_auth FROM maia_config WHERE id = 0";
                    	$sth2 = $dbh->query($select);
                    	if ($row = $sth2->fetchrow()) {
                    	    $admin_email = $row["admin_email"];
                    	    $template_file = $row["newuser_template_file"];
                    	    $login_url = $row["reminder_login_url"];
                    	    $issue_password = ($row["internal_auth"] == "Y");
                    	}
                    	$sth2->free();
                    	if ($issue_password) {
                    	    $fh = fopen($template_file, "r");
                    	    $body = fread($fh, filesize($template_file));
                    	    fclose($fh);
                    	    $headers = "From: " . $lang_text_from . " <" . $admin_email . ">\n";
                    	    $headers .= "To: " . $new_email . "\n";
                    	    $headers .= "Subject: " . $lang_text_email_subject . "\n";
                            $headers .= "\n";
                    	    $body = preg_replace("/%%ADMINEMAIL%%/", $admin_email, $body);
                    	    $body = preg_replace("/%%LOGIN%%/", $username, $body);
                    	    $body = preg_replace("/%%PASSWORD%%/", $password, $body);
                    	    $body = preg_replace("/%%LOGINURL%%/", $login_url, $body);
                            smtp_send($admin_email, $new_email, $headers . $body);
                        }
                    }

                }
                $sth->free();

                printf($lang_text_address_added, $new_email);
            } else {
                printf($lang_text_address_not_added, $new_email);
            }

        } else {
            printf($lang_text_address_not_added, $new_email);
        }
       print("</td></tr>\n");
        print("</table></div>\n");
        print("<p>&nbsp;</p>\n");
        print("<div align=\"center\">\n");
        print("<a href=\"adminusers.php" . $sid . "\">" . $lang_link_users_menu . "</a>\n");
        print("</div>\n");
        display_html_foot();

    } elseif (isset($HTTP_POST_VARS["button_delete_email"])) {

        display_html_head($lang_banner_subtitle, $display_language, $html_charset);
        display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
        print("<div align=\"center\">\n");
        print("<table border=\"0\" cellspacing=\"2\" cellpadding=\"2\">\n");
        print("<tr><td align=\"center\" class=\"messagebox\">");
        if (isset($HTTP_POST_VARS["delete_email"])) {

            // Note that $delete_email is an array
            $delete_email = $HTTP_POST_VARS["delete_email"];

            $delete_failed = false;
            foreach ($delete_email as $email_id) {

            	// Find out who owns this e-mail address.
                $owner_id = get_email_address_owner($email_id);
                $primary_email_id = get_primary_email_id($owner_id);

            	// Delete this email address, but only if it
            	// is NOT the user's primary address.
            	if ($email_id != $primary_email_id) {
        	    delete_email_address($email_id);


                    // If the owner of this address owns no other addresses,
                    // delete the owner's user record and references.
                    $select = "SELECT id FROM users WHERE maia_user_id = ?";
                    $sth = $dbh->query($select, array($owner_id));
                    if (!$sth->fetchrow()) {
                        delete_user($owner_id);
                    }
                } else {

                    // At least one address could not be deleted.
                    $delete_failed = true;
                }
            }
            if ($delete_failed) {
            	print($lang_text_address_not_deleted);
            } else {
            	print($lang_text_address_deleted);
            }
        } else {
            print($lang_text_address_not_deleted);
        }
        print("</td></tr>\n");
        print("</table></div>\n");
        print("<p>&nbsp;</p>\n");
        print("<div align=\"center\">\n");
        print("<a href=\"adminusers.php" . $sid . "\">" . $lang_link_users_menu . "</a>\n");
        print("</div>\n");
        display_html_foot();

    } elseif (isset($HTTP_POST_VARS["button_delete_user"])) {

        display_html_head($lang_banner_subtitle, $display_language, $html_charset);
        display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
        print("<div align=\"center\">\n");
        print("<table border=\"0\" cellspacing=\"2\" cellpadding=\"2\">\n");
        print("<tr><td align=\"center\" class=\"messagebox\">");
        if (isset($HTTP_POST_VARS["del_user"])) {

            // Note that $del_user is an array
            $delete_user = $HTTP_POST_VARS["del_user"];

            foreach ($delete_user as $user_id) {
            	if (!is_a_domain_default_user($user_id)) {
                    delete_user($user_id);
                }
            }
            print($lang_text_user_deleted);
        } else {
            print($lang_text_user_not_deleted);
        }
        print("</td></tr>\n");
        print("</table></div>\n");
        print("<p>&nbsp;</p>\n");
        print("<div align=\"center\">\n");
        print("<a href=\"adminusers.php" . $sid . "\">" . $lang_link_users_menu . "</a>\n");
        print("</div>\n");
        display_html_foot();

    } elseif (isset($HTTP_POST_VARS["button_link"])) {

        display_html_head($lang_banner_subtitle, $display_language, $html_charset);
        display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
        print("<div align=\"center\">\n");
        print("<table border=\"0\" cellspacing=\"2\" cellpadding=\"2\">\n");
        if (isset($HTTP_POST_VARS["email"]) && isset($HTTP_POST_VARS["user"])) {

            // Note that $email is an array
            $email = $HTTP_POST_VARS["email"];
            $new_owner_id = trim($HTTP_POST_VARS["user"]);
            foreach ($email as $address_id) {
            	$old_owner_id = get_email_address_owner($address_id);
            	$email_address = get_email_address_by_id($address_id);
            	transfer_email_address_to_user($old_owner_id, $new_owner_id, $email_address);
                print("<tr><td align=\"center\" class=\"messagebox\">");
                printf($lang_text_address_linked, $email_address, get_user_name($new_owner_id));
                print("</td></tr>\n");
            }
            print("</table></div>\n");
            print("<p>&nbsp;</p>\n");
        } else {
            print("<tr><td align=\"center\" class=\"messagebox\">");
            print($lang_text_address_not_linked);
            print("</td></tr>\n");
        }
        print("</table></div>\n");
        print("<p>&nbsp;</p>\n");
        print("<div align=\"center\">\n");
        print("<a href=\"adminusers.php" . $sid . "\">" . $lang_link_users_menu . "</a>\n");
        print("</div>\n");
        display_html_foot();

    } elseif (isset($HTTP_POST_VARS["button_find"])) {

        display_html_head($lang_banner_subtitle, $display_language, $html_charset);
        display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
        print("<div align=\"center\">\n");
        print("<table border=\"0\" cellspacing=\"2\" cellpadding=\"2\" width=\"600\">\n");
        if (isset($HTTP_POST_VARS["lookup"])) {
            $lookup = trim($HTTP_POST_VARS["lookup"]);
            $lookup = str_replace("*", ".*", $lookup);
            $lookup = "/^" . $lookup . "$/";

            if (!$super) {

    	        // Make a list of the domains this administrator can access.
                $select = "SELECT domain " .
                          "FROM maia_domains, maia_domain_admins " .
                          "WHERE maia_domains.id = maia_domain_admins.domain_id " .
                          "AND maia_domain_admins.admin_id = ? " .
                          "ORDER BY domain ASC";
                $sth = $dbh->query($select, array($uid));
                while ($row = $sth->fetchrow()) {
                    $domain_name[] = strtolower($row["domain"]);
                }
                $sth->free();

                foreach ($domain_name as $dname) {

                    // List only the Regular (U)sers with e-mail addresses within the
                    // domains administered by this admin.
                    $select = "SELECT DISTINCT maia_users.user_name, maia_users.id " .
                              "FROM maia_users, users " .
                              "WHERE maia_users.id = users.maia_user_id " .
                              "AND maia_users.user_level = 'U' " .
                              "AND users.email LIKE '%" . $dname . "' " .
                              "ORDER BY user_name ASC";
                    $sth = $dbh->query($select);
                    while ($row = $sth->fetchrow()) {
                    	if (preg_match($lookup, $row["user_name"])) {
                            $user_name[] = $row["user_name"];
                            $user_id[] = $row["id"];
                        }
                    }
                    $sth->free();
                }

            } else {

    	        // The superadmin can list all users in all domains.
               $select = "SELECT user_name, id " .
                          "FROM maia_users " .
                          "ORDER BY user_name ASC";
                $sth = $dbh->query($select);
                while ($row = $sth->fetchrow()) {
                    if (preg_match($lookup, $row["user_name"])) {
                        $user_name[] = $row["user_name"];
                        $user_id[] = $row["id"];
                    }
                }
                $sth->free();

            }

           if (count($user_name) > 0) {
            	print("<tr><td class=\"menuheader\" align=\"center\">\n");
            	printf($lang_text_user_found, count($user_name));
            	print("&nbsp;<font size=\"3\"><a href=\"adminhelp.php#impersonate" . $sid .
            	      "\" target=\"new\">[?]</a></font>");
            	print("</td></tr>\n");
            	for ($i = 0; $i < count($user_name); $i++) {
            	    print("<tr><td class=\"menubody\" align=\"center\">\n");
            	    print("<a href=\"ximpersonate.php" . $msid . "id=" . $user_id[$i] . "\">");
            	    print($user_name[$i] . "</a></td></tr>\n");
                }
            } else {
                print("<tr><td align=\"center\" class=\"messagebox\">");
                print($lang_text_user_not_found);
                print("</td></tr>\n");
            }
        } else {
            print("<tr><td align=\"center\" class=\"messagebox\">");
            print($lang_text_user_not_found);
            print("</td></tr>\n");
        }
        print("</table></div>\n");
        print("<p>&nbsp;</p>\n");
        print("<div align=\"center\">\n");
        print("<a href=\"adminusers.php" . $sid . "\">" . $lang_link_users_menu . "</a>\n");
        print("</div>\n");
        display_html_foot();
    }
?>