<?php
    /*
     * $Id: xlogin.php,v 1.6 2004/03/03 11:21:20 rjl Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

   require_once ("config.php");
   require_once ("auth.php");
   require_once ("db.php");
   require_once ("mailtools.php");
   require_once ("display.php");


   // Get the expected form variables from the POST array
   if (isset($HTTP_POST_VARS["language"])) {
      $display_language = trim($HTTP_POST_VARS["language"]);
   } else {
      $display_language = $default_display_language;
   }
   if (isset($HTTP_POST_VARS["charset"])) {
      $html_charset = trim($HTTP_POST_VARS["charset"]);
   } else {
      $html_charset = $default_charset;
   }
   if (isset($HTTP_POST_VARS["username"])) {
      $user_name = trim($HTTP_POST_VARS["username"]);
   } else {
      $user_name = "";
   }
   if (isset($HTTP_POST_VARS["pwd"])) {
      $pwd = trim($HTTP_POST_VARS["pwd"]);
      $pwd = stripslashes($pwd); // get rid of any escape characters
   } else {
      $pwd = "";
   }
   if (isset($HTTP_POST_VARS["domain"])) {
      $nt_domain = trim($HTTP_POST_VARS["domain"]);
   } else {
      $nt_domain = "";
   }
   if (isset($HTTP_POST_VARS["address"])) {
      $address = trim($HTTP_POST_VARS["address"]);
   } else {
      $address = "";
   }
   if (isset($HTTP_POST_VARS["super"])) {
      $super = trim($HTTP_POST_VARS["super"]);
   } else {
      $super = "";
   }

   require_once ("./locale/$display_language/auth.php");
   require_once ("./locale/$display_language/db.php");
   require_once ("./locale/$display_language/display.php");
   require_once ("./locale/$display_language/xlogin.php");

   if ($auth_method == "imap") {
       $imap_address = get_rewritten_email_address($address, $address_rewriting_type);
       $user_name = get_user_from_email($imap_address);
   } elseif ($auth_method == "pop3" && empty($routing_domain)) {
       $user_name = get_user_from_email($address);
   }

   list($authenticated, $email) = auth($user_name, $pwd, $address, $nt_domain);

   if ($authenticated)
   {
       session_start();

       // See if this user has an entry in the users table yet
       // and if not, create one for him (with default values).
       $uid = get_user_id($user_name, $email);
       if ($uid == 0) {
           $uid = add_user($user_name, $email);
       }
       $euid = $uid;

       // Set session variables
       $_SESSION["uid"] = $uid;
       $_SESSION["euid"] = $euid;

       // If the $super variable was set, try to process the
       // (supposed) superuser's request.
       if ($super == "register") {
           if (get_superadmin_id() == 0) {
               set_superadmin_id($uid);
   	   }
       } elseif ($super == "unregister") {
           if (is_superadmin($uid)) {
               unset_superadmin_id($uid);
          }
       }

      // First time through, we don't know whether the user's
       // browser accepts cookies, so we include the session ID
       // in the GET just in case.
       header("Location: index.php?PHPSESSID=" . session_id());
       exit();
   } else {
       $uid = 0;
       $euid = 0;
       $sid = "";
   }

   display_html_head($lang_banner_subtitle, $display_language, $html_charset);
   display_banner($lang_banner_subtitle, $uid, $euid, $sid, false);
   $admin_email = get_config_value("admin_email");
   $admin_link = "<a href=\"mailto:" . $admin_email . "\">" . $admin_email . "</a>";
?>

<div align="center">
<table border="0" cellspacing="2" cellpadding="2">
<tr>
<td valign="top" class="messagebox">
<?php printf($lang_text_login_failed1, $user_name); ?>
<a href="login.php?lang=<?php print($display_language); ?>"><?php print($lang_text_login_failed2); ?></a>
<?php printf($lang_text_login_failed3, $admin_link); ?>
</td>
</tr>
</table>
</div><br>

<?php display_html_foot(); ?>