<?php
    /*
     * $Id: xsettings.php,v 1.4 2004/06/24 09:39:04 rjl Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

    require_once ("config.php");
    require_once ("authcheck.php");
    require_once ("display.php");
    require_once ("db.php");
    require_once ("auth.php");
    $display_language = get_display_language($euid);
    $html_charset = get_html_charset($euid);
    require_once ("./locale/$display_language/display.php");
    require_once ("./locale/$display_language/db.php");
    require_once ("./locale/$display_language/settings.php"); // shared with settings.php

    // Find out which button we pressed to get here
    if (isset($HTTP_POST_VARS["submit"])) {
        $button = trim($HTTP_POST_VARS["submit"]);
        $button = stripslashes($button);
    } else {
        $button = "";
    }

    $select = "SELECT enable_charts, reminder_threshold_count, " .
                     "enable_spamtraps " .
              "FROM maia_config WHERE id = 0";
    $sth = $dbh->query($select);
    if ($row = $sth->fetchrow()) {
        $enable_charts = ($row["enable_charts"] == 'Y');
        $reminder_threshold_count = $row["reminder_threshold_count"];
        $enable_spamtraps = ($row["enable_spamtraps"] == 'Y');
    }
    $sth->free();

    // Pressed the "Update This Address' Settings" button or the
    // "Update ALL Addresses' Settings" button
    if ($button == $lang_button_update_address ||
        $button == $lang_button_update_all_addresses) {

        if (isset($HTTP_POST_VARS["policy"])) {
            $policy_id = trim($HTTP_POST_VARS["policy"]);
        } else {
            $policy_id = 0;
        }

    	$select = "SELECT virus_lover, " .
    	                 "spam_lover, " .
    	                 "banned_files_lover, " .
    	                 "bad_header_lover, " .
    	                 "bypass_virus_checks, " .
    	                 "bypass_spam_checks, " .
    	                 "bypass_banned_checks, " .
    	                 "bypass_header_checks, " .
    	                 "discard_viruses, " .
    	                 "discard_spam, " .
    	                 "discard_banned_files, " .
    	                 "discard_bad_headers, " .
    	                 "spam_modifies_subj, " .
    	                 "spam_tag_level, " .
    	                 "spam_tag2_level, " .
    	                 "spam_kill_level " .
    	          "FROM policy WHERE id = ?";
    	$sth = $dbh->query($select, array($policy_id));
    	if ($row = $sth->fetchRow()) {
    	    $default_quarantine_viruses = ($row["virus_lover"] == "N");
    	    $default_quarantine_spam = ($row["spam_lover"] == "N");
    	    $default_quarantine_banned_files = ($row["banned_files_lover"] == "N");
    	    $default_quarantine_bad_headers = ($row["bad_header_lover"] == "N");
    	    $default_virus_scanning = ($row["bypass_virus_checks"] == "N");
    	    $default_spam_filtering = ($row["bypass_spam_checks"] == "N");
    	    $default_banned_files_checking = ($row["bypass_banned_checks"] == "N");
    	    $default_bad_header_checking = ($row["bypass_header_checks"] == "N");
    	    $default_discard_viruses = ($row["discard_viruses"] == "Y");
    	    $default_discard_spam = ($row["discard_spam"] == "Y");
    	    $default_discard_banned_files = ($row["discard_banned_files"] == "Y");
    	    $default_discard_bad_headers = ($row["discard_bad_headers"] == "Y");
    	    $default_modify_subject = ($row["spam_modifies_subj"] == "Y");
    	    $default_score_level_1 = $row["spam_tag_level"];
    	    $default_score_level_2 = $row["spam_tag2_level"];
    	    $default_score_level_3 = $row["spam_kill_level"];
        }
        $sth->free();

        if (isset($HTTP_POST_VARS["viruses"])) {
            $viruses = trim($HTTP_POST_VARS["viruses"]);
        } else {
            $viruses = ($default_virus_scanning ? "yes" : "no");
        }
        if (isset($HTTP_POST_VARS["virus_destiny"])) {
            $virus_destiny = trim($HTTP_POST_VARS["virus_destiny"]);
        } else {
            $virus_destiny = ($default_quarantine_viruses ? ($default_discard_viruses ? "discard" : "quarantine") : "label");
        }
        if (isset($HTTP_POST_VARS["spam"])) {
            $spam = trim($HTTP_POST_VARS["spam"]);
        } else {
            $spam = ($default_spam_filtering ? "yes" : "no");
        }
        if (isset($HTTP_POST_VARS["spam_destiny"])) {
            $spam_destiny = trim($HTTP_POST_VARS["spam_destiny"]);
        } else {
            $spam_destiny = ($default_quarantine_spam ? ($default_discard_spam ? "discard" : "quarantine") : "label");
        }
        if (isset($HTTP_POST_VARS["banned"])) {
            $banned = trim($HTTP_POST_VARS["banned"]);
        } else {
            $banned = ($default_banned_files_checking ? "yes" : "no");
        }
        if (isset($HTTP_POST_VARS["banned_destiny"])) {
            $banned_destiny = trim($HTTP_POST_VARS["banned_destiny"]);
        } else {
            $banned_destiny = ($default_quarantine_banned_files ? ($default_discard_banned_files ? "discard" : "quarantine") : "label");
        }
        if (isset($HTTP_POST_VARS["headers"])) {
            $headers = trim($HTTP_POST_VARS["headers"]);
        } else {
            $headers = ($default_bad_header_checking ? "yes" : "no");
        }
        if (isset($HTTP_POST_VARS["headers_destiny"])) {
            $headers_destiny = trim($HTTP_POST_VARS["headers_destiny"]);
        } else {
            $headers_destiny = ($default_quarantine_bad_headers ? ($default_discard_bad_headers ? "discard" : "quarantine") : "label");
        }
        if (isset($HTTP_POST_VARS["modify_subject"])) {
            $modify_subject = trim($HTTP_POST_VARS["modify_subject"]);
        } else {
            $modify_subject = ($default_modify_subject ? "yes" : "no");
        }
        if (isset($HTTP_POST_VARS["level1"])) {
            $level1 = trim($HTTP_POST_VARS["level1"]);
        } else {
            $level1 = $default_score_level_1;
        }
        if (isset($HTTP_POST_VARS["level2"])) {
            $level2 = trim($HTTP_POST_VARS["level2"]);
        } else {
            $level2 = $default_score_level_2;
        }
        if (isset($HTTP_POST_VARS["level3"])) {
            $level3 = trim($HTTP_POST_VARS["level3"]);
        } else {
            $level3 = $default_score_level_3;
        }

        $bypass_virus_checks = ($viruses == "yes" ? "N" : "Y");
        $virus_lover = ($virus_destiny == "label" ? "Y" : "N");
        $discard_viruses = ($virus_destiny == "discard" ? "Y" : "N");
        $bypass_spam_checks = ($spam == "yes" ? "N" : "Y");
        $spam_lover = ($spam_destiny == "label" ? "Y" : "N");
        $discard_spam = ($spam_destiny == "discard" ? "Y" : "N");
        $bypass_banned_checks = ($banned == "yes" ? "N" : "Y");
        $banned_files_lover = ($banned_destiny == "label" ? "Y" : "N");
        $discard_banned_files = ($banned_destiny == "discard" ? "Y" : "N");
        $bypass_header_checks = ($headers == "yes" ? "N" : "Y");
        $bad_header_lover = ($headers_destiny == "label" ? "Y" : "N");
        $discard_bad_headers = ($headers_destiny == "discard" ? "Y" : "N");
        $spam_modifies_subj = ($modify_subject == "yes" ? "Y" : "N");
        $spam_tag_level = (double) $level1;
        $spam_tag2_level = (double) $level2;
        $spam_kill_level = (double) $level3;

        // Enforce tag_level <= tag2_level <= kill_level
        if ($spam_tag2_level > $spam_kill_level) {
            $spam_tag2_level = $spam_kill_level;
        }
        if ($spam_tag_level > $spam_tag2_level) {
            $spam_tag_level = $spam_tag2_level;
        }

        // Enforce spam kill level according to spam destiny
        if ($spam_destiny == "label") {
            $spam_kill_level = 999;
        } else {
            $spam_kill_level = $spam_tag2_level;
        }

        // Update the policy table with the new settings.
        $update = "UPDATE policy SET virus_lover = ?, " .
                                    "spam_lover = ?, " .
                                    "banned_files_lover = ?, " .
                                    "bad_header_lover = ?, " .
                                    "bypass_virus_checks = ?, " .
                                    "bypass_spam_checks = ?, " .
                                    "bypass_banned_checks = ?, " .
                                    "bypass_header_checks = ?, " .
                                    "discard_viruses = ?, " .
                                    "discard_spam = ?, " .
                                    "discard_banned_files = ?, " .
                                    "discard_bad_headers = ?, " .
                                    "spam_modifies_subj = ?, " .
                                    "spam_tag_level = ?, " .
                                    "spam_tag2_level = ?, " .
                                    "spam_kill_level = ? " .
                  "WHERE id = ?";

        if ($button == $lang_button_update_all_addresses) {
            $select = "SELECT policy_id FROM users WHERE maia_user_id = ? ";
            $sth = $dbh->query($select, array($euid));
            while ($row = $sth->fetchrow()) {
                $dbh->query($update, array($virus_lover,
                                           $spam_lover,
                                           $banned_files_lover,
                                           $bad_header_lover,
                                           $bypass_virus_checks,
                                           $bypass_spam_checks,
                                           $bypass_banned_checks,
                                           $bypass_header_checks,
                                           $discard_viruses,
                                           $discard_spam,
                                           $discard_banned_files,
                                           $discard_bad_headers,
                                           $spam_modifies_subj,
                                           $spam_tag_level,
                                           $spam_tag2_level,
                                           $spam_kill_level,
                                           $row["policy_id"]));
            }
            $sth->free();
        } else {
            $dbh->query($update, array($virus_lover,
                                       $spam_lover,
                                       $banned_files_lover,
                                       $bad_header_lover,
                                       $bypass_virus_checks,
                                       $bypass_spam_checks,
                                       $bypass_banned_checks,
                                       $bypass_header_checks,
                                       $discard_viruses,
                                       $discard_spam,
                                       $discard_banned_files,
                                       $discard_bad_headers,
                                       $spam_modifies_subj,
                                       $spam_tag_level,
                                       $spam_tag2_level,
                                       $spam_kill_level,
                                       $policy_id));
        }

        $message = $lang_text_settings_updated;

    // Pressed the "Update Miscellaneous Settings" button
    } elseif ($button == $lang_button_update_misc) {

        if (isset($HTTP_POST_VARS["reminder"])) {
            $reminder = (trim($HTTP_POST_VARS["reminder"]) == "yes" ? "Y" : "N");
            if ($reminder_threshold_count > 0) {
                $update = "UPDATE maia_users SET reminders = ? WHERE id = ?";
                $dbh->query($update, array($reminder, $euid));
            }
        }
        if (isset($HTTP_POST_VARS["charts"])) {
            $charts = (trim($HTTP_POST_VARS["charts"]) == "yes" ? "Y" : "N");
            if ($enable_charts) {
                $update = "UPDATE maia_users SET charts = ? WHERE id = ?";
                $dbh->query($update, array($charts, $euid));
            }
        }
        if (isset($HTTP_POST_VARS["spamtrap"])) {
            $spamtrap = (trim($HTTP_POST_VARS["spamtrap"]) == "yes" ? "Y" : "N");
            if ($enable_spamtraps) {
                $update = "UPDATE maia_users SET spamtrap = ? WHERE id = ?";
                $dbh->query($update, array($spamtrap, $euid));
            }
        }
        if (isset($HTTP_POST_VARS["auto_whitelist"])) {
            $auto_whitelist = (trim($HTTP_POST_VARS["auto_whitelist"]) == "yes" ? "Y" : "N");
            $update = "UPDATE maia_users SET auto_whitelist = ? WHERE id = ?";
            $dbh->query($update, array($auto_whitelist, $euid));
        }
        if (isset($HTTP_POST_VARS["items_per_page"])) {
            $items_per_page = $HTTP_POST_VARS["items_per_page"];
            $update = "UPDATE maia_users SET items_per_page = ? WHERE id = ?";
            $dbh->query($update, array($items_per_page, $euid));
        }
        if (isset($HTTP_POST_VARS["language"])) {
            $language = trim($HTTP_POST_VARS["language"]);
            $update = "UPDATE maia_users SET language = ? WHERE id = ?";
            $dbh->query($update, array($language, $euid));
            $display_language = $language;
            $_SESSION["display_language"] = $display_language;
        }
        if (isset($HTTP_POST_VARS["charset"])) {
            $charset = trim($HTTP_POST_VARS["charset"]);
            $update = "UPDATE maia_users SET charset = ? WHERE id = ?";
            $dbh->query($update, array($charset, $euid));
            $html_charset = $charset;
            $_SESSION["html_charset"] = $html_charset;
        }

        $message = $lang_text_settings_updated;

    // Pressed the "Add E-Mail Address" button
    } elseif ($button == $lang_button_add_email_address) {

        if (isset($HTTP_POST_VARS["login"])) {
            $login = trim($HTTP_POST_VARS["login"]);
        } else {
            $login = "";
        }
        if (isset($HTTP_POST_VARS["authpass"])) {
            $password = trim($HTTP_POST_VARS["authpass"]);
            $password = stripslashes($password); // get rid of any escape characters
        } else {
            $password = "";
        }
        if (isset($HTTP_POST_VARS["domain"])) {
            $domain = trim($HTTP_POST_VARS["domain"]);
        } else {
            $domain = "";
        }

        if (($auth_method == "pop3" && !empty($routing_domain)) ||
            $auth_method == "ldap" || $auth_method == "exchange" ||
            $auth_method == "sql" || $auth_method == "internal") {
            $user_name = $login;
            $address = "";
        } else {
            $address = $login;
            $user_name = "";
        }
        list($authenticated, $email) = auth($user_name, $password, $address, $domain);

        if ($authenticated) {
            $address_id = get_email_address_id($email);
            $old_owner = get_email_address_owner($address_id);
            if (!$old_owner) {
                add_email_address_to_user($euid, $email);
            } else {
                transfer_email_address_to_user($old_owner, $euid, $email);
            }
            $message = sprintf($lang_text_address_added, $email);
        } else {
            $message = sprintf($lang_text_login_failed, $login);
        }

    // Pressed the "Update Login Credentials" button
    } elseif ($button == $lang_button_change_login_info && $auth_method == "internal") {

        if (isset($HTTP_POST_VARS["new_login_name"])) {
            $new_login = trim($HTTP_POST_VARS["new_login_name"]);
        } else {
            $new_login = "";
        }
        if (isset($HTTP_POST_VARS["new_password"])) {
            $new_password = trim(stripslashes($HTTP_POST_VARS["new_password"]));
        } else {
            $new_password = "";
        }
        if (isset($HTTP_POST_VARS["confirm_new_password"])) {
            $confirm_new_password = trim(stripslashes($HTTP_POST_VARS["confirm_new_password"]));
        } else {
            $confirm_new_password = "";
        }
        if (empty($new_login)) {
            $message = $lang_text_login_name_empty;
        } elseif (empty($new_password) || empty($confirm_new_password)) {
            $message = $lang_text_password_empty;
        }elseif ($new_password != $confirm_new_password) {
            $message = $lang_text_password_mismatch;
        } else {
            $select = "SELECT id FROM maia_users WHERE user_name = ?";
            $sth = $dbh->query($select, array($new_login));
            if ($row = $sth->fetchrow()) {
                if ($row["id"] != $euid) {
                    $message = $lang_text_login_name_exists;
                } else {
                    $update = "UPDATE maia_users SET password = ? WHERE id = ?";
                    $dbh->query($update, array(md5($new_password), $euid));
                    $message = $lang_text_password_updated;
                }
            } else {
                if ($new_login[0] == "@") {
                    $message = $lang_text_login_name_not_allowed;
                } else {
                    $update = "UPDATE maia_users SET user_name = ?, password = ? WHERE id = ?";
                    $dbh->query($update, array($new_login, md5($new_password), $euid));
                    $message = $lang_text_credentials_updated;
                }
            }
            $sth->free();
        }

    } elseif (isset($HTTP_POST_VARS["user_id"])) {
    	$user_id = trim($HTTP_POST_VARS["user_id"]);
        $select = "SELECT users.id, users.email " .
                  "FROM users, maia_users " .
                  "WHERE users.maia_user_id = maia_users.id " .
                  "AND users.id <> maia_users.primary_email_id " .
                  "AND users.maia_user_id = ?";
        $sth = $dbh->query($select, array($user_id));
        while ($row = $sth->fetchrow()) {
            $email_id = $row["id"];
            $address = $row["email"];
            if (isset($HTTP_POST_VARS["make_primary_" . $email_id])) {
                $update = "UPDATE maia_users SET primary_email_id = ? WHERE id = ?";
                $dbh->query($update, array($email_id, $user_id));
                $message = sprintf($lang_text_new_primary_email, $address);
            }
        }
        $sth->free();

    }

    display_html_head($lang_banner_subtitle, $display_language, $html_charset);
    display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
?>

<div align="center">
<table border="0" cellspacing="2" cellpadding="2">
<tr>
<td align="center" class="messagebox">
<?php print($message); ?>
</td>
</tr>
</table>
</div>

<p>&nbsp;</p>

<div align="center">
<a href="settings.php<?php print($sid); ?>">[ <?php print($lang_link_settings); ?> ]</a>
</div>

<?php display_html_foot(); ?>