<?php
    /*
     * $Id: xwblist.php,v 1.3 2004/01/31 22:56:05 rjl Exp $
     *
     * MAIA MAILGUARD LICENSE v.1.0
     *
     * Copyright 2004 by Robert LeBlanc <rjl@renaissoft.com>
     * All rights reserved.
     *
     * PREAMBLE
     *
     * This License is designed for users of Maia Mailguard
     * ("the Software") who wish to support the Maia Mailguard project by
     * leaving "Maia Mailguard" branding information in the HTML output
     * of the pages generated by the Software, and providing links back
     * to the Maia Mailguard home page.  Users who wish to remove this
     * branding information should contact the copyright owner to obtain
     * a Rebranding License.
     *
     * DEFINITION OF TERMS
     *
     * The "Software" refers to Maia Mailguard, including all of the
     * associated PHP, Perl, and SQL scripts, documentation files, graphic
     * icons and logo images.
     *
     * GRANT OF LICENSE
     *
     * Redistribution and use in source and binary forms, with or without
     * modification, are permitted provided that the following conditions
     * are met:
     *
     * 1. Redistributions of source code must retain the above copyright
     *    notice, this list of conditions and the following disclaimer.
     *
     * 2. Redistributions in binary form must reproduce the above copyright
     *    notice, this list of conditions and the following disclaimer in the
     *    documentation and/or other materials provided with the distribution.
     *
     * 3. The end-user documentation included with the redistribution, if
     *    any, must include the following acknowledgment:
     *
     *    "This product includes software developed by Robert LeBlanc
     *    <rjl@renaissoft.com>."
     *
     *    Alternately, this acknowledgment may appear in the software itself,
     *    if and wherever such third-party acknowledgments normally appear.
     *
     * 4. At least one of the following branding conventions must be used:
     *
     *    a. The Maia Mailguard logo appears in the page-top banner of
     *       all HTML output pages in an unmodified form, and links
     *       directly to the Maia Mailguard home page; or
     *
     *    b. The "Powered by Maia Mailguard" graphic appears in the HTML
     *       output of all gateway pages that lead to this software,
     *       linking directly to the Maia Mailguard home page; or
     *
     *    c. A separate Rebranding License is obtained from the copyright
     *       owner, exempting the Licensee from 4(a) and 4(b), subject to
     *       the additional conditions laid out in that license document.
     *
     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
     * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
     * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
     * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
     * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
     * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
     * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
     * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
     * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
     * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     *
     */

   require_once ("config.php");
   require_once ("authcheck.php");
   require_once ("display.php");
   require_once ("db.php");
   $display_language = get_display_language($euid);
   $html_charset = get_html_charset($euid);
   require_once ("./locale/$display_language/display.php");
   require_once ("./locale/$display_language/db.php");
   require_once ("./locale/$display_language/wblist.php"); // shared with wblist.php

   // Register the POST and GET variables.
   if (isset($HTTP_POST_VARS["addaddress"])) {
      $addaddress = trim($HTTP_POST_VARS["addaddress"]);
   } else {
      $addaddress = "";
   }
   if (isset($HTTP_POST_VARS["addchange"])) {
      $addchange = trim($HTTP_POST_VARS["addchange"]);
   } else {
      $addchange = "";
   }
   if (isset($HTTP_POST_VARS["newaddr"])) {       // from wblist.php
      $newaddr = trim($HTTP_POST_VARS["newaddr"]);
   } elseif (isset($HTTP_GET_VARS["newaddr"])) {  // from deliver.php
      $newaddr = trim($HTTP_GET_VARS["newaddr"]);
   } else {
      $newaddr = "";
   }


   // User pressed the "Add to List" button to add an address to the
   // whitelist or blacklist.
   if ($addaddress == $lang_button_add_to_list)
   {
      if ($newaddr != "") {
      	 $list = trim($HTTP_POST_VARS["list"]);
         add_address_to_wb_list($euid, $newaddr, $list);
      }
   }

   // User pressed the "Update" button to modify the whitelist/blacklist
   // settings.
   elseif ($addchange == $lang_button_update)
   {
      foreach($HTTP_POST_VARS as $varname => $value)
      {
         $formVars[$varname] = trim($value);
      }

      $select = "SELECT mailaddr.id, wblist.wb " .
                "FROM mailaddr, wblist " .
                "WHERE wblist.sid = mailaddr.id " .
                "AND wblist.rid = ? " .
                "ORDER BY mailaddr.id ASC";

      $sth = $dbh->query($select, $euid);
      while ($row = $sth->fetchRow())
     {
         $id = $row["id"];
         $wb = $row["wb"];

         if (!empty($formVars["add" . $id ])) {
            if ($wb != $formVars["add" . $id ]) {

               // Remove an entry from the whitelist/blacklist.
               if ($formVars["add" . $id ] == 'R') {
                  delete_wb_entry($euid, $id);

               // Switch an entry's status (W->B or B->W), but only
               // if its value has actually changed.
               } elseif ($formVars["add" . $id ] == 'B' || $formVars["add" . $id ] == 'W') {
                  set_wb_status($euid, $id, $formVars["add" . $id ]);
               }
            }
         }
      }
      $sth->free();
   }

   // We were called from deliver.php with instructions to add an
   // address or domain to the user's whitelist.
   elseif ($newaddr != "")
   {
       add_address_to_wb_list($euid, $newaddr, "W");
   }

    display_html_head($lang_banner_subtitle, $display_language, $html_charset);
    display_banner($lang_banner_subtitle, $uid, $euid, $sid, true);
?>

<div align="center">
<table border="0" cellspacing="2" cellpadding="2">

<tr>
<td class="messagebox" align="center">
<?php print($lang_text_lists_updated); ?>
</td>
</tr>

</table>
</center><br>

<?php display_html_foot(); ?>